TBG                    = { };
TBG.Text               = { };
TBG.Text.Menu          = { };
TBG.Text.Menu.Titan    = { };
TBG.Text.Menu.General  = { };
TBG.Text.Menu.Display  = { };
TBG.Text.Label         = { };
TBG.Text.Label.Other   = { };
TBG.Text.Label.Button  = { };
TBG.Text.Label.Tooltip = { };
TBG.Text.Message       = { };
TBG.Text.Ref           = { };

TBG.Text.ADDON_NAME       = "TitanBG (Updated)";
TBG.Text.ADDON_NAME_SHORT = "TitanBG";
TBG.Text.ADDON_VERSION    = "1.3.2";
TBG.Text.ADDON_AUTHOR     = "Nirme (Frostmane)";
TBG.Text.ADDON_WEBSITE    = "http://ui.worldofwar.net/ui.php?id=3665";
TBG.Text.ADDON_EMAIL      = "aeska_anka@yahoo.com";

if (GetLocale() == "enUS") then

	-- ###############
	-- ## MENU TEXT ##
	-- ###############

	TBG.Text.Menu.ITEM_GENERAL              = "General";
	TBG.Text.Menu.ITEM_PROFILE              = "Profile";
	TBG.Text.Menu.ITEM_ACTIONS              = "Actions";
	TBG.Text.Menu.ITEM_AUTOQUEUE            = "Auto Queue";
	TBG.Text.Menu.ITEM_AUTOJOIN             = "Auto Join";
	TBG.Text.Menu.ITEM_AUTOLEAVE            = "Auto Leave";
	TBG.Text.Menu.ITEM_AUTOJOINANDLEAVE     = "Auto Join and Leave";
	TBG.Text.Menu.ITEM_AUTORELEASE          = "Auto Release";
	TBG.Text.Menu.ITEM_QUESTSGOSSIP         = "Quests and Gossip";
	TBG.Text.Menu.ITEM_QUESTCOMPLETION      = "Quest Completion";
	TBG.Text.Menu.ITEM_SKIPPINGGOSSIP       = "Skipping Gossip";
	TBG.Text.Menu.ITEM_DISPLAYANDSOUNDS     = "Display and Sounds";
	TBG.Text.Menu.ITEM_DISPLAY              = "Display";
	TBG.Text.Menu.ITEM_SOUNDS               = "Sounds";
	TBG.Text.Menu.ITEM_BLIZZARD             = "Blizzard";
	TBG.Text.Menu.ITEM_SCOREFRAME           = "Score Frame";
	TBG.Text.Menu.ITEM_LEADERBOARD          = "Leader Board";
	TBG.Text.Menu.ITEM_BUTTON               = "Button";
	TBG.Text.Menu.ITEM_TOOLTIP              = "Tooltip";
	TBG.Text.Menu.ITEM_ITEMSTODISPLAY       = "Items to Display";
	TBG.Text.Menu.ITEM_WORLD                = "World";
	TBG.Text.Menu.ITEM_BATTLEGROUND         = "Battleground";
	TBG.Text.Menu.ITEM_APEARANCEANDPOSITION = "Appearance & Position";
	TBG.Text.Menu.ITEM_VISIBILITY           = "Visibility";
	TBG.Text.Menu.ITEM_COLORS               = "Colors";
	TBG.Text.Menu.ITEM_SIZE                 = "Size";
	TBG.Text.Menu.ITEM_POSITION             = "Position";
	TBG.Text.Menu.ITEM_SCROLLING            = "Scrolling";
	TBG.Text.Menu.ITEM_PANELS               = "Panels";
	TBG.Text.Menu.ITEM_CAPTURETIMERS        = "Capture Timers";
	TBG.Text.Menu.ITEM_MOVEMENTTIMERS       = "Movement Timers";
	TBG.Text.Menu.ITEM_PLAYERLIST           = "Player List";
	TBG.Text.Menu.ITEM_FLAGTRACKER          = "Flag Tracker";
	TBG.Text.Menu.ITEM_PAGE                 = "Page";

	-- Titan
	TBG.Text.Menu.Titan.SHOW_OPTIONS = "Show Options";
	TBG.Text.Menu.Titan.QUEUE        = "Queue Options";

	TBG.Text.Menu.HEADER  = "Titan Battleground";
	TBG.Text.Menu.OPTIONS = "Options";
	TBG.Text.Menu.NOTICE  = TBG.Text.ADDON_NAME .. " " .. TBG.Text.ADDON_VERSION  .. ". Developed by " .. TBG.Text.ADDON_AUTHOR .. ".";

	TBG.Text.Menu.WELCOME      = "Welcome to {addon}!";
	TBG.Text.Menu.INTRODUCTION = "Please use the menu located to the left to navigate.\n\nTitan Battleground was developed to track Battleground and Arena information and statistics. It also assists with numerous tasks associated with PvP. For example, queueing for battlegrounds, handing in quests and tracking capture timers and flag carriers.\n\n\n\nYou can " .. GREEN_FONT_COLOR_CODE .. "download" .. HIGHLIGHT_FONT_COLOR_CODE .. " the latest version of the addon, report any " .. GREEN_FONT_COLOR_CODE .. "bugs" .. HIGHLIGHT_FONT_COLOR_CODE .. " or ask for " .. GREEN_FONT_COLOR_CODE .. "help" .. HIGHLIGHT_FONT_COLOR_CODE .. " at the following location.\n\n" .. NORMAL_FONT_COLOR_CODE .. TBG.Text.ADDON_WEBSITE .. HIGHLIGHT_FONT_COLOR_CODE .. "\n\n\n\nIf you wish to provide assistance with " .. GREEN_FONT_COLOR_CODE .. "translation" .. HIGHLIGHT_FONT_COLOR_CODE .. " or want to otherwise " .. GREEN_FONT_COLOR_CODE .. "contact" .. HIGHLIGHT_FONT_COLOR_CODE .. " the author, please use the following email address. Please do not send bug reports via email.\n\n" .. NORMAL_FONT_COLOR_CODE .. TBG.Text.ADDON_EMAIL;

	-- General Options
		-- Battleground
		TBG.Text.Menu.General.AUTOQUEUE       = "Auto queue for battlegrounds, when opening the battlemaster window?";
		TBG.Text.Menu.General.AUTOQUEUE_WHICH = "Auto queue for which battlegrounds?";

		TBG.Text.Menu.General.AUTOJOIN              = "Auto join battlegrounds?";
		TBG.Text.Menu.General.AUTOJOIN_NOT_IF_AFK   = "Do not auto join if flagged afk?";
		TBG.Text.Menu.General.AUTOJOIN_NOT_IN_ARENA = "Do not auto join if in a rated arena battle?";
		TBG.Text.Menu.General.AUTOJOIN_ALWAYS       = "Auto join even if you are already in a battleground?";
		TBG.Text.Menu.General.AUTOJOIN_PRIORITY     = "Auto join only if the new battleground is of a higher priority?";

		TBG.Text.Menu.General.AUTOLEAVE         = "Auto leave the battleground on completion?";
		TBG.Text.Menu.General.AUTORELEASE       = "Auto release on death?";
		TBG.Text.Menu.General.AUTORELEASE_CHECK = "Do not release if a Soulstone or Shaman Ressurect is available?";

		TBG.Text.Menu.General.AUTOJOIN_PRIORITY_LIST = "In what priority should battlegrounds be automatically joined?";

		TBG.Text.Menu.General.AUTOJOIN_SECONDS  = "Seconds, before a battleground is auto joined.";
		TBG.Text.Menu.General.AUTOLEAVE_SECONDS = "Seconds, before a battleground is automatically left.";

		TBG.Text.Menu.General.AUTO_DISABLE_KEY = "What key should be used to skip automatic quest, gossip and\nqueue actions?";

		TBG.Text.Menu.General.QUEST_COMPLETION         = "Enable automatic quest completion?";
		TBG.Text.Menu.General.QUEST_COMPLETION_WARNING = "Show a warning when all applicable npc quests can no longer\nbe completed?";

		TBG.Text.Menu.General.SKIP_BATTLEMASTER_GOSSIP = "Skip battlemaster gossip and automatically access the queue?";
		TBG.Text.Menu.General.SKIP_VENDOR_GOSSIP       = "Skip vendor gossip and automatically access the shop?";
		TBG.Text.Menu.General.SKIP_TAXI_GOSSIP         = "Skip flight master gossip and automatically access the flight paths?";
		TBG.Text.Menu.General.SKIP_BANK_GOSSIP         = "Skip bank gossip and automatically access your items?";

		-- Interface
		TBG.Text.Menu.General.SHOW_START_MESSAGE         = "Show the startup message?";
		TBG.Text.Menu.General.SHOW_TIPS                  = "Show tips in the chat window?";
		TBG.Text.Menu.General.ALLOW_GARBAGE_COLLECTION   = "Allow the addon to perform systematic garbage collection? Helps to improve\nframe rate and memory usage.";
		TBG.Text.Menu.General.PROFILE_SELECT             = "What settings should be used by this character?";
		TBG.Text.Menu.General.PROFILE_CREATE             = "Enter the name of the profile you want to create.";
		TBG.Text.Menu.General.PROFILE_CREATE_BUTTON      = "Create the Profile";
		TBG.Text.Menu.General.PROFILE_MODIFY             = "Select the profile that you wish to delete.";
		TBG.Text.Menu.General.PROFILE_MODIFY_DELETE      = "Delete the Profile";
		TBG.Text.Menu.General.OVERWRITE_SIMILAR_SETTINGS = "Overwrite similar settings in other addons?";
		TBG.Text.Menu.General.CREATE_TARGET_MACROS       = "Create macros for targetting the flag carrier in a battleground?";

		TBG.Text.Menu.General.HIDE_MINIMAP_BUTTON       = "Hide the minimap battleground icon?";
		TBG.Text.Menu.General.AUTO_SHOW_BATTLEMAP       = "Automatically show the battleground minimap?";
		TBG.Text.Menu.General.REDIRECT_MESSAGE_ALLIANCE = "Redirect battleground system messages for Alliance to the warning frame?";
		TBG.Text.Menu.General.REDIRECT_MESSAGE_HORDE    = "Redirect battleground system messages for Horde to the warning frame?";
		TBG.Text.Menu.General.REDIRECT_MESSAGE_NEUTRAL  = "Redirect neutral battleground system messages to the warning frame?";

		TBG.Text.Menu.General.DO_NOT_SHOW_LOOT        = "Do not show loot received or coins gained while in a battleground?";
		TBG.Text.Menu.General.DO_NOT_SHOW_DEATHS      = "Do not show party player deaths while in a battleground?";
		TBG.Text.Menu.General.DO_NOT_SHOW_RAID_CHANGE = "Do not show who has joined or left the raid group while in a battleground?";
		TBG.Text.Menu.General.DO_NOT_SHOW_BG_CHANGE   = "Do not show who has joined or left the battleground?";
		TBG.Text.Menu.General.DO_NOT_SHOW_AV_ONLY     = "Only enable these options within Alterac Valley?";

		TBG.Text.Menu.General.AV_YELL_CONVERT_HERALD    = "In Alterac Valley, convert Herald yells to colored system messages?";
		TBG.Text.Menu.General.AV_YELL_CONVERT_IMPORTANT = "In Alterac Valley, convert important yells to meaningful text?";
		TBG.Text.Menu.General.AV_YELL_PREVENT_OTHER     = "In Alterac Valley, prevent meaningless yells from being displayed?";

		TBG.Text.Menu.General.HIDE_JOIN_POPUP                    = "Hide the battleground ready popup?";
		TBG.Text.Menu.General.SOUND_QUEUE                        = "Play a sound when queueing for a battleground or arena?";
		TBG.Text.Menu.General.SOUND_QUEUE_REPEAT                 = "Repeat the queue sound periodically?";
		TBG.Text.Menu.General.REPEAT_SOUND                       = "Periodically repeat the battleground ready sound?";
		TBG.Text.Menu.General.RAID_UPDATE_NO_SOUND               = "Do not play a sound when the raid status updates?";
		TBG.Text.Menu.General.LEADER_BOARD_CUSTOM_USE            = "Use the custom leader board, instead of the default?";
		TBG.Text.Menu.General.SCORE_FRAME_COLOR_NAMES            = "Color names on the leader board by class?";
		TBG.Text.Menu.General.SCORE_FRAME_COLOR_NAMES_ALL        = "Do not color names by class when showing all players?";
		TBG.Text.Menu.General.SCORE_FRAME_COLOR_NAMES_NOT_PLAYER = "Do not color your name?";
		TBG.Text.Menu.General.SCORE_FRAME_MARK_PLAYER            = "Mark your name on the leader board with an icon?";
		TBG.Text.Menu.General.PLAY_WHICH_SOUND                   = "Play which sound when the battleground is ready?";

			-- Sound file names.
			TBG.Text.Menu.General.SOUND_DEFAULT   = "Default";
			TBG.Text.Menu.General.SOUND_CRASH     = "Crash";
			TBG.Text.Menu.General.SOUND_LIGHTNING = "Lightning";
			TBG.Text.Menu.General.SOUND_BELL      = "Bell";
			TBG.Text.Menu.General.SOUND_HORN      = "Horn";
			TBG.Text.Menu.General.SOUND_CYMBAL    = "Cymbal";
			TBG.Text.Menu.General.SOUND_WHISTLE   = "Whistle";
			TBG.Text.Menu.General.SOUND_CHIME     = "Chime";
			TBG.Text.Menu.General.SOUND_TRUMPET   = "Trumpet";

	-- Display Options
		TBG.Text.Menu.Display.TEXT_SPACERS_BUTTON     = "Display spacer characters around the button text?";
		TBG.Text.Menu.Display.TOPSERVER_AV_DISABLE    = "Disable server percentage tracking while in Alterac Valley?";
		TBG.Text.Menu.Display.ALLOW_INACCURATE_TIMERS = "Allow tracking of timers started before you entered the battleground?";

		TBG.Text.Menu.Display.TT_ALWAYS_SHOW        = "Always show the tooltip?";
		TBG.Text.Menu.Display.TT_WHEN_NO_QUEUE_HIDE = "Automatically hide the tooltip if not in a battleground or queue?";
		TBG.Text.Menu.Display.TT_SHOW_IF_OVER_TT    = "Continue to display the tooltip if the mouse is over the tooltip?";
		TBG.Text.Menu.Display.TT_STATIC_WIDTH       = "Maintain a static tooltip width?";
		TBG.Text.Menu.Display.TT_ALLOW_CLICKING     = "Enable buttons within the tooltip?";

			TBG.Text.Menu.Display.TT_FRAMESTRATA_TOOLTIP    = "Tooltip";
			TBG.Text.Menu.Display.TT_FRAMESTRATA_DIALOG     = "Dialog";
			TBG.Text.Menu.Display.TT_FRAMESTRATA_FULLSCREEN = "Fullscreen";
			TBG.Text.Menu.Display.TT_FRAMESTRATA_NOBUTTONS  = "Buttons will not function at this level.";

		TBG.Text.Menu.Display.TT_FRAMESTRATA         = "At what frame level should the tooltip be displayed?";
		TBG.Text.Menu.Display.TT_DETACH              = "Detach the tooltip from the button?";
		TBG.Text.Menu.Display.TT_LOCK                = "Lock the tooltip in its current position?";
		TBG.Text.Menu.Display.TT_DETACH_USE_BUTTON   = "If the tooltip is detached, use the drag icon as a secondary button?";

		TBG.Text.Menu.Display.TT_ALLOW_AUTO_SCROLL   = "Allow automatic scrolling of the tooltip?";
		TBG.Text.Menu.Display.TT_ALLOW_MANUAL_SCROLL = "Allow manual scrolling of the tooltip?";

		TBG.Text.Menu.Display.TT_ATTACH_BY             = "Attach tooltip by which corner, when it is detached from the button?";
		TBG.Text.Menu.Display.TT_ATTACH_BY_TOPLEFT     = "Top left.";
		TBG.Text.Menu.Display.TT_ATTACH_BY_TOPRIGHT    = "Top right.";
		TBG.Text.Menu.Display.TT_ATTACH_BY_BOTTOMLEFT  = "Bottom left.";
		TBG.Text.Menu.Display.TT_ATTACH_BY_BOTTOMRIGHT = "Bottom right.";

		TBG.Text.Menu.Display.TT_COLOR_BACKGROUND = "Tooltip background color.";
		TBG.Text.Menu.Display.TT_COLOR_BORDER     = "Tooltip border color.";

		TBG.Text.Menu.Display.TT_LINES_TO_DISPLAY     = "The maximum number of lines to display in the tooltip.";
		TBG.Text.Menu.Display.TT_MAX_WIDTH            = "The maximum width of the tooltip.";
		TBG.Text.Menu.Display.TT_HIDE_DELAY           = "The delay before the tooltip is hidden.";
		TBG.Text.Menu.Display.TT_AUTO_SCROLLING_SPEED = "The automatic scrolling speed.";

		TBG.Text.Menu.Display.TT_DISPLAY_ORDER = "In what order should the sections in the tooltip be displayed?";

		-- World
		TBG.Text.Menu.Display.BUTTON_SCORE      = "Display world pvp score information?";
		TBG.Text.Menu.Display.BUTTON_TIME_QUEUE = "Display the time in queue and the estimated wait time?";
		TBG.Text.Menu.Display.BUTTON_TIME_LEFT  = "Display the amount of time left before the battleground expires?";

		TBG.Text.Menu.Display.TT_NOT_IN_QUEUE      = "Display text indicating which battlegrounds you are not in the queue for?";
		TBG.Text.Menu.Display.TT_HEADERS           = "Display section headers in the tooltip?";
		TBG.Text.Menu.Display.TT_SCORE             = "Display world pvp score information?";
		TBG.Text.Menu.Display.TT_QUEUE_TIMERS      = "Display the battleground queue times?";
		TBG.Text.Menu.Display.TT_REMEMBER_BGS_OPEN = "Display the amount of battlegrounds available?";

		TBG.Text.Menu.Display.OTHER_POPUP_EXPIRE = "Modify the ready popup to display additional information?";

		-- Battleground
		TBG.Text.Menu.Display.BUTTON_HIDE_ACTIVE      = "Hide active battleground information when another battleground is ready\nto be joined?";
		TBG.Text.Menu.Display.BUTTON_PLAYERS          = "Display players?";
		TBG.Text.Menu.Display.BUTTON_TOP_SERVER       = "Display the highest percentage of enemy players on the same server?";
		TBG.Text.Menu.Display.BUTTON_COLOR_BY_PERCENT = "Color to indicate the possibility of premade groups?";
		TBG.Text.Menu.Display.BUTTON_DISPLAY_START    = "Display the amount of time left before the battle begins?";
		TBG.Text.Menu.Display.BUTTON_STANDING         = "Display standing?";
		TBG.Text.Menu.Display.BUTTON_KILLS            = "Display kills?";
		TBG.Text.Menu.Display.BUTTON_KILLING_BLOWS    = "Display killing blows?";
		TBG.Text.Menu.Display.BUTTON_DEATHS           = "Display deaths?";
		TBG.Text.Menu.Display.BUTTON_DAMAGE_DONE      = "Display damage done?";
		TBG.Text.Menu.Display.BUTTON_HEALING_DONE     = "Display healing done?";
		TBG.Text.Menu.Display.BUTTON_HONOR            = "Display honor bonus?";

		TBG.Text.Menu.Display.TT_BG_WEEKEND_SHOW      = "Display what battleground weekend it will be this week?";
		TBG.Text.Menu.Display.TT_BG_WEEKEND_START     = "What weekday follows the maintenance period?";
		TBG.Text.Menu.Display.TT_BG_WEEKEND_MONDAY    = "Monday";
		TBG.Text.Menu.Display.TT_BG_WEEKEND_TUESDAY   = "Tuesday";
		TBG.Text.Menu.Display.TT_BG_WEEKEND_WEDNESDAY = "Wednesday";
		TBG.Text.Menu.Display.TT_BG_WEEKEND_THURSDAY  = "Thursday";
		TBG.Text.Menu.Display.TT_BG_WEEKEND_FRIDAY    = "Friday";
		TBG.Text.Menu.Display.TT_BG_WEEKEND_SATURDAY  = "Saturday";
		TBG.Text.Menu.Display.TT_BG_WEEKEND_SUNDAY    = "Sunday";

		TBG.Text.Menu.Display.TT_NO_HINTS        = "Display hints within the tooltip?";
		TBG.Text.Menu.Display.TT_TWO_TOOLTIPS    = "Separate active battleground and queue information into different tooltips?";
		TBG.Text.Menu.Display.TT_START_TIME      = "Display the amount of time left before the battle begins?";
		TBG.Text.Menu.Display.TT_INACTIVE        = "Display inactive players?";
		TBG.Text.Menu.Display.TT_AB_WIN_ESTIMATE = "Display Arathi Basin and Eye of the Storm win estimations?";
		TBG.Text.Menu.Display.TT_WSG_FLAG        = "Display the Warsong Gulch flag tracker?";
		TBG.Text.Menu.Display.TT_SERVER_A        = "Display Alliance server statistics?";
		TBG.Text.Menu.Display.TT_SERVER_H        = "Display Horde server statistics?";
		TBG.Text.Menu.Display.TT_SERVER_TOP      = "Display only the top three most populated servers for each faction?";
		TBG.Text.Menu.Display.TT_SERVER_PER      = "Display the faction population percentage for each server?";
		TBG.Text.Menu.Display.TT_CLASSES_A       = "Display Alliance class information?";
		TBG.Text.Menu.Display.TT_CLASSES_H       = "Display Horde class information?";
		TBG.Text.Menu.Display.TT_CLASSES_TEXT    = "Display class name in class information?";
		TBG.Text.Menu.Display.TT_PLAYER_STATS    = "Display player statistics?";
		TBG.Text.Menu.Display.TT_OBJECTIVE_STATS = "Display player objective statistics?";
		TBG.Text.Menu.Display.TT_FRIENDS         = "Display friends?";
		TBG.Text.Menu.Display.TT_CAPTURES        = "Display capture timers?";
		TBG.Text.Menu.Display.TT_MOVEMENT        = "Display Alterac Valley boss movement timers?";
		TBG.Text.Menu.Display.TT_PROGRESS        = "Display Alterac Valley progress estimates?";
		TBG.Text.Menu.Display.TT_BGITEMS         = "Display the number of battleground items held?";
		TBG.Text.Menu.Display.TT_BGITEMS_SORT    = "How should battleground items be sorted?";

		TBG.Text.Menu.Display.TT_BGITEMS_SORT_NAME   = "Sort by the name?";
		TBG.Text.Menu.Display.TT_BGITEMS_SORT_AMOUNT = "Sort by the amount held?";

		TBG.Text.Menu.Display.OTHER_LOCK_PANEL      = "Lock the screen panel display?";
		TBG.Text.Menu.Display.OTHER_CAPTURES_SHOW   = "Show on the screen capture timers?";
		TBG.Text.Menu.Display.OTHER_CAPTURES_INVERT = "Invert the on the screen capture timers?";
		TBG.Text.Menu.Display.OTHER_CAPTURES_CLICK  = "Allow shift click posting of capture timers into the battleground chat?";

		TBG.Text.Menu.Display.OTHER_MOVEMENT_SHOW   = "Show on the screen movement timers for Ivus and Lokholar in Alterac Valley?";
		TBG.Text.Menu.Display.OTHER_MOVEMENT_CLICK  = "Allow shift click posting of the movement timers into chat?";

		TBG.Text.Menu.Display.OTHER_WSG_SHOW        = "Show on the screen Warsong Gulch flag tracker?";
		TBG.Text.Menu.Display.OTHER_WSG_CLICK       = "Allow shift click posting of who holds the flag into the chat?";
		TBG.Text.Menu.Display.OTHER_WSG_COLOR_CLASS = "Color on the screen flag runner names by class?";
		TBG.Text.Menu.Display.OTHER_WSG_TEXT_CLASS  = "Display class text next to the flag runner name?";
		TBG.Text.Menu.Display.OTHER_WSG_INVERT      = "Invert the on the screen flag tracker?";
		TBG.Text.Menu.Display.OTHER_WSG_ATTACH      = "Attach the on screen flag tracker to the score frame?";

		TBG.Text.Menu.Display.OTHER_MINIMAP_FLAG_HORDE            = "Show the Horde flag on the minimap?";
		TBG.Text.Menu.Display.OTHER_MINIMAP_FLAG_ALLIANCE         = "Show the Alliance flag on the minimap?";
		TBG.Text.Menu.Display.OTHER_MINIMAP_FLAG_ALLOWMOUSE       = "Allow tooltips and targetting using the flag icons?";
		TBG.Text.Menu.Display.OTHER_MINIMAP_FLAG_ALLOWOUTOFBOUNDS = "Show flag icons that are beyond the range of the minimap, at the edges of\nthe minimap?";
		TBG.Text.Menu.Display.OTHER_MINIMAP_FLAG_OUTOFBOUNDSFADE  = "Fade icons that are beyond the range of the minimap?";

		TBG.Text.Menu.Display.OTHER_PLAYERS_SHOW        = "Display a targetable list of hostile players in Arenas?"
		TBG.Text.Menu.Display.OTHER_PLAYERS_SHOW_CLASS  = "Display the player class next to the name?";
		TBG.Text.Menu.Display.OTHER_PLAYERS_COLOR_CLASS = "Color the name by class?";

		TBG.Text.Menu.Display.OTHER_CHANGE_MAX_CAMERA_DISTANCE = "Increase the limit of the Max Camera Distance slider in Interface Options to\nthe maximum possible?"
		TBG.Text.Menu.Display.OTHER_PVPFRAME_DISPLAY_POINTS    = "Display the amount of points your arena rating will obtain you in the\ninspection frame?";

		TBG.Text.Menu.Display.OTHER_SCORE_DETACH    = "Allow the addon to move the score frame?";
		TBG.Text.Menu.Display.OTHER_SCORE_DRAGGABLE = "Lock the score frame in the current position?";
		TBG.Text.Menu.Display.OTHER_SCORE_HIDE      = "Hide the world score frame?";

		TBG.Text.Menu.Display.OTHER_MAX_CAPTURES_DISPLAY = "The max amount of captures to display on the screen.";

	-- ##################
	-- ## OTHER LABELS ##
	-- ##################

	TBG.Text.Label.Other.DRAGGABLE_CAPTURE_TIMERS = "Capture Timers and Flag Tracker";
	TBG.Text.Label.Other.DAGGABLE_SCORE_FRAME     = "Score Frame";

	TBG.Text.Label.Other.IVUS     = "Ivus the Forest Lord";
	TBG.Text.Label.Other.LOKHOLAR = "Lokholar the Ice Lord";

	TBG.Text.Label.Other.AUTO_QUEST_COMPLETE_ADD    = "Add to Auto Complete";
	TBG.Text.Label.Other.AUTO_QUEST_COMPLETE_REMOVE = "Remove from Auto Complete";

	TBG.Text.Label.Other.PVPFRAME_POINTS = "Points";

	-- ###################
	-- ## BUTTON LABELS ##
	-- ###################

	TBG.Text.Label.Button.PAUSED = "P";

	-- Queue
	TBG.Text.Label.Button.FIRST_AVAILABLE = "Any";
	TBG.Text.Label.Button.READY           = "Ready";

	-- Battleground
		TBG.Text.Label.Button.START         = "Start in {time}."; -- !! NOTE: The {time} part of the string will be replaced by the amount of time left before the game begins.
		TBG.Text.Label.Button.STANDING      = "S: ";
		TBG.Text.Label.Button.KILLING_BLOWS = "KB: ";
		TBG.Text.Label.Button.KILLS         = "K: ";
		TBG.Text.Label.Button.DEATHS        = "D: ";
		TBG.Text.Label.Button.DAMAGE_DONE   = "DD: ";
		TBG.Text.Label.Button.HEALING_DONE  = "HD: ";
		TBG.Text.Label.Button.HONOR         = "H: ";

		TBG.Text.Label.Button.TEAM_GREEN = "Green: ";
		TBG.Text.Label.Button.TEAM_GOLD  = "Gold: ";

		TBG.Text.Label.Button.SCORE     = "S: ";
		TBG.Text.Label.Button.BASES     = "B: ";
		TBG.Text.Label.Button.RESOURCES = "R: ";

	-- ####################
	-- ## TOOLTIP LABELS ##
	-- ####################

	TBG.Text.Label.Tooltip.HEADER  = "Battleground Information";
	TBG.Text.Label.Tooltip.PAUSED  = "Paused";
	TBG.Text.Label.Tooltip.UNPAUSE = "Resume";
	TBG.Text.Label.Tooltip.CLOSING = "Closing";

	TBG.Text.Label.Tooltip.WAITING              = "Collecting and waiting for information."
	TBG.Text.Label.Tooltip.BATTLEGROUND_WEEKEND = "This week it will be an {bg} weekend.";

	TBG.Text.Label.Tooltip.TEAM_GREEN = "Green Team";
	TBG.Text.Label.Tooltip.TEAM_GOLD  = "Gold Team";

	-- History
		TBG.Text.Label.Tooltip.HISTORY                   = "Battleground History";
		TBG.Text.Label.Tooltip.HISTORY_HELP_RATIOS       = "Ratios shown are Alliance to Horde.";
		TBG.Text.Label.Tooltip.HISTORY_HELP_RATIOS_INNER = "Inner ratios represent PUGS to teams.";
		TBG.Text.Label.Tooltip.HISTORY_PLAYED            = "Played";
		TBG.Text.Label.Tooltip.HISTORY_WON               = "Won";
		TBG.Text.Label.Tooltip.HISTORY_SCORE             = "Score";
		TBG.Text.Label.Tooltip.HISTORY_AVERAGE           = "Average";
		TBG.Text.Label.Tooltip.HISTORY_SHORTEST          = "Shortest";
		TBG.Text.Label.Tooltip.HISTORY_LONGEST           = "Longest";
		TBG.Text.Label.Tooltip.HISTORY_NOT_APPLICABLE    = "N/A";
		TBG.Text.Label.Tooltip.HISTORY_PICK_UP_GROUPS    = "PUG";
		TBG.Text.Label.Tooltip.HISTORY_TEAM              = "Team";

	-- Not in the Queue.
		TBG.Text.Label.Tooltip.NOT_IN_QUEUE = "Not in the queue for {bg}."; -- !! NOTE: The {bg} part of the string will be replaced by a specific battleground name.

	-- Waiting
		TBG.Text.Label.Tooltip.TIME_IN_QUEUE       = "Time in queue: ";
		TBG.Text.Label.Tooltip.ESTIMATED_REMAINING = "Estimated time remaining: ";
		TBG.Text.Label.Tooltip.ESTIMATED_WAIT      = "Estimated wait time: ";
		TBG.Text.Label.Tooltip.LESS_THAN_ONE_MIN   = "Less than one minute.";
		TBG.Text.Label.Tooltip.QUEUED_NO_PREF      = "You are currently queued for the next available {bg}."; -- !! NOTE: The {bg} part of the string will be replaced by a specific battleground name.
		TBG.Text.Label.Tooltip.QUEUED_PREF         = "You are currently queued for {bg}.";                    -- !! NOTE: The {bg} part of the string will be replaced by a specific battleground name.
		TBG.Text.Label.Tooltip.ACTIVE_INSTANCES    = "Active instances:";

	-- Ready
		TBG.Text.Label.Tooltip.CONFIRM_JOIN   = "You are now eligible to enter {bg}{time}."; -- !! NOTE: The {bg} part of the string will be replaced by a specific battleground name. The {time} part of the string will be replaced by the time left before the queue expires.
		TBG.Text.Label.Tooltip.AUTOJOIN       = "Automatically joining {bg} in {time}."; -- !! NOTE: The {bg} part of the string will be replaced by a specific battleground name. The {time} part of the string will be replaced by the join time.
		TBG.Text.Label.Tooltip.AUTOJOIN_HINT  = "Hint: LEFT click to pause/resume the auto join or leave timer.";

	-- Battleground
		TBG.Text.Label.Tooltip.AUTO_LEAVE = "Automatically leaving the battleground in {time}."; -- !! NOTE: The {time} part of the string will be replaced by the join time.

		TBG.Text.Label.Tooltip.NO_INFORMATION       = "Collecting Information";
		TBG.Text.Label.Tooltip.START_BG             = "The battle for {bg} will begin in {time}."; -- !! NOTE: The {bg} part of the string will be replaced by a specific battleground name. The {time} part of the string will be replaced by the amount of time left before the game begins.
		TBG.Text.Label.Tooltip.INSTANCE_RUN_TIME_NA = "Not Available.";
		TBG.Text.Label.Tooltip.PLAYERS              = "Total Players:";

		TBG.Text.Label.Tooltip.AV_PROGRESS_ESTIMATE = "Progress Estimates";

		TBG.Text.Label.Tooltip.AB_WIN_ESTIMATE   = "Winner Estimates";
		TBG.Text.Label.Tooltip.AB_WINNER         = "Estimated Winner:";
		TBG.Text.Label.Tooltip.AB_FINAL_SCORE    = "Estimated Final Score:";
		TBG.Text.Label.Tooltip.AB_TIME_LEFT      = "Estimated Time Remaining:";
		TBG.Text.Label.Tooltip.AB_TO_WIN         = "Number of Nodes You Have to Capture to Win:";
		TBG.Text.Label.Tooltip.AB_TO_WIN_ENEMY   = "Number of Nodes the Enemy Has to Capture to Win:";
		TBG.Text.Label.Tooltip.AB_IMPOSSIBLE     = "Impossible.";
		TBG.Text.Label.Tooltip.AB_WINNER_UNKNOWN = "Unknown.";

		TBG.Text.Label.Tooltip.BGITEMS      = "Battleground Items";
		TBG.Text.Label.Tooltip.INACTIVES    = "Inactive Players";
		TBG.Text.Label.Tooltip.SERVER_STATS = "Server Statistics";
		TBG.Text.Label.Tooltip.CLASS_STATS  = "Class Statistics";

		TBG.Text.Label.Tooltip.PLAYER_STATS    = "Player Statistics";
		TBG.Text.Label.Tooltip.PLAYER_STANDING = "Standing:";

		TBG.Text.Label.Tooltip.OBJECTIVE_STATS                = "Player Objective Statistics";
		TBG.Text.Label.Tooltip.OBJECTIVE_GY_ASSAULTED         = "Graveyards Assaulted:";
		TBG.Text.Label.Tooltip.OBJECTIVE_GY_DEFENDED          = "Graveyards Defended:";
		TBG.Text.Label.Tooltip.OBJECTIVE_TOWERS_ASSAULTED     = "Towers Assaulted:";
		TBG.Text.Label.Tooltip.OBJECTIVE_TOWERS_DEFENDED      = "Towers Defended:";
		TBG.Text.Label.Tooltip.OBJECTIVE_MINES_CAPTURED       = "Mines Captured:";
		TBG.Text.Label.Tooltip.OBJECTIVE_LEADERS_KILLED       = "Leaders Killed:";
		TBG.Text.Label.Tooltip.OBJECTIVE_SECONDARY_OBJECTIVES = "Secondary Objectives:";
		TBG.Text.Label.Tooltip.OBJECTIVE_FLAGS_CAPTURED       = "Flags Captured:";
		TBG.Text.Label.Tooltip.OBJECTIVE_FLAGS_RETURNED       = "Flags Returned:";
		TBG.Text.Label.Tooltip.OBJECTIVE_BASES_ASSULTED       = "Bases Assaulted:";
		TBG.Text.Label.Tooltip.OBJECTIVE_BASES_DEFENDED       = "Bases Defended:";

		TBG.Text.Label.Tooltip.FRIENDS = "Friends";

		TBG.Text.Label.Tooltip.MOVEMENT_TIMERS = "Movement Timers";

		TBG.Text.Label.Tooltip.CAPTURE_TIMERS         = "Capture Timers";
		TBG.Text.Label.Tooltip.CAPTURE_TIMERS_UNKNOWN = "Unknown.";
		TBG.Text.Label.Tooltip.CAPTURE_TIMERS_IMINENT = "Ready";

		TBG.Text.Label.Tooltip.WSG_FLAG_TRACKER = "Flag Status";
		TBG.Text.Label.Tooltip.WSG_FLAG         = "Flag";

		TBG.Text.Label.Tooltip.SCORES_FLAGS   = "Flags";
		TBG.Text.Label.Tooltip.SCORES_TOWERS  = "Towers";
		TBG.Text.Label.Tooltip.SCORES_POINTS  = "Points";
		TBG.Text.Label.Tooltip.SCORES_PLAYERS = "Players";

		TBG.Text.Label.Tooltip.HINT_SCORE_FRAME = "Hint: LEFT click the button to toggle the leader board.";
		TBG.Text.Label.Tooltip.HINT_MINIMAP     = "Hint: SHIFT click the button to toggle the battleground minimap.";
		TBG.Text.Label.Tooltip.HINT_TOOLTIP     = "Hint: CTRL click the button to change tooltip information.";
		TBG.Text.Label.Tooltip.HINT_HISTORY     = "Hint: ALT click the button to hide or display battleground history.";

	-- ######################
	-- ## TITANBG MESSAGES ##
	-- ######################

	TBG.Text.Message.START                     = "{addon} {version} loaded. Type /tbg to view the menu, or /tbg help to see available slash commands.";
	TBG.Text.Message.HISTORY_CORRUPT_AND_RESET = "The addon detected that your " .. NORMAL_FONT_COLOR_CODE .. "Battleground History" .. HIGHLIGHT_FONT_COLOR_CODE .. " was " .. RED_FONT_COLOR_CODE .. "corrupt" .. HIGHLIGHT_FONT_COLOR_CODE .. ". This has been corrected and your history reset.";

	-- Messages printed in battlegrounds.
	TBG.Text.Message.BG_AV_GENERAL_UNDER_ATTACK  = "The {faction} General is under attack!";
	TBG.Text.Message.BG_AV_GENERAL_RESET         = "The {faction} General has been reset.";
	TBG.Text.Message.BG_AV_CAPTAIN_UNDER_ATTACK  = "The {faction} Captain is under attack!";
	TBG.Text.Message.BG_AV_CAPTAIN_RESET         = "The {faction} Captain has been reset.";

	-- Messages printed on the leader board.
	TBG.Text.Message.LEADER_BOARD_PLAYER_COUNT_ALLIANCE = "Alliance Players";
	TBG.Text.Message.LEADER_BOARD_PLAYER_COUNT_HORDE    = "Horde Players";

	-- Messages displayed on XML.
	TBG.Text.Message.XML_CONTROL_CHANGE_OVERWRITTEN = "To control this setting, use TitanBG.";
	TBG.Text.Message.XML_ACTION_OVERWRITTEN         = "This setting is being overwritten by TitanBG and will not be used.\n\n|cffffffff" .. TBG.Text.Message.XML_CONTROL_CHANGE_OVERWRITTEN;

	-- Messages printed to the chat log.
	TBG.Text.Message.CHAT_WSG_FLAG_CARRIED_BY  = "The {faction} flag is being held by {name}."; -- !! NOTE: The {faction} part of the string will be replaced by a faction name. The {name} part will be replaced by a player name.
	TBG.Text.Message.CHAT_EOTS_FLAG_CARRIED_BY = "The flag is being held by {name}.";           -- !! NOTE: The {name} part will be replaced by a player name.
	TBG.Text.Message.CHAT_AV_MOVEMENT_TIMER    = "{name} will begin moving in {time}.";         -- !! NOTE: The {name} part of the string will be replaced by Ivus the Forest Lord or Lokholar the Ice Lord. The {time} part will be replaced by the time until movement.

	-- Messages shown in tooltips.
	TBG.Text.Message.TOOLTIP_DRAG_FRAME_FOR_TT = "Use this button to position the tooltip when it isn't attached to the Titan Panel button." .. "\n\n" .. "|cffb6b6b6" .. "To prevent dragging, uncheck the " .. GREEN_FONT_COLOR_CODE .. TBG.Text.Menu.Display.TT_LOCK .. "|cffb6b6b6" .. " option under:\n" .. " |cffb6b6b6-|cff0097d0 " .. TBG.Text.Menu.ITEM_TOOLTIP .. "\n" .. "     |cffb6b6b6-|cff0097d0 " .. TBG.Text.Menu.ITEM_APEARANCEANDPOSITION .. "\n" .. "         |cffb6b6b6-|cff0097d0 " .. TBG.Text.Menu.ITEM_PAGE .. " 2";
	TBG.Text.Message.TOOLTIP_SCORE_FRAME       = "Use this frame to change the position of the world score frame." .. "\n\n" .. "|cffb6b6b6" .. "To hide this frame, check the " .. GREEN_FONT_COLOR_CODE .. TBG.Text.Menu.Display.OTHER_SCORE_DRAGGABLE .. "|cffb6b6b6" .. " option under " .. "|cff0097d0" .. TBG.Text.Menu.ITEM_BLIZZARD .. "|cffb6b6b6.";
	TBG.Text.Message.TOOLTIP_CAPTURE_TIMERS    = "Use this frame to change the position of the capture timers and the flag tracker." .. "\n\n" .. "|cffb6b6b6" .. "To hide this frame, check the " .. GREEN_FONT_COLOR_CODE .. TBG.Text.Menu.Display.OTHER_LOCK_PANEL .. "|cffb6b6b6" .. " option under " .. "|cff0097d0" .. TBG.Text.Menu.ITEM_PANELS .. "|cffb6b6b6.";
	TBG.Text.Message.TOOLTIP_DRAG              = "Hold down the " .. NORMAL_FONT_COLOR_CODE .. "CTRL" .. "|cffb6b6b6" .. " key and " .. NORMAL_FONT_COLOR_CODE .. "RIGHT CLICK" .. "|cffb6b6b6" .. " to drag.";

	-- Tip messages printed to the chat window.
	TBG.Text.Message.TIP                      = "Tip";
	TBG.Text.Message.TIP_DISABLE_TIPS         = "You can disable these random tips under " .. NORMAL_FONT_COLOR_CODE .. TBG.Text.Menu.ITEM_GENERAL .. HIGHLIGHT_FONT_COLOR_CODE .. " in the options.";
	TBG.Text.Message.TIP_GOSSIP_SKIP_BYPASS   = "You can prevent gossip options from being automatically skipped by holding down the key set under " .. NORMAL_FONT_COLOR_CODE .. TBG.Text.Menu.ITEM_QUESTSGOSSIP .. HIGHLIGHT_FONT_COLOR_CODE .. " in the options, before speaking to the npc.";
	TBG.Text.Message.TIP_GOSSIP_SETTINGS      = "You can change what gossip options are skipped under " .. NORMAL_FONT_COLOR_CODE .. TBG.Text.Menu.ITEM_QUESTSGOSSIP .. HIGHLIGHT_FONT_COLOR_CODE .. " in the options.";
	TBG.Text.Message.TIP_QUEUE_AUTO           = "You can change which battlegrounds you are automatically queued for under " .. NORMAL_FONT_COLOR_CODE .. TBG.Text.Menu.ITEM_ACTIONS .. HIGHLIGHT_FONT_COLOR_CODE .. " in the options.";
	TBG.Text.Message.TIP_QUEST_AUTO_ADD       = "You can add quests to auto completion by holding down the " .. NORMAL_FONT_COLOR_CODE .. "CTRL" .. HIGHLIGHT_FONT_COLOR_CODE .. " key and clicking the quest name in the npc gossip frame.";
	TBG.Text.Message.TIP_QUEST_AUTO_REMOVE    = "You can remove quests from auto completion by holding down the " .. NORMAL_FONT_COLOR_CODE .. "ALT" .. HIGHLIGHT_FONT_COLOR_CODE .. " key and clicking the quest name in the npc gossip frame.";
	TBG.Text.Message.TIP_QUEST_AUTO_ORDER     = "The order in which you add quests to auto completion is the order in which they will be handed in.";
	TBG.Text.Message.TIP_QUEST_AUTO_SKIP      = "You can prevent quests from being automatically completed by holding down the key set under " .. NORMAL_FONT_COLOR_CODE .. TBG.Text.Menu.ITEM_QUESTSGOSSIP .. HIGHLIGHT_FONT_COLOR_CODE .. " in the options, before speaking to the npc.";
	TBG.Text.Message.TIP_BG_MESSAGES_REDIRECT = "You can select what battleground system messages are redirected to the warning frame under " .. NORMAL_FONT_COLOR_CODE .. TBG.Text.Menu.ITEM_DISPLAYANDSOUNDS .. HIGHLIGHT_FONT_COLOR_CODE .. " in the options.";
	TBG.Text.Message.TIP_RAID_ASSISTS         = "While in a raid, you can add a player to " .. NORMAL_FONT_COLOR_CODE .. "assist" .. HIGHLIGHT_FONT_COLOR_CODE .. " by holding down the " .. NORMAL_FONT_COLOR_CODE .. "CTRL" .. HIGHLIGHT_FONT_COLOR_CODE .. " key and clicking their name in the raid list. Similarly, you can remove them from assist using the " .. NORMAL_FONT_COLOR_CODE .. "ALT" .. HIGHLIGHT_FONT_COLOR_CODE .. " key.";

	-- Slash commands.
	TBG.Text.Message.SLASH_HEADER = "{addon} {version} slash command information.\nArguments preceded by a * are optional. The argument 'n' represents a number.";

	TBG.Text.Message.SLASH_DETAILS_PRINT_FLAG    = "Prints who is holding the Warsong Gulch flag for the provided faction.";
	TBG.Text.Message.SLASH_DETAILS_PRINT_CAP     = "Prints all capture timers, the top 'n' timers or the 'n'th timer.";
	TBG.Text.Message.SLASH_DETAILS_PRINT_CAP_TOP = "Prints the top 'n' timers.";
	TBG.Text.Message.SLASH_DETAILS_PRINT_MOVE    = "Prints the movement timers for Ivus the Forest Lord and Lokholar the Ice Lord.";
	TBG.Text.Message.SLASH_DETAILS_RESET         = "Resets the position of draggable frames, the battleground history or the saved variables.";

	-- Dialogs.
	TBG.Text.Message.DIALOG_CONSOLE_RELOADUI             = "|cff0097d0Titan Battleground\n\n" .. HIGHLIGHT_FONT_COLOR_CODE .. "To correctly disable the addon, you must reload your user interface.";
	TBG.Text.Message.DIALOG_CONSOLE_RELOADUI_RELOAD      = "Reload";
	TBG.Text.Message.DIALOG_INTRODUCTION                 = "|cff0097d0Titan Battleground\n\n" .. HIGHLIGHT_FONT_COLOR_CODE .. "Welcome! Type " .. NORMAL_FONT_COLOR_CODE .. "/tbg" .. HIGHLIGHT_FONT_COLOR_CODE .. " to view the menu, or " .. NORMAL_FONT_COLOR_CODE .. "/tbg help" .. HIGHLIGHT_FONT_COLOR_CODE .. " to see available slash commands. Please report any errors.";
	TBG.Text.Message.DIALOG_RELOAD_HISTORY               = "|cff0097d0Titan Battleground\n\n" .. HIGHLIGHT_FONT_COLOR_CODE .. "Your battleground history was reset as a result of recent changes to the addon.";
	TBG.Text.Message.DIALOG_PROFILE_NAME_INCORRECT       = "|cff0097d0Titan Battleground\n\n" .. RED_FONT_COLOR_CODE .. "Sorry!" .. HIGHLIGHT_FONT_COLOR_CODE .." A profile name must be " .. NORMAL_FONT_COLOR_CODE .. "5" .. HIGHLIGHT_FONT_COLOR_CODE .. " to " .. NORMAL_FONT_COLOR_CODE .. "25" .. HIGHLIGHT_FONT_COLOR_CODE .. " characters long. It can only contain " .. NORMAL_FONT_COLOR_CODE .. "letters" .. HIGHLIGHT_FONT_COLOR_CODE .. ", an " .. NORMAL_FONT_COLOR_CODE .. "underscore" .. HIGHLIGHT_FONT_COLOR_CODE .. " or a " .. NORMAL_FONT_COLOR_CODE .. "dash" .. HIGHLIGHT_FONT_COLOR_CODE .. ".";
	TBG.Text.Message.DIALOG_PROFILE_NAME_EXISTS          = "|cff0097d0Titan Battleground\n\n" .. RED_FONT_COLOR_CODE .. "Sorry!" .. HIGHLIGHT_FONT_COLOR_CODE .." That profile name already " .. NORMAL_FONT_COLOR_CODE .. "exists" .. HIGHLIGHT_FONT_COLOR_CODE .. "!";
	TBG.Text.Message.DIALOG_PROFILE_NAME_CREATED         = "|cff0097d0Titan Battleground\n\n" .. HIGHLIGHT_FONT_COLOR_CODE .. "The profile was successfully " .. NORMAL_FONT_COLOR_CODE .. "created" .. HIGHLIGHT_FONT_COLOR_CODE .. "! This character is now using the profile.";
	TBG.Text.Message.DIALOG_PROFILE_NAME_DELETED         = "|cff0097d0Titan Battleground\n\n" .. HIGHLIGHT_FONT_COLOR_CODE .. "The profile was successfully " .. NORMAL_FONT_COLOR_CODE .. "deleted" .. HIGHLIGHT_FONT_COLOR_CODE .. "! Any characters using this profile are now using the default.";
	TBG.Text.Message.DIALOG_AUTO_TURNIN_COMPLETE         = "|cff0097d0Titan Battleground\n" .. HIGHLIGHT_FONT_COLOR_CODE .. "You do not meet the requirements for the automatic completion of the quests on this npc.";

	-- ################
	-- ## REFERENCES ##
	-- ################

	-- This section has special requirements, as the translations reference Blizzard terminology.
	-- Please pay marked attention to the comments.

	-- Messages associated with various occurances within battlegrounds.
	TBG.Text.Ref.PLAYER_DEATH = "has died."; 				-- Message printed when a player in your party dies nearby.
	TBG.Text.Ref.RAID_JOIN    = "has joined the raid"; 		-- Message printed when a player joins the raid group.
	TBG.Text.Ref.RAID_LEAVE   = "has left the raid"; 		-- Message printed when a player leaves the raid group.
	TBG.Text.Ref.BG_JOIN      = "has joined the battle"; 	-- Message printed when a player joins the battleground.
	TBG.Text.Ref.BG_LEAVE     = "has left the battle"; 		-- Message printed when a player leaves the battleground.

	-- Translate the section within the [""] only.
	-- Class names must be exactly as returned by UnitClass().
	TBG.Text.Ref.CLASS_NAME = {
		["DRUID"]   = "Druid",
		["HUNTER"]  = "Hunter",
		["MAGE"]    = "Mage",
		["PALADIN"] = "Paladin",
		["PRIEST"]  = "Priest",
		["ROGUE"]   = "Rogue",
		["SHAMAN"]  = "Shaman",
		["WARLOCK"] = "Warlock",
		["WARRIOR"] = "Warrior",
	};

	-- These must be exactly as printed by the system while in Warsong Gulch.
	TBG.Text.Ref.WSG_FLAG_PICKED_UP = "The (.+) [fF]lag was picked up by (.+)!";
	TBG.Text.Ref.WSG_FLAG_DROPPED   = "The (.+) [fF]lag was dropped by (.+)!";
	TBG.Text.Ref.WSG_FLAG_CAPTURED  = "(.+) captured the (.+) [fF]lag!";

	-- These must be exactly as printed by the system while in Eye of the Storm.
	TBG.Text.Ref.EOTS_FLAG_PICKED_UP = "(.+) has taken the flag!";
	TBG.Text.Ref.EOTS_FLAG_DROPPED   = "The flag has been dropped!";
	TBG.Text.Ref.EOTS_FLAG_CAPTURED  = "The (.+) have captured the flag!";

	-- Must be exactly as printed in Alterac Valley.
	-- These are used for pattern matching and can be fragments of the entire sentance.
	TBG.Text.Ref.AV_IVUS_START = "Wicked, wicked, mortals!";  -- Fragment of the yell performed by the NPC when Ivus the Forest Lord has been summoned.
	TBG.Text.Ref.AV_LOK_START  = "The Ice Lord has arrived!"; -- Fragment of the yell performed by the NPC when Lokholar the Ice Lord has been summoned.

	-- ## Alterac Valley Message References
	-- ## When modifying these, please make certain everything is spelled, punctuated and capitalised as it appears in the game.
	-- ## Please be certain all numbers are consecutive and no numbers are skipped.

		-- NPC names as they appear in chat. For example, "Drek'Thar yells:".
		TBG.Text.Ref.AV_HERALD           = "Herald";                      -- Yells about what points are captured and destroyed.
		TBG.Text.Ref.AV_GENERAL_ALLIANCE = "Vanndar Stormpike";           -- Alliance General.
		TBG.Text.Ref.AV_GENERAL_HORDE    = "Drek'Thar";                   -- Horde General.
		TBG.Text.Ref.AV_CAPTAIN_ALLIANCE = "Captain Balinda Stonehearth"; -- Alliance Captain.
		TBG.Text.Ref.AV_CAPTAIN_HORDE    = "Captain Galvangar";           -- Horde Captain.

		-- Associated with ENGAGE and RESET actions for the Generals. Does not have to be the entire yell.
		-- Except for the buff yell which is also listed here, all unknown yells from these NPCs are considered
		--     as ENGAGE yells.
		-- Buff yells are suppressed as you get an additional message in your chat window.
		TBG.Text.Ref.AV_YELL_BOSS = {
			[TBG.Text.Ref.AV_GENERAL_HORDE] = {
				faction = FACTION_HORDE,
				buff    = "Leave no survivors!", -- Yell when the Horde is buffed by the General.

				[1] = { msg = "Stormpike filth!",    action = "ENGAGE" }, -- Yell when the General is engaged in combat.
				[2] = { msg = "Stormpike weaklings", action = "RESET" },  -- Yell when the General resets.
				[3] = { msg = "PREPOSTEROUS!",       action = "RESET" },  -- When pulled outside of the keep.
			},

			[TBG.Text.Ref.AV_GENERAL_ALLIANCE] = {
				faction = FACTION_ALLIANCE,
				buff    = "Take no prisoners", -- Yell when the Alliance is buffed by the General.

				[1] = { msg = "I require aid!",    action = "ENGAGE" }, -- Yell when the General is engaged in combat.
				[2] = { msg = "without yer cheap", action = "RESET" },  -- Yell when the General resets.
				[3] = { msg = "bunker, heathens!", action = "RESET" },  -- When pulled outside of the keep.
			},
		};

		-- Associated with ENGAGE and RESET actions for the Captains.
		-- Any other yells performed by these NPCs can be removed using TBG.Text.Ref.AV_YELL_HIDE.
		TBG.Text.Ref.AV_YELL_CAPTAIN = {
			[TBG.Text.Ref.AV_CAPTAIN_HORDE] = {
				faction = FACTION_HORDE,
				buff    = {
					msg = "Now is the time to attack!",            	   -- Yell when the Horde is buffed by the Captain.
					txt = "The Horde gain the Fury of the Frostwolf."; -- What the yell is converted to.
				},

				[1] = { msg = "Your kind has no place",	action = "ENGAGE" }, -- Yell when the Captain is engaged in combat.
				[2] = { msg = "never fall for that",    action = "RESET" },  -- Yell when the Captain is pulled outside of the keep.
			},

			[TBG.Text.Ref.AV_CAPTAIN_ALLIANCE] = {
				faction = FACTION_ALLIANCE,
				buff    = {
					msg = "Throw these villains",                     -- Yell when the Alliance is buffed by the Captain.
					txt = "The Alliance gain Stormpike's Salvation."; -- What the yell is converted to.
				},

				[1] = { msg = "Begone, uncouth scum!",    	action = "ENGAGE" }, -- Yell when the Captain is engaged in combat.
				[2] = { msg = "Filthy Frostwolf cowards!",	action = "RESET" },  -- Yell when the Captain is pulled outside of the keep.
			},
		};

		-- If an NPC within Alterac Valley performs a yell which contains any of the following text, it will be suppresed if desired.
		TBG.Text.Ref.AV_YELL_HIDE = {
			[1] = "For the Horde!";      -- When a Warmaster spawns.
			[2] = "Reporting for duty!"; -- When a Marshal spawns.
			[3] = "entering the battle"; -- Armor upgrade yell.
		};

		-- If any of these NPCs in Alterac Valley perform a yell it will be supressed if desired.
		TBG.Text.Ref.AV_NPC_HIDE = {

			-- Alliance
			[1] = "Slidore",
			[2] = "Vipore",
			[3] = "Ichman",
			[4] = "Randolph",
			[5] = "Karl Philips",
			[6] = "Duffy",
			[7] = "Mortimer",
			[8] = "Greywand",
			[9] = "Largent",
			[10] = "Lonadin",
			[11] = "Mancuso",
			[12] = "Spencer",
			[13] = "Stouthandle",

			-- Horde
			[14] = "Guse",
			[15] = "Jeztor",
			[16] = "Mulverick",
			[17] = "Dardosh",
			[18] = "Louis Philips",
			[19] = "Malgor",
			[20] = "Mulfort",
			[21] = "Grummus",
			[22] = "Lewis",
			[23] = "Murp",
			[24] = "Rugba",
			[25] = "Stronghoof",
			[26] = "Vol'talar",

			-- Other
			[27] = "Taskmaster Snivvle",
			[28] = "Morloch",
		};

	-- !! WARNING !!
	-- These must apear exactly as sent by the system.
	-- This can be tested by making certain the lines between !! DEBUG START and !! DEBUG END
	-- are not commented (do not have a preceeding --) and typing '/console reloadui' into the chat window.

	-- 'BG = ' will display the name of the battleground. If the slot isn't taken up by a battleground,
	-- then it will display the zone you are currently in.

	-- Please make certain the text appears EXACTLY as printed. Do not insert capitals where they are not necessary,
	-- nor not include capitals when they are listed.

		-- Battleground Names
		TBG.Text.Ref.BG_AV         = "Alterac Valley";
		TBG.Text.Ref.BG_WSG        = "Warsong Gulch";
		TBG.Text.Ref.BG_AB         = "Arathi Basin";
		TBG.Text.Ref.BG_EOTS       = "Eye of the Storm";
		TBG.Text.Ref.ARENA_ALL     = "All Arenas";
		TBG.Text.Ref.ARENA_NAGRAND = "Nagrand Arena";
		TBG.Text.Ref.ARENA_BLADE   = "Blade's Edge Arena";

	-- !! END WARNING !!

	-- Short names for the battlegrounds. This is not printed in the game.
	TBG.Text.Ref.BGS_SHORT = {
		[TBG.Text.Ref.BG_AV]         = "AV";
		[TBG.Text.Ref.BG_WSG]        = "WSG";
		[TBG.Text.Ref.BG_AB]         = "AB";
		[TBG.Text.Ref.BG_EOTS]       = "EOTS";
		[TBG.Text.Ref.ARENA_ALL]     = "Arena";
		[TBG.Text.Ref.ARENA_NAGRAND] = "NA";
		[TBG.Text.Ref.ARENA_BLADE]   = "BEA";
	};
end