--[[/*
	Titan [Gathered] v 1.15b original Titan Ore
	An addon for World of Warcraft that shows information about
	trade items in Titan Panel.
	Programed By Radek Roza 12-20-2006 - 03-21-2007 (c)
	Medyn medyn@volny.cz Tabor/Czech Republic

	License:
		This program is free software; you can redistribute it and/or
		modify it under the terms of the GNU General Public License
		as published by the Free Software Foundation; either version 2
		of the License, or (at your option) any later version.

		This program is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
		GNU General Public License for more details.

*/]]
if ( GetLocale() == "deDE" ) then

TITAN_ORE_VERSION 				= "v1.16";
TITAN_ORE_AUTHOR 				= "Medyn";
TITAN_ORE_EMAIL 				= "radek.roza@rrsoft.cz";
TITAN_ORE_WEB	 				= "www.rrsoft.cz";
TITAN_ORE_GERMAN				= "Aranel";
TITAN_ORE_FRANCE				= "...";

TITAN_ORE_EV 					= 0;
TITAN_ORE_DEBUG 				= 0;

--[[
	For my help!
	 = \195\164 (z.B. Jger = J\195\164ger) 
	 = \195\132 (z.B. rger = \195\132rger) 
	 = \195\182 (z.B. schn = sch\195\182n) 
	 = \195\150 (z.B. dipus = \195\150dipus) 
	 = \195\188 (z.B. Rstung = R\195\188stung) 
	 = \195\156 (z.B. bung = \195\156bung) 
	 = \195\159 (z.B. Strae = Stra\195\159e) 
]]

TITAN_ORE_LOCAL_ORES			= "Erz: ";
TITAN_ORE_LOCAL_BARS			= "Barren: ";
TITAN_ORE_LOCAL_STONES			= "Steine: ";
TITAN_ORE_LOCAL_GEMS			= "Edelsteine: ";
TITAN_ORE_LOCAL_LEATHERS		= "Leder: ";
TITAN_ORE_LOCAL_SCALES			= "Schuppen: ";
TITAN_ORE_LOCAL_CLOTHS			= "Stoff: ";
TITAN_ORE_LOCAL_HIDES			= "B\195\164lge: ";
TITAN_ORE_LOCAL_SHARDS			= "Schuppen: ";
TITAN_ORE_LOCAL_HERBS			= "Kr\195\164uter: ";
TITAN_ORE_LOCAL_ESSENCES		= "Essenzen: ";
TITAN_ORE_LOCAL_BANDAGES		= "Verb\195\164nde: ";
TITAN_ORE_LOCAL_POISONS			= "Gift: ";
TITAN_ORE_LOCAL_MISC			= "Sonstiges: ";
TITAN_ORE_LOCAL_PMATS			= "Gift Mats: ";
TITAN_ORE_LOCAL_PROFESSIONS		= "Berufe: ";
TITAN_ORE_LOCAL_NAME			= "Titan Gathered";
TITAN_ORE_LOCAL_HIDDE_ZERO		= "Zeige leere Pl\195\164tze";
TITAN_ORE_LOCAL_SHOW_BANK		= "Zeige Bankpl\195\164tze";
TITAN_ORE_LOCAL_EXCLUDE_ZERO	= "Ignoriere leere Bankpl\195\164tze";
TITAN_ORE_LOCAL_SHOW_CATEGORIES	= "Zeige Kategorieen";
TITAN_ORE_LOCAL_SHOW_TITAN_OPT	= "Titan Optionen";
TITAN_ORE_LOCAL_SHOW_ITEMS		= "Zeige Gegenst\195\164nde";
TITAN_ORE_LOCAL_SHOW_SKILLS		= "Zeige prof. Berufe";
TITAN_ORE_LOCAL_SHOW_ORE		= "Zeige Erz";
TITAN_ORE_LOCAL_SHOW_BAR		= "Zeige Barren";
TITAN_ORE_LOCAL_SHOW_GEM		= "Zeige Edelsteine";
TITAN_ORE_LOCAL_SHOW_STONE		= "Zeige Steine";
TITAN_ORE_LOCAL_SHOW_LEATHER	= "Zeige Leder";
TITAN_ORE_LOCAL_SHOW_SCALE		= "Zeige Schuppen";
TITAN_ORE_LOCAL_SHOW_CLOTH		= "Zeige Stoff";
TITAN_ORE_LOCAL_SHOW_HIDE		= "Zeige B\195\164lge";
TITAN_ORE_LOCAL_SHOW_HERB		= "Zeige Kr\195\164uter";
TITAN_ORE_LOCAL_SHOW_ESSENCE	= "Zeige Essenzen";
TITAN_ORE_LOCAL_SHOW_BANDAGE	= "Zeige Verb\195\164nde";
TITAN_ORE_LOCAL_SHOW_POISON		= "Zeige Gift";
TITAN_ORE_LOCAL_SHOW_MISC		= "Zeige Sonstiges";
TITAN_ORE_LOCAL_SHOW_PMAT		= "Zeige Gift Mats";
TITAN_ORE_LOCAL_BANK_ITEMS		= "Bankpl\195\164tze";
TITAN_ORE_ABOUT_TEXT			= "\195\156ber";
TITAN_ORE_LOCAL_LIST_TEXT		= "Track item list";
TITAN_ORE_LOCAL_SKILL_MINE_NAME	= "Berbau";
TITAN_ORE_LOCAL_SKILL_HERB_NAME	= "Kr\195\164uterkunde";
TITAN_ORE_LOCAL_SKILL_SKIN_NAME = "K\195\188rschnerei";
TITAN_ORE_LOCAL_SKILL_ENCH_NAME = "Verzaubern";
TITAN_ORES_LOCAL_PERCENT		= 0;


TITAN_ORE_RED 		= "|cFFFF0000";
TITAN_ORE_ORANGE 	= "|cffff8020";
TITAN_ORE_YELLOW 	= "|cffffff20";
TITAN_ORE_GREEN 	= "|cFF00FF00";
TITAN_ORE_GOLD	 	= "|r";
TITAN_ORE_BLUE 		= "|cFF0000FF";
TITAN_ORE_GREY 		= "|cffdddddd";

TITAN_ORE_ABOUT_POPUP_TEXT 		= TitanUtils_GetGreenText("Titan Panel [Gathered]")..TitanUtils_GetHighlightText(" By ")..TitanUtils_GetNormalText(TITAN_ORE_AUTHOR).."\n"..TitanUtils_GetNormalText("German Translation")..TitanUtils_GetHighlightText(" By ")..TitanUtils_GetNormalText(TITAN_ORE_GERMAN).."\n"..TitanUtils_GetNormalText("Version: ")..TitanUtils_GetHighlightText(TITAN_ORE_VERSION).."\n"..TitanUtils_GetNormalText("email: ")..TitanUtils_GetHighlightText(TITAN_ORE_EMAIL).." - "..TitanUtils_GetHighlightText(TITAN_ORE_WEB);



TITAN_ORE_CATEGORIES = {
	{ tag = "TITAN_ORE_LOCAL_ORES", 	name = "Erz: ", 			save = "ShowOre", 		smenu = "Show ores", 	skillneed = "Mining"},
	{ tag = "TITAN_ORE_LOCAL_BARS", 	name = "Barren: ", 			save = "ShowBar", 		smenu = "Show bars", 	skillneed = "Mining"},
	{ tag = "TITAN_ORE_LOCAL_STONES", 	name = "Steine: ",	 		save = "ShowStone", 	smenu = "Show gems", 	skillneed = "Mining"},
	{ tag = "TITAN_ORE_LOCAL_GEMS", 	name = "Edelsteine: ", 		save = "ShowGem", 		smenu = "Show stones", 	skillneed = ""},
	{ tag = "TITAN_ORE_LOCAL_LEATHERS", name = "Leder: ",			save = "ShowLeather", 	smenu = "Show leathers",skillneed = "Skinning"},
	{ tag = "TITAN_ORE_LOCAL_SCALES", 	name = "Schuppen: ",		save = "ShowScale", 	smenu = "Show scales",	skillneed = ""},
	{ tag = "TITAN_ORE_LOCAL_HIDES", 	name = "B\195\164lge: ",	save = "ShowHide", 		smenu = "Show hides", 	skillneed = "Skinning"},
	{ tag = "TITAN_ORE_LOCAL_CLOTHS", 	name = "Stoff: ", 			save = "ShowCloth", 	smenu = "Show cloths", 	skillneed = ""},
	{ tag = "TITAN_ORE_LOCAL_HERBS", 	name = "Kr\195\164uter: ", 	save = "ShowHerb", 		smenu = "Show herbs", 	skillneed = "Herbalism"},
	{ tag = "TITAN_ORE_LOCAL_ESSENCES", name = "Essenzen: ",		save = "ShowEssence", 	smenu = "Show essences",skillneed = "Enchanting"},
	{ tag = "TITAN_ORE_LOCAL_BANDAGES",	name = "Bandages: ",	save = "ShowBandage", 	smenu = "Show bandages",	skillneed = "First Aid"},
	{ tag = "TITAN_ORE_LOCAL_POISONS",	name = "Poisons: ",		save = "ShowPoison", 	smenu = "Show poisons",		skillneed = "Poisons"},
	{ tag = "TITAN_ORE_LOCAL_MISC",		name = "Misc: ",			save = "ShowMisc",	 	smenu = "Show Misc",	skillneed = ""},
	{ tag = "TITAN_ORE_LOCAL_PMATS",	name = "Poison mats: ",	save = "ShowPmat",	 	smenu = "Show poison mats", skillneed = ""},
}
-- basic track item array

TITAN_ORE_ITEMS = {
	{ tag = "TITAN_ORE_COPPER",		short = "KuE", name = "Kupfererz",					save = "Copper", 				cat = TITAN_ORE_LOCAL_ORES, 	skill = 1},
	{ tag = "TITAN_ORE_TIN",		short = "Zin", name = "Zinnerz",					save = "Tin", 					cat = TITAN_ORE_LOCAL_ORES, 	skill = 65},
	{ tag = "TITAN_ORE_SILVER",		short = "Sil", name = "Silbererz",					save = "Silver", 				cat = TITAN_ORE_LOCAL_ORES, 	skill = 75},
	{ tag = "TITAN_ORE_IRON",		short = "Eis", name = "Eisenerz",					save = "Iron", 					cat = TITAN_ORE_LOCAL_ORES, 	skill = 125},
	{ tag = "TITAN_ORE_GOLD",		short = "Gol", name = "Golderz",					save = "Gold", 					cat = TITAN_ORE_LOCAL_ORES, 	skill = 155},
	{ tag = "TITAN_ORE_MITHRIL",	short = "Mit", name = "Mithrilerz",	     			save = "Mithril", 				cat = TITAN_ORE_LOCAL_ORES, 	skill = 175},
	{ tag = "TITAN_ORE_TRUESILVER",	short = "ESE", name = "Echtsilbererz",				save = "Truesilver",			cat = TITAN_ORE_LOCAL_ORES, 	skill = 230},
	{ tag = "TITAN_ORE_THORIUM",	short = "Tho", name = "Thoriumerz",					save = "Thorium", 				cat = TITAN_ORE_LOCAL_ORES, 	skill = 245},
	{ tag = "TITAN_ORE_DARKIRON",	short = "DEE", name = "Dunkeleisenerz",				save = "DIron", 				cat = TITAN_ORE_LOCAL_ORES, 	skill = 230},
	{ tag = "TITAN_ORE_FELIRONORE",	short = "TEE", name = "Teufelseisenerz",			save = "FelIronOre",			cat = TITAN_ORE_LOCAL_ORES, 	skill = 250},
	{ tag = "TITAN_ORE_ADAMATIORE",	short = "Ada", name = "Adamatite Ore",			save = "AdamantiteOre",			cat = TITAN_ORE_LOCAL_ORES, 	skill = 325},
	{ tag = "TITAN_ORE_ADAMATIORE",	short = "Ete", name = "Eternium Ore",			save = "EterniumOre",			cat = TITAN_ORE_LOCAL_ORES, 	skill = 350},
	{ tag = "TITAN_ORE_KHORIUMORE",	short = "Kho", name = "Khorium Ore",			save = "KhoriumOre",			cat = TITAN_ORE_LOCAL_ORES, 	skill = 375},
	{ tag = "TITAN_ORE_ELEMENTORE",	short = "Kho", name = "Elementium Ore",			save = "ElementiumOre",			cat = TITAN_ORE_LOCAL_ORES, 	skill = 400},

	{ tag = "TITAN_ORE_COP_BAR",	short = "KuB", name = "Kupferbarren",				save = "CopperBar",				cat = TITAN_ORE_LOCAL_BARS, 	skill = 1},
	{ tag = "TITAN_ORE_TIN_BAR",	short = "ZiB", name = "Zinnbarren",					save = "TinBar",				cat = TITAN_ORE_LOCAL_BARS, 	skill = 65},
	{ tag = "TITAN_ORE_BRO_BAR",	short = "BrB", name = "Bronzebarren",				save = "BronzeBar",				cat = TITAN_ORE_LOCAL_BARS, 	skill = 65},
	{ tag = "TITAN_ORE_SIL_BAR",	short = "SiB", name = "Silberbarren",				save = "SilverBar",				cat = TITAN_ORE_LOCAL_BARS, 	skill = 75},
	{ tag = "TITAN_ORE_IRO_BAR",	short = "EiB", name = "Eisenbarren",				save = "IronBar",				cat = TITAN_ORE_LOCAL_BARS, 	skill = 125},
	{ tag = "TITAN_ORE_GOL_BAR",	short = "GoB", name = "Goldbarren",					save = "GoldBar",				cat = TITAN_ORE_LOCAL_BARS, 	skill = 155},
	{ tag = "TITAN_ORE_STI_BAR",	short = "StB", name = "Stahlbarren",				save = "SteelBar",				cat = TITAN_ORE_LOCAL_BARS, 	skill = 165},
	{ tag = "TITAN_ORE_MIT_BAR",	short = "MiB", name = "Mithrilbarren",				save = "MithrilBar",			cat = TITAN_ORE_LOCAL_BARS, 	skill = 175},
	{ tag = "TITAN_ORE_TRU_BAR",	short = "ESB", name = "Echtsilberbarren",			save = "TruesilverBar",			cat = TITAN_ORE_LOCAL_BARS, 	skill = 225},
	{ tag = "TITAN_ORE_DIR_BAR",	short = "DEB", name = "Dunkeleisenbarren",			save = "DarkIronBar",			cat = TITAN_ORE_LOCAL_BARS, 	skill = 230},
	{ tag = "TITAN_ORE_THO_BAR",	short = "ThB", name = "Thoriumbarren",				save = "ThoriumBar",			cat = TITAN_ORE_LOCAL_BARS, 	skill = 250},
	{ tag = "TITAN_ORE_ELE_BAR",	short = "ElB", name = "Elementiumbarren",			save = "ElementiumBar",			cat = TITAN_ORE_LOCAL_BARS, 	skill = 300},
	{ tag = "TITAN_ORE_ARB_BAR",	short = "ArB", name = "Arkanitbarren",				save = "ArcaniteBar",			cat = TITAN_ORE_LOCAL_BARS, 	skill = 230},
	{ tag = "TITAN_ORE_FEL_BAR",	short = "TEB", name = "Teufelseisenbarren",			save = "FelIronBar",			cat = TITAN_ORE_LOCAL_BARS, 	skill = 250},
	{ tag = "TITAN_ORE_ETB_BAR",	short = "VTB", name = "Verzauberter Thoriumbarren",	save = "EThoriumBar",			cat = TITAN_ORE_LOCAL_BARS, 	skill = 300},
	{ tag = "TITAN_ORE_ADA_BAR",	short = "Ada", name = "Adamantite Bar",			save = "AdamantiteBar",			cat = TITAN_ORE_LOCAL_BARS, 	skill = 325},
	{ tag = "TITAN_ORE_ETH_BAR",	short = "EtB", name = "Eternium Bar",			save = "EterniumBar",			cat = TITAN_ORE_LOCAL_BARS, 	skill = 350},
	{ tag = "TITAN_ORE_KHO_BAR",	short = "KhB", name = "Khorium Bar",			save = "KhoriumBar",			cat = TITAN_ORE_LOCAL_BARS, 	skill = 375},
	{ tag = "TITAN_ORE_HAB_BAR",	short = "HAB", name = "Hardened Adamantite Bar",save = "HardenedAdaBar",		cat = TITAN_ORE_LOCAL_BARS, 	skill = 375},
	{ tag = "TITAN_ORE_FEL_BAR",	short = "FlB", name = "Felsteel Bar",			save = "FelsteelBar",			cat = TITAN_ORE_LOCAL_BARS, 	skill = 400},
	
	{ tag = "TITAN_ORE_RS",			short = "RS",  name = "Rauer Stein",				save = "RStone",				cat = TITAN_ORE_LOCAL_STONES, 	skill = 1},
	{ tag = "TITAN_ORE_CS",			short = "GS",  name = "Grober Stein",				save = "CStone",				cat = TITAN_ORE_LOCAL_STONES, 	skill = 65},
	{ tag = "TITAN_ORE_HS",			short = "SS",  name = "Schwerer Stein",				save = "HStone",				cat = TITAN_ORE_LOCAL_STONES, 	skill = 125},
	{ tag = "TITAN_ORE_SS",			short = "RS",  name = "Robuster Stein",				save = "SStone",				cat = TITAN_ORE_LOCAL_STONES, 	skill = 175},
	{ tag = "TITAN_ORE_DS",			short = "VS",  name = "Verdichteter Stein",			save = "DStone",				cat = TITAN_ORE_LOCAL_STONES, 	skill = 245},
	{ tag = "TITAN_ORE_RGS",		short = "RSS", name = "Rauer Schleifstein",			save = "RGStone",				cat = TITAN_ORE_LOCAL_STONES, 	skill = 1},
	{ tag = "TITAN_ORE_CGS",		short = "GSS", name = "Grober Schleifstein",		save = "CGStone",				cat = TITAN_ORE_LOCAL_STONES, 	skill = 65},
	{ tag = "TITAN_ORE_HGS",		short = "SSS", name = "Schwerer Schleifstein",		save = "HGStone",				cat = TITAN_ORE_LOCAL_STONES, 	skill = 125},
	{ tag = "TITAN_ORE_SGS",		short = "RSS", name = "Robuster Schleifstein",		save = "SGStone",				cat = TITAN_ORE_LOCAL_STONES, 	skill = 175},
	{ tag = "TITAN_ORE_DGS",		short = "VSS", name = "Verdichteter Schleifstein",	save = "DGStone",				cat = TITAN_ORE_LOCAL_STONES, 	skill = 245},

	{ tag = "TITAN_ORE_MAL",		short = "Mal", name = "Malachit",					save = "Malachite",				cat = TITAN_ORE_LOCAL_GEMS, 	skill = 0},
	{ tag = "TITAN_ORE_TIG",		short = "Tig", name = "Tigerauge",					save = "Tigerseye",				cat = TITAN_ORE_LOCAL_GEMS, 	skill = 0},
	{ tag = "TITAN_ORE_SHA",		short = "SES", name = "Schattenedelstein",			save = "Shadowgem",				cat = TITAN_ORE_LOCAL_GEMS, 	skill = 0},
	{ tag = "TITAN_ORE_MOS",		short = "Mos", name = "Mossachat",					save = "Moss Agate",			cat = TITAN_ORE_LOCAL_GEMS, 	skill = 0},
	{ tag = "TITAN_ORE_LES",		short = "GMo", name = "Geringer Mondstein",			save = "LMoonstone",			cat = TITAN_ORE_LOCAL_GEMS, 	skill = 0},
	{ tag = "TITAN_ORE_JAD",		short = "Jad", name = "Jade",						save = "Jade", 					cat = TITAN_ORE_LOCAL_GEMS, 	skill = 0},
	{ tag = "TITAN_ORE_CIT",		short = "Cit", name = "Citrin",						save = "Citrine",				cat = TITAN_ORE_LOCAL_GEMS, 	skill = 125},
	{ tag = "TITAN_ORE_BVI",		short = "ScV", name = "Schwarzes Vitriol",			save = "BVitriol",				cat = TITAN_ORE_LOCAL_GEMS, 	skill = 175},
	{ tag = "TITAN_ORE_AQA",		short = "Aqa", name = "Aquamarin",					save = "Aquamarine",			cat = TITAN_ORE_LOCAL_GEMS, 	skill = 175},
	{ tag = "TITAN_ORE_SRU",		short = "StR", name = "Sternrubin",					save = "StarRuby",				cat = TITAN_ORE_LOCAL_GEMS, 	skill = -1},
	{ tag = "TITAN_ORE_BDI",		short = "ScD", name = "Schwarzer Diamand",			save = "BlackDiamond",			cat = TITAN_ORE_LOCAL_GEMS, 	skill = 230},
	{ tag = "TITAN_ORE_SOU",		short = "See", name = "Seelenit",					save = "Souldarite",			cat = TITAN_ORE_LOCAL_GEMS, 	skill = 230},
	{ tag = "TITAN_ORE_BOM",		short = "BdB", name = "Blut des Berges", 			save = "BOMountain",			cat = TITAN_ORE_LOCAL_GEMS, 	skill = 230},
	{ tag = "TITAN_ORE_LOP",		short = "GOp", name = "Gro\195\159er Opal",  		save = "LargeOpal",				cat = TITAN_ORE_LOCAL_GEMS, 	skill = 245},
	{ tag = "TITAN_ORE_BLS",		short = "BSa", name = "Blauer Saphir",				save = "BSapphire",				cat = TITAN_ORE_LOCAL_GEMS, 	skill = 245},
	{ tag = "TITAN_ORE_PBD",		short = "MsD", name = "Makelloser schwarzer Diamant",save = "PBDiamond",			cat = TITAN_ORE_LOCAL_GEMS, 	skill = -1},
	{ tag = "TITAN_ORE_HEM",		short = "GSd", name = "Gewaltiger Smaragd",			save = "HugeEmerald",			cat = TITAN_ORE_LOCAL_GEMS, 	skill = 245},
	{ tag = "TITAN_ORE_AZD",		short = "AzD", name = "Azerothianischer Diamant",	save = "AzerothianDiamond",		cat = TITAN_ORE_LOCAL_GEMS, 	skill = 245},
	{ tag = "TITAN_ORE_ACR",		short = "AkK", name = "Arkankristall",				save = "ArcaneCrystal",			cat = TITAN_ORE_LOCAL_GEMS, 	skill = 250},
	{ tag = "TITAN_ORE_YPC",		short = "GMK", name = "Gelber Machtkristall",		save = "YPowerCrystal",			cat = TITAN_ORE_LOCAL_GEMS, 	skill = 300},
	{ tag = "TITAN_ORE_RPC",		short = "RMK", name = "Roter Machtkristall",		save = "RPowerCrystal",			cat = TITAN_ORE_LOCAL_GEMS, 	skill = 300},
	{ tag = "TITAN_ORE_GPC",		short = "GMK", name = "Gr\195\188ner Machtkristall",	save = "GPowerCrystal",			cat = TITAN_ORE_LOCAL_GEMS, 	skill = 300},
	{ tag = "TITAN_ORE_BPC",		short = "BMK", name = "Blauer Machtkristall",		save = "BPowerCrystal",			cat = TITAN_ORE_LOCAL_GEMS, 	skill = 300},

	{ tag = "TITAN_ORE_SHARD",		short = "SSt", name = "Seelenstein",				save = "Shard", 				cat = TITAN_ORE_LOCAL_SHARDS, 	skill = 0},

	{ tag = "TITAN_ORE_RLS",		short = "VLF", name = "Verdorbene Lederfetzen",				save = "RLeatherS",				cat = TITAN_ORE_LOCAL_LEATHERS, skill = 0},
	{ tag = "TITAN_ORE_LL",			short = "LL",  name = "Leichtes Leder",						save = "LLeather",				cat = TITAN_ORE_LOCAL_LEATHERS, skill = 0},
	{ tag = "TITAN_ORE_ML",			short = "ML",  name = "Mittleres Leder",					save = "MLeather",				cat = TITAN_ORE_LOCAL_LEATHERS, skill = 0},
	{ tag = "TITAN_ORE_HL",			short = "SL",  name = "Schweres Leder",						save = "HLeather",				cat = TITAN_ORE_LOCAL_LEATHERS, skill = 200},
	{ tag = "TITAN_ORE_TL",			short = "DL",  name = "Dickes Leder",						save = "TLeather",				cat = TITAN_ORE_LOCAL_LEATHERS, skill = 250},
	{ tag = "TITAN_ORE_RL",			short = "UL",  name = "Unverw\195\188stliches Leder",		save = "RLeather",				cat = TITAN_ORE_LOCAL_LEATHERS, skill = 0},
	{ tag = "TITAN_ORE_CL",			short = "KL",  name = "Kernleder",							save = "CoreLeather",			cat = TITAN_ORE_LOCAL_LEATHERS, skill = 0},
	{ tag = "TITAN_ORE_ChL",		short = "SL",  name = "Schim\195\164renleder",				save = "ChimeraLeather",		cat = TITAN_ORE_LOCAL_LEATHERS, skill = 0},
	{ tag = "TITAN_ORE_FrL",		short = "FL",  name = "Frosts\195\164blerleder",			save = "FrostsaberLeather",		cat = TITAN_ORE_LOCAL_LEATHERS, skill = 0},
	{ tag = "TITAN_ORE_WaL",		short = "KBL", name = "Kriegsb\195\164renleder",			save = "WarbearLeather",		cat = TITAN_ORE_LOCAL_LEATHERS, skill = 0},
	{ tag = "TITAN_ORE_DeL",		short = "TSL", name = "Teufelssaurierleder",				save = "DevilsaurLeather",		cat = TITAN_ORE_LOCAL_LEATHERS, skill = 0},
	{ tag = "TITAN_ORE_PBL",		short = "UFL", name = "Urzeitliches Fledermausleder",		save = "PrimalBatLeather",		cat = TITAN_ORE_LOCAL_LEATHERS, skill = 0},
	{ tag = "TITAN_ORE_PTL",		short = "UTL", name = "Urzeitliches Tigerleder",			save = "PrimalTigerLeather",	cat = TITAN_ORE_LOCAL_LEATHERS, skill = 0},
	{ tag = "TITAN_ORE_PTL",		short = "SCh", name = "Silithidenchitin",					save = "SilithidChitin",		cat = TITAN_ORE_LOCAL_LEATHERS, skill = 0},
	{ tag = "TITAN_ORE_LSC",		short = "LSK", name = "Leichter Silithidenknochenpanzer",	save = "LightSilithidCarapace",	cat = TITAN_ORE_LOCAL_LEATHERS, skill = 0},
	{ tag = "TITAN_ORE_HSC",		short = "SSK", name = "Schwerer Silithidenknochenpanzer",	save = "HeavySilithidCarapace",	cat = TITAN_ORE_LOCAL_LEATHERS, skill = 0},
	{ tag = "TITAN_ORE_EL",			short = "VL",  name = "Verzaubertes Leder",					save = "Enchanted Leather",		cat = TITAN_ORE_LOCAL_LEATHERS, skill = 0},
	{ tag = "TITAN_ORE_TKL",		short = "DKL", name = "D\195\188nnes Kodoleder",					save = "ThinKodoLeather",		cat = TITAN_ORE_LOCAL_LEATHERS, skill = 0},
	
	{ tag = "TITAN_SCL_DS",			short = "DS",  name = "Deviatschuppe",				save = "DeviateScale",			cat = TITAN_ORE_LOCAL_SCALES, 	skill = 0},
	{ tag = "TITAN_SCL_PDS",		short = "PDS", name = "Perfekte Deviatsschuppe",	save = "PerfectDeviateScale",	cat = TITAN_ORE_LOCAL_SCALES, 	skill = 0},
	{ tag = "TITAN_SCL_RWS",		short = "RWS", name = "Rotwelpenschuppe",			save = "RedWhelpScale",			cat = TITAN_ORE_LOCAL_SCALES, 	skill = 0},
	{ tag = "TITAN_SCL_GWS",		short = "GWS", name = "Gr\195\188nwelpenschuppe",	save = "GreenWhelpScale",		cat = TITAN_ORE_LOCAL_SCALES, 	skill = 0},
	{ tag = "TITAN_SCL_TS",			short = "SKS", name = "Schildkr\195\182tenschuppe",	save = "TurtleScale",			cat = TITAN_ORE_LOCAL_SCALES, 	skill = 0},
	{ tag = "TITAN_SCL_SS",			short = "SS",  name = "Skorpidschuppe",				save = "ScorpidScale",			cat = TITAN_ORE_LOCAL_SCALES, 	skill = 0},
	{ tag = "TITAN_ORE_HSS",		short = "SSS", name = "Schwere Skorpidschuppe",		save = "HeavyScorpidScale",		cat = TITAN_ORE_LOCAL_SCALES,	skill = 0},
	{ tag = "TITAN_ORE_WD",			short = "ADS", name = "Abgenutzte Drachenschuppe",	save = "WornDragonscale",		cat = TITAN_ORE_LOCAL_SCALES,	skill = 0},
	{ tag = "TITAN_ORE_DEV",		short = "TS",  name = "Teufelsschuppen",			save = "Devilscale",			cat = TITAN_ORE_LOCAL_SCALES,	skill = 0},
	{ tag = "TITAN_ORE_RDS",		short = "RDS", name = "Rote Drachenschuppe",		save = "RedDragonscale",		cat = TITAN_ORE_LOCAL_SCALES,	skill = 0},
	{ tag = "TITAN_ORE_GDS",		short = "GDS", name = "Gr\195\188ne Drachenschuppe",	save = "GreenDragonscale",		cat = TITAN_ORE_LOCAL_SCALES,	skill = 0},
	{ tag = "TITAN_ORE_BDS",		short = "BDS", name = "Blaue Drachenschuppe",		save = "BlueDragonscale",		cat = TITAN_ORE_LOCAL_SCALES,	skill = 0},
	{ tag = "TITAN_ORE_BLS",		short = "SDS", name = "Schwarze Drachenschuppe",	save = "BlackDragonscale",		cat = TITAN_ORE_LOCAL_SCALES,	skill = 0},
	{ tag = "TITAN_ORE_SMS",		short = "SMS", name = "Schleimige Murlocschuppe",	save = "SlimyMurlocScale",		cat = TITAN_ORE_LOCAL_SCALES,	skill = 0},
	
	{ tag = "TITAN_ORE_LH",			short = "LB",  name = "Leichter Balg",				save = "LHide",					cat = TITAN_ORE_LOCAL_HIDES, 	skill = 0},
	{ tag = "TITAN_ORE_MH",			short = "MB",  name = "Mittlerer Balg",				save = "MHide",					cat = TITAN_ORE_LOCAL_HIDES, 	skill = 0},
	{ tag = "TITAN_ORE_HH",			short = "SB",  name = "Schwerer Balg",				save = "HHide",					cat = TITAN_ORE_LOCAL_HIDES,	skill = 0},
	{ tag = "TITAN_ORE_TH",			short = "DB",  name = "Dicker Balg",				save = "THide",					cat = TITAN_ORE_LOCAL_HIDES,	skill = 0},
	{ tag = "TITAN_ORE_RH",			short = "UB",  name = "Unverw\195\188stlicher Balg",	save = "RHide",					cat = TITAN_ORE_LOCAL_HIDES,	skill = 0},
	{ tag = "TITAN_ORE_RPH",		short = "RB",  name = "Raptorbalg",					save = "RPHide",				cat = TITAN_ORE_LOCAL_HIDES,	skill = -1},
	{ tag = "TITAN_ORE_SCH",		short = "SKB", name = "Schattenkatzenbalg",			save = "SCHide",				cat = TITAN_ORE_LOCAL_HIDES,	skill = -1},
	{ tag = "TITAN_ORE_DEH",		short = "TB",  name = "Teufelsbalg",				save = "DEHide",				cat = TITAN_ORE_LOCAL_HIDES,	skill = -1},
	{ tag = "TITAN_ORE_CLH",		short = "GLB", name = "Geschmeidiger leichter Balg",save = "CLHide",				cat = TITAN_ORE_LOCAL_HIDES,	skill = -1},
	{ tag = "TITAN_ORE_CMH",		short = "GMB", name = "Geschmeidiger mittlerer Balg",save = "CMHide",				cat = TITAN_ORE_LOCAL_HIDES,	skill = -1},
	{ tag = "TITAN_ORE_CHH",		short = "GSB", name = "Geschmeidiger schwerer Balg",save = "CHHide",				cat = TITAN_ORE_LOCAL_HIDES,	skill = -1},
	{ tag = "TITAN_ORE_CTH",		short = "GDB", name = "Geschmeidiger dicker Balg",	save = "CTHide",				cat = TITAN_ORE_LOCAL_HIDES,	skill = -1},
	
	{ tag = "TITAN_ORE_SIL",		short = "Sil", name = "Silberblatt",				save = "Silverleaf",			cat = TITAN_ORE_LOCAL_HERBS, 	skill = 1},
	{ tag = "TITAN_ORE_PCB",		short = "Fri", name = "Friedensblume",				save = "Peacebloom",			cat = TITAN_ORE_LOCAL_HERBS, 	skill = 1},
	{ tag = "TITAN_ORE_EAR",		short = "Erd", name = "Erdwurzel",					save = "Earthroot",				cat = TITAN_ORE_LOCAL_HERBS, 	skill = 15},
	{ tag = "TITAN_ORE_MAG",		short = "Mag", name = "Magusknigskraut",			save = "Mageroyal",				cat = TITAN_ORE_LOCAL_HERBS, 	skill = 50},
	{ tag = "TITAN_ORE_BRI",		short = "Wil", name = "Wilddornrose",				save = "Briarthorn",			cat = TITAN_ORE_LOCAL_HERBS, 	skill = 75},
	{ tag = "TITAN_ORE_SWI",		short = "Fli", name = "Flitzdistel",				save = "Swiftthistle",			cat = TITAN_ORE_LOCAL_HERBS, 	skill = 75},
	{ tag = "TITAN_ORE_STR",		short = "WTa", name = "W\195\188rgetang",			save = "Stranglekelp",			cat = TITAN_ORE_LOCAL_HERBS, 	skill = 85},
	{ tag = "TITAN_ORE_BRU",		short = "Beu", name = "Beulengras",					save = "Bruiseweed",			cat = TITAN_ORE_LOCAL_HERBS, 	skill = 100},
	{ tag = "TITAN_ORE_WIL",		short = "WSB", name = "Wildstahlblume",				save = "Wild Steelbloom",		cat = TITAN_ORE_LOCAL_HERBS, 	skill = 115},
	{ tag = "TITAN_ORE_GRA",		short = "GMo", name = "Grabmoos",					save = "Grave Moss",			cat = TITAN_ORE_LOCAL_HERBS, 	skill = 120},
	{ tag = "TITAN_ORE_KIN",		short = "Kbl", name = "K\195\182nigsblut",			save = "Kingsblood",			cat = TITAN_ORE_LOCAL_HERBS, 	skill = 125},
	{ tag = "TITAN_ORE_LIF",		short = "Leb", name = "Lebenswurz",					save = "Liferoot",				cat = TITAN_ORE_LOCAL_HERBS, 	skill = 150},
	{ tag = "TITAN_ORE_FAD",		short = "BlB", name = "Blassblatt",					save = "Fadeleaf",				cat = TITAN_ORE_LOCAL_HERBS, 	skill = 160},
	{ tag = "TITAN_ORE_GOL",		short = "Gol", name = "Golddorn",					save = "Goldthorn",				cat = TITAN_ORE_LOCAL_HERBS, 	skill = 175},
	{ tag = "TITAN_ORE_KHA",		short = "Kha", name = "Khadgars Schnurrbart",		save = "Khadgar's Whisker",		cat = TITAN_ORE_LOCAL_HERBS, 	skill = 185},
	{ tag = "TITAN_ORE_WIN",		short = "Win", name = "Winterbiss",					save = "Wintersbite",			cat = TITAN_ORE_LOCAL_HERBS, 	skill = 195},
	{ tag = "TITAN_ORE_FIR",		short = "Feu", name = "Feuerbl\195\188te",			save = "Firebloom",				cat = TITAN_ORE_LOCAL_HERBS, 	skill = 205},
	{ tag = "TITAN_ORE_PUR",		short = "LLo", name = "Lila Lotus",					save = "Purple Lotus",			cat = TITAN_ORE_LOCAL_HERBS, 	skill = 210},
	{ tag = "TITAN_ORE_ART",		short = "Art", name = "Arthas' Tr\195\164nen",		save = "Arthas' Tears",			cat = TITAN_ORE_LOCAL_HERBS, 	skill = 220},
	{ tag = "TITAN_ORE_SUN",		short = "Son", name = "Sonnengrass",				save = "Sungrass",				cat = TITAN_ORE_LOCAL_HERBS, 	skill = 230},
	{ tag = "TITAN_ORE_BLI",		short = "Bli", name = "Blindkraut",					save = "Blindweed",				cat = TITAN_ORE_LOCAL_HERBS, 	skill = 235},
	{ tag = "TITAN_ORE_GHO",		short = "Gei", name = "Geisterpilz",				save = "Ghost Mushroom",		cat = TITAN_ORE_LOCAL_HERBS, 	skill = 245},
	{ tag = "TITAN_ORE_GRO",		short = "Gro", name = "Gromsblood",					save = "Gromsblood",			cat = TITAN_ORE_LOCAL_HERBS, 	skill = 250},
	{ tag = "TITAN_ORE_GOS",		short = "GoS", name = "Goldener Sansam",			save = "Golden Sansam",			cat = TITAN_ORE_LOCAL_HERBS, 	skill = 260},
	{ tag = "TITAN_ORE_DRE",		short = "Tra", name = "Traumblatt",					save = "Dreamfoil",				cat = TITAN_ORE_LOCAL_HERBS, 	skill = 270},
	{ tag = "TITAN_ORE_MOU",		short = "BSW", name = "Bergsilberweisling",			save = "Mountain Silversage",	cat = TITAN_ORE_LOCAL_HERBS, 	skill = 280},
	{ tag = "TITAN_ORE_PLA",		short = "Pes", name = "Pestbl\195\188te",			save = "Plaguebloom",			cat = TITAN_ORE_LOCAL_HERBS, 	skill = 285},
	{ tag = "TITAN_ORE_ICE",		short = "Eis", name = "Eiskappe",					save = "Icecap",				cat = TITAN_ORE_LOCAL_HERBS, 	skill = 290},
	{ tag = "TITAN_ORE_BLA",		short = "SLo", name = "Schwarzer Lotus",			save = "Black Lotus",			cat = TITAN_ORE_LOCAL_HERBS, 	skill = 300},
	{ tag = "TITAN_ORE_FEL",		short = "TG ", name = "Teufelsgras",				save = "Felweed",				cat = TITAN_ORE_LOCAL_HERBS,	skill = 301},
	{ tag = "TITAN_ORE_DRE",		short = "TW",  name = "Traumwind",					save = "Dreaming Glory",		cat = TITAN_ORE_LOCAL_HERBS, 	skill = 301},
	{ tag = "TITAN_ORE_RAG",		short = "ZK",  name = "Zottelkappe",				save = "Ragveil",				cat = TITAN_ORE_LOCAL_HERBS, 	skill = 301},
	{ tag = "TITAN_ORE_TER",		short = "Ter", name = "Terocone",				save = "Terocone",				cat = TITAN_ORE_LOCAL_HERBS, 	skill = 325},
	{ tag = "TITAN_ORE_FCA",		short = "FCa", name = "FlameCap",				save = "FlameCap",				cat = TITAN_ORE_LOCAL_HERBS, 	skill = 335},
	{ tag = "TITAN_ORE_ACL",		short = "AcL", name = "Ancient Lichen",			save = "AncientLichen",			cat = TITAN_ORE_LOCAL_HERBS, 	skill = 340},
	{ tag = "TITAN_ORE_NIV",		short = "NiV", name = "Nightmare Vine",			save = "NightmareVine",			cat = TITAN_ORE_LOCAL_HERBS, 	skill = 365},
	{ tag = "TITAN_ORE_NET",		short = "Net", name = "Netherbloom",			save = "Netherbloom",			cat = TITAN_ORE_LOCAL_HERBS, 	skill = 375},
	{ tag = "TITAN_ORE_MAT",		short = "MaT", name = "Mana Thistle",			save = "ManaThistle",			cat = TITAN_ORE_LOCAL_HERBS, 	skill = 375},
	{ tag = "TITAN_ORE_FLO",		short = "FLo", name = "Fel Lotus",				save = "FelLotus",				cat = TITAN_ORE_LOCAL_HERBS, 	skill = 400},

	{ tag = "TITAN_ORE_LC",			short = "LS",  name = "Leinenstoff",				save = "LCloth",				cat = TITAN_ORE_LOCAL_CLOTHS, 	skill = 0},
	{ tag = "TITAN_ORE_WC",			short = "WS",  name = "Wollstoff",					save = "WCloth",				cat = TITAN_ORE_LOCAL_CLOTHS, 	skill = 0},
	{ tag = "TITAN_ORE_SC",			short = "SS",  name = "Seidenstoff",				save = "SCloth",				cat = TITAN_ORE_LOCAL_CLOTHS, 	skill = 0},
	{ tag = "TITAN_ORE_MC",			short = "MS",  name = "Magiestoff",					save = "MCloth",				cat = TITAN_ORE_LOCAL_CLOTHS, 	skill = 0},
	{ tag = "TITAN_ORE_RC",			short = "RS",  name = "Runenstoff",					save = "RCloth",				cat = TITAN_ORE_LOCAL_CLOTHS, 	skill = 0},
	{ tag = "TITAN_ORE_FC",			short = "FS",  name = "Teufelsstoff",				save = "FCloth",				cat = TITAN_ORE_LOCAL_CLOTHS, 	skill = 0},
	{ tag = "TITAN_ORE_MOC",		short = "MS",  name = "Mondstoff",					save = "MOCloth",				cat = TITAN_ORE_LOCAL_CLOTHS, 	skill = 0},
	{ tag = "TITAN_ORE_NC",			short = "NS",  name = "Netherstoff",				save = "Netherweave Cloth",		cat = TITAN_ORE_LOCAL_CLOTHS, 	skill = 0},

	{ tag = "TITAN_ORE_LME",		short = "KME", name = "Kleine Magieessenz",			save = "LMEssence",				cat = TITAN_ORE_LOCAL_ESSENCES,	skill = 0},
	{ tag = "TITAN_ORE_GME",		short = "GME", name = "Gro\195\159e Magieessenz", 	save = "GMEssence",				cat = TITAN_ORE_LOCAL_ESSENCES,	skill = 0},
	{ tag = "TITAN_ORE_LAE",		short = "KAE", name = "Kleine Astralessenz",		save = "LAEssence",				cat = TITAN_ORE_LOCAL_ESSENCES,	skill = 0},
	{ tag = "TITAN_ORE_GAE",		short = "GAE", name = "Gro\195\159e Astralessenz",	save = "GAEssence",				cat = TITAN_ORE_LOCAL_ESSENCES,	skill = 0},
	{ tag = "TITAN_ORE_LMy",		short = "KME", name = "Kleine Mystikeressenz",		save = "LMyEssence",			cat = TITAN_ORE_LOCAL_ESSENCES,	skill = 0},
	{ tag = "TITAN_ORE_GMy",		short = "GME", name = "Gro\195\159e Mystikeressenz",	save = "GMyEssence",			cat = TITAN_ORE_LOCAL_ESSENCES,	skill = 0},
	{ tag = "TITAN_ORE_LNE",		short = "KNE", name = "Kleine Netheressenz",		save = "LNEssence",				cat = TITAN_ORE_LOCAL_ESSENCES,	skill = 0},
	{ tag = "TITAN_ORE_GNE",		short = "GNE", name = "Gro\195\159e Netheressenz",	save = "GNEssence",				cat = TITAN_ORE_LOCAL_ESSENCES,	skill = 0},
	{ tag = "TITAN_ORE_LEE",		short = "KEE", name = "Kleine ewige Essenz",		save = "LEEssence",				cat = TITAN_ORE_LOCAL_ESSENCES,	skill = 0},
	{ tag = "TITAN_ORE_GEE",		short = "GEE", name = "Gro\195\159e ewige Essenz",	save = "GEEssence",				cat = TITAN_ORE_LOCAL_ESSENCES,	skill = 0},
	{ tag = "TITAN_ORE_EOA",		short = "EdL", name = "Essenz der Luft",			save = "EOAir",					cat = TITAN_ORE_LOCAL_ESSENCES,	skill = 0},
	{ tag = "TITAN_ORE_EOE",		short = "EdE", name = "Essenz der Erde",			save = "EOEarth",				cat = TITAN_ORE_LOCAL_ESSENCES,	skill = 0},
	{ tag = "TITAN_ORE_EOU",		short = "EdU", name = "Essenz des Untodes",			save = "EOUndeath",				cat = TITAN_ORE_LOCAL_ESSENCES,	skill = 0},
	{ tag = "TITAN_ORE_EOU",		short = "EdW", name = "Essenz des Wassers",			save = "EOWater",				cat = TITAN_ORE_LOCAL_ESSENCES,	skill = 0},
	{ tag = "TITAN_ORE_LES",		short = "EdL", name = "Essenz des Lebens",			save = "LivingEssence",			cat = TITAN_ORE_LOCAL_ESSENCES,	skill = 0},

	{ tag = "TITAN_MSC_ELE",		short = "ElE", name = "Elementarerde",				save = "EEarth",				cat = TITAN_ORE_LOCAL_MISC,		skill = -1},
	{ tag = "TITAN_MSC_ELA",		short = "ElL", name = "Elementarluft",				save = "EAir",					cat = TITAN_ORE_LOCAL_MISC,		skill = -1},
	{ tag = "TITAN_MSC_ELF",		short = "ElF", name = "Elementarfeuer",				save = "EFire",					cat = TITAN_ORE_LOCAL_MISC,		skill = -1},
	{ tag = "TITAN_MSC_ELW",		short = "ElW", name = "Elementarwasser",			save = "EWater",				cat = TITAN_ORE_LOCAL_MISC,		skill = -1},
	{ tag = "TITAN_MSC_SLP",		short = "EK",  name = "Erdenkern",					save = "CoreofEarth",			cat = TITAN_ORE_LOCAL_MISC,		skill = -1},
	{ tag = "TITAN_MSC_SLP",		short = "KiP", name = "Kleine irirsierente Perle",	save = "SLPearl",				cat = TITAN_ORE_LOCAL_MISC,		skill = -1},
	{ tag = "TITAN_MSC_IRP",		short = "IP",  name = "Irisierende Perle",			save = "IRPearl",				cat = TITAN_ORE_LOCAL_MISC,		skill = -1},
	{ tag = "TITAN_MSC_BLP",		short = "BP",  name = "Blaue Perle",				save = "BluePearl",				cat = TITAN_ORE_LOCAL_MISC,		skill = -1},
	{ tag = "TITAN_MSC_BCP",		short = "SP",  name = "Schwarze Perle",				save = "BlackPearl",			cat = TITAN_ORE_LOCAL_MISC,		skill = -1},
	{ tag = "TITAN_MSC_GOP",		short = "GP",  name = "Goldene Perle",				save = "GoldenPearl",			cat = TITAN_ORE_LOCAL_MISC,		skill = -1},
	{ tag = "TITAN_MSC_RIO",		short = "RSK", name = "Rechtschaffene Kugel",		save = "RighteousOrb",			cat = TITAN_ORE_LOCAL_MISC,		skill = -1},
	{ tag = "TITAN_MSC_GUS",		short = "WS",  name = "W\195\164chterstein",		save = "GuardianStone",			cat = TITAN_ORE_LOCAL_MISC,		skill = -1},
	{ tag = "TITAN_MSC_FRR",		short = "GR",  name = "Gefrorene Rune",				save = "FrozenRune",			cat = TITAN_ORE_LOCAL_MISC,		skill = -1},
	{ tag = "TITAN_MSC_HOF",		short = "HdF", name = "Herz des Feuers",			save = "Heart of Fire",			cat = TITAN_ORE_LOCAL_MISC,		skill = -1},
	{ tag = "TITAN_MSC_FIE",		short = "FK",  name = "Feuerkern",					save = "FieryCore",				cat = TITAN_ORE_LOCAL_MISC,		skill = -1},
	{ tag = "TITAN_MSC_LAC",		short = "LK",  name = "Lavakern",					save = "LavaCore",				cat = TITAN_ORE_LOCAL_MISC,		skill = -1},
	{ tag = "TITAN_MSC_DaR",		short = "DR",  name = "Dunkelrune",					save = "DarkRune",				cat = TITAN_ORE_LOCAL_MISC,		skill = -1},
	{ tag = "TITAN_MSC_DeR",		short = "DR",  name = "D\195\164monische Rune",		save = "DemonicRune",			cat = TITAN_ORE_LOCAL_MISC,		skill = -1},
	{ tag = "TITAN_MSC_PwM",		short = "MM",  name = "M\195\164chtiges Mojo",		save = "PowerfulMojo",			cat = TITAN_ORE_LOCAL_MISC,		skill = -1},
	{ tag = "TITAN_MSC_PrA",		short = "ULu", name = "Urluft",						save = "PrimalAir",				cat = TITAN_ORE_LOCAL_MISC,		skill = -1},
	{ tag = "TITAN_MSC_PrF",		short = "UF",  name = "Urfeuer",					save = "PrimalFire",			cat = TITAN_ORE_LOCAL_MISC,		skill = -1},
	{ tag = "TITAN_MSC_PrL",		short = "ULe", name = "Urleben",					save = "PrimalLive",			cat = TITAN_ORE_LOCAL_MISC,		skill = -1},
	{ tag = "TITAN_MSC_PrS",		short = "US",  name = "Urschatten",					save = "PrimalShadow",			cat = TITAN_ORE_LOCAL_MISC,		skill = -1},
	{ tag = "TITAN_MSC_PrW",		short = "UW",  name = "Urwasser",					save = "PrimalWater",			cat = TITAN_ORE_LOCAL_MISC,		skill = -1},

	{ tag = "TITAN_BDG_LB",			short = "LV",  name = "Leinenverband",					save = "LinenBandage",				cat = TITAN_ORE_LOCAL_BANDAGES,	skill = 1},
	{ tag = "TITAN_BDG_HLB",		short = "SLV", name = "Schwerer Leinenverband",			save = "HeavyLinenBandage",			cat = TITAN_ORE_LOCAL_BANDAGES,	skill = 40},
	{ tag = "TITAN_BDG_WB",			short = "WV",  name = "Wollverband",					save = "WoolBandage",				cat = TITAN_ORE_LOCAL_BANDAGES,	skill = 80},
	{ tag = "TITAN_BDG_HWB",		short = "SWV", name = "Schwerer Wollverband",			save = "HeavyWoolBandage",			cat = TITAN_ORE_LOCAL_BANDAGES,	skill = 115},
	{ tag = "TITAN_BDG_SB",			short = "SV",  name = "Seidenverband",					save = "SilkBandage",				cat = TITAN_ORE_LOCAL_BANDAGES,	skill = 150},
	{ tag = "TITAN_BDG_HSB",		short = "SSV", name = "Schwerer Seidenverband",			save = "HeavySilkBandage",			cat = TITAN_ORE_LOCAL_BANDAGES,	skill = 180},
	{ tag = "TITAN_BDG_MB",			short = "MV",  name = "Magiestoffverband",				save = "MageweaveBandage",			cat = TITAN_ORE_LOCAL_BANDAGES,	skill = 210},
	{ tag = "TITAN_BDG_HMB",		short = "SMV", name = "Schwerer Magiestoffverband",		save = "HeavyMageweaveBandage",		cat = TITAN_ORE_LOCAL_BANDAGES,	skill = 240},
	{ tag = "TITAN_BDG_RB",			short = "RV",  name = "Runenstoffverband",				save = "RuneclothBandage",			cat = TITAN_ORE_LOCAL_BANDAGES,	skill = 260},
	{ tag = "TITAN_BDG_HRB",		short = "SRV", name = "Schwerer Runenstoffverband",		save = "HeavyRuneclothBandage",		cat = TITAN_ORE_LOCAL_BANDAGES,	skill = 290},
	{ tag = "TITAN_BDG_NB",			short = "NV",  name = "Netherstoffverband",				save = "NetherweaveBandage",		cat = TITAN_ORE_LOCAL_BANDAGES,	skill = 330},
	{ tag = "TITAN_BDG_HNB",		short = "SNV", name = "Schwerer Netherstoffverband",	save = "HeavyNetherweaveBandage",	cat = TITAN_ORE_LOCAL_BANDAGES,	skill = 360},
	{ tag = "TITAN_BDG_AV",			short = "GG",  name = "Gegengift",						save = "AntiVenom",					cat = TITAN_ORE_LOCAL_BANDAGES,	skill = 80},
	{ tag = "TITAN_BDG_SAV",		short = "SGG", name = "Starkes Gegengift",				save = "StrongAntiVenom",			cat = TITAN_ORE_LOCAL_BANDAGES,	skill = 130},
	{ tag = "TITAN_BDG_PAV",		short = "MGG", name = "M\195\164chtiges Gegengift",		save = "PowerfullStrongAntiVenom",	cat = TITAN_ORE_LOCAL_BANDAGES,	skill = 300},
	
	{ tag = "TITAN_PSN_BP",			short = "BP",  name = "Blendungspulver",			save = "BlindingPowder",		cat = TITAN_ORE_LOCAL_POISONS,	skill = 34},
	{ tag = "TITAN_PSN_AnP",		short = "BG",  name = "Beruhigendes Gift",			save = "AnestheticPoison",		cat = TITAN_ORE_LOCAL_POISONS,	skill = 68},
	{ tag = "TITAN_PSN_MnP",		short = "GbG", name = "Gedankenbenebelndes Gift",	save = "MindnumbingPoison",		cat = TITAN_ORE_LOCAL_POISONS,	skill = 24},
	{ tag = "TITAN_PSN_IP1",		short = "SwG", name = "Sofort wirkendes Gift", 		save = "InstantPoison",			cat = TITAN_ORE_LOCAL_POISONS,	skill = 20},
	{ tag = "TITAN_PSN_DP1",		short = "TG",  name = "T\195\182dliches Gift",		save = "DeadlyPoison",			cat = TITAN_ORE_LOCAL_POISONS,	skill = 30},
	{ tag = "TITAN_PSN_CP1",		short = "VG",  name = "Verkr\195\188ppelndes Gift",	save = "CripplingPoison",		cat = TITAN_ORE_LOCAL_POISONS,	skill = 20},
	{ tag = "TITAN_PSN_WP1",		short = "WG",  name = "Wundgift",					save = "WoundPoison",			cat = TITAN_ORE_LOCAL_POISONS,	skill = 32},

	{ tag = "TITAN_PMT_LeR",		short = "LW",  name = "Lethargiewurzel",			save = "LethargyRoot",			cat = TITAN_ORE_LOCAL_PMATS,	skill = -1},
	{ tag = "TITAN_PMT_Dea",		short = "TK",  name = "Todeskraut",					save = "Deathweed",				cat = TITAN_ORE_LOCAL_PMATS,	skill = -1},
	{ tag = "TITAN_PMT_Fad",		short = "BB",  name = "Blassblatt",					save = "Fadeleaf",				cat = TITAN_ORE_LOCAL_PMATS,	skill = -1},
	{ tag = "TITAN_PMT_EoP",		short = "EdS", name = "Essenz des Schmerzes",		save = "EssenceofPain",			cat = TITAN_ORE_LOCAL_PMATS,	skill = -1},
	{ tag = "TITAN_PMT_DDe",		short = "SdV", name = "Staub des Verfalls",			save = "DustofDecay",			cat = TITAN_ORE_LOCAL_PMATS,	skill = -1},
	{ tag = "TITAN_PMT_DoD",		short = "SdS", name = "Staub der Verschlechterung",	save = "DustofDeterioration",	cat = TITAN_ORE_LOCAL_PMATS,	skill = -1},
	{ tag = "TITAN_PMT_EoA",		short = "EdP", name = "Essenz der Pein",			save = "EssenceofAgony",		cat = TITAN_ORE_LOCAL_PMATS,	skill = -1},
	{ tag = "TITAN_PMT_MsA",		short = "PdM", name = "Pain der Maid",				save = "MaidensAnguish",		cat = TITAN_ORE_LOCAL_PMATS,	skill = -1},
	{ tag = "TITAN_PMT_EV",			short = "LV",  name = "Leere Phiole",				save = "EmptyVial",				cat = TITAN_ORE_LOCAL_PMATS,	skill = -1},
	{ tag = "TITAN_PMT_LV",			short = "VV",  name = "Verbleite Phiole",			save = "LeadedVial",			cat = TITAN_ORE_LOCAL_PMATS,	skill = -1},
	{ tag = "TITAN_PMT_CV",			short = "KV",  name = "Kristallphiole",				save = "CrystalVial",			cat = TITAN_ORE_LOCAL_PMATS,	skill = -1},
	{ tag = "TITAN_PMT_Swi",		short = "FD",  name = "Flitzdistel",				save = "Swiftthistle",			cat = TITAN_ORE_LOCAL_PMATS,	skill = -1},
	{ tag = "TITAN_PMT_RSW",		short = "EQW", name = "Erfrischendes Quellwasser",	save = "RefreshingSpringWater",	cat = TITAN_ORE_LOCAL_PMATS,	skill = -1},

};
end
