﻿-- --
-- Expanded and Modified by Omicron@Frostwolf
-- German Translations / Reputation Bar integration / get it working with 1.11
-- includes MiniMapButtonHider 12/12/2006
-- Added LVL70 calculatiosn and much more :)
-- --
-- Created by Tehu of Garona
-- --
-- Credit goes out to the creator of TotalXP for the XP needed until 60 function.
-- Credit goes out to the creators of AvgXP and AvgXPPlus for the AvgXP functions.
-- Credit goes out to the creator of the original XPBar (non titan that is :P) for the sizing functions.
-- --
-- color's = #FF9900, 255-153-0, 1.0-0.6-0.0
-- --
TitanXPBar = {};
SessionVars = {};
TXP_Factions = {};
-- 
TitanXPBarVars = 0;
TitanXPBarVersion = "6.5.9";
-- 
yourGender = UnitSex("player");
yourName = UnitName("player");
yourRealm = GetRealmName();
-- 
StaticPopupDialogs["TXP_RESET"] = {
	text = TEXT(TXP_CONFIG_TITLE_POPUP),
	button1 = TEXT(TXP_CONFIG_TITLE_YES),
	button2 = TEXT(TXP_CONFIG_TITLE_NO),
	OnAccept = function()
		-- 
		ColorFirstRun = nil;
		TitanXPBarSetUp(1);
		TitanRepBarSetUp(1);
		ColorMyBars();
		Statusbar_Update();
		Reputationbar_Update();
		-- 
		TitanXPBarConfigFrame:Hide();
		TitanXPBarConfigFrame:Show();
		-- 
	end,
	timeout = 0,
	whileDead = 1,
	hideOnEscape = 1
};
-- 
rested	= {};
normal	= {};
bg		= {};
rnormal	= {};
rbg		= {};
-- 
reset = 0;
-- 
PLAYER_ENTERING_WORLD = 0;
-- -- 
function TitanPanelXPBarButton_OnLoad()
	-- 
	SLASH_TXP1 = "/txp";
	SlashCmdList["TXP"] = TXPSlashCmd;
	-- 
	DEFAULT_CHAT_FRAME:AddMessage("TitanXPBar".." v"..TitanXPBarVersion.." "..TITAN_XPBAR_ONLOAD_TEXT, 1, 1, 0);
	-- 
	this.registry = {
					id="XPBar",
					version = TitanXPBarVersion,
					menuText = TITAN_XPBAR_MENU_TEXT,
					buttonTextFunction="TitanPanelXPBarButton_GetButtonText",
					tooltipTitle = TITAN_XPBAR_TOOLTIP,
					tooltipTextFunction = "TitanPanelXPBarButton_GetTooltipText",
					savedVariables = {
					Chat = 1,
					Status = 1,
					ShowText = 1,
					XPFormat = 1,
					XPFormatX = TITAN_NIL,
					XPFormatY = TITAN_NIL,
                    XPFormatZ = TITAN_NIL,
					RepStatus = 1,
					RepShowText = 1,
					}};
	-- 
	totalkilled=0
	avgxp=0
	totalxpgained=0
	lastxpgained=0
	numleft=0
	-- 
	bar = {255, 255, 255}
	-- 
end
-- -- 
function TitanPanelXPBarButton_OnEvent(event)
	-- 
	local rxp,curr,max,needed,currpcent,needpcent,currlev,nextlev,exhpercent = TitanPanelXPBarButton_GetXPBarInfo();
	-- 
	repname, repstanding, repmin, repmax, repvalue = GetWatchedFactionInfo();
	-- 
	TitanPanelButton_UpdateButton("XPBar");
	-- 
	if (TitanXPBarVars == 1) then
		-- 
		Statusbar_Update();
		Reputationbar_Update();
		-- 
	end
	-- 
	if (TitanGetVar("XPBar", "Chat")) then
		if (event == "PLAYER_XP_UPDATE") then
			DEFAULT_CHAT_FRAME:AddMessage(LBLUE_FONT_COLOR..curr.." "..TITAN_XPBAR_SLASH..max.." XP"..TITAN_XPBAR_CHAT_TEXT_A..FONT_COLOR_CODE_CLOSE);
			DEFAULT_CHAT_FRAME:AddMessage(LBLUE_FONT_COLOR..needed.." ("..needpcent..")"..TITAN_XPBAR_CHAT_TEXT_B..nextlev..FONT_COLOR_CODE_CLOSE);
		end
	end
	-- 
	if (event == "PLAYER_ENTERING_WORLD") then
		if (PLAYER_ENTERING_WORLD == 0) then
			-- 
			yourLevel = UnitLevel("player");
			-- 
			if (yourLevel == 70) then
				RepIsShown = 1;
			end
			-- 
			this.initXP = UnitXP("player");
			this.accumXP = 0;
			this.sessionXP = 0;
			PLAYER_ENTERING_WORLD = 1
		end
	elseif (event == "PLAYER_XP_UPDATE") then
		if (not this.initXP) then
			this.initXP = UnitXP("player");
			this.accumXP = 0;
			this.sessionXP = 0;
		end
		-- 
		this.sessionXP = UnitXP("player") - this.initXP + this.accumXP;
		-- 
	elseif (event == "PLAYER_LEVEL_UP") then
		this.accumXP = this.accumXP + UnitXPMax("player") - this.initXP;
		this.initXP = 0;
	end
	-- 
	if (event == "CHAT_MSG_COMBAT_XP_GAIN") then
		for mobile_name, xp in string.gmatch(arg1, TITAN_XPBAR_COMBAT_MSG) do
			lastxpgained = tonumber(xp)
			totalkilled = totalkilled + 1
			totalxpgained = totalxpgained + lastxpgained
		end
	end
	-- 
	if( (totalkilled > 0) and (totalkilled~=nil) ) then
			avgxp = floor(totalxpgained / totalkilled * 100) / 100;
	end
	-- 
	if( (avgxp > 0) and (avgxp~=nil) ) then
			numleft = ( UnitXPMax("player") - UnitXP("player") ) / avgxp;
			numleft = ceil(numleft);
	end
----------------------------
-- the new reputation bar --
----------------------------
	if (event == "UPDATE_FACTION" and TitanXPBarVars == 1) then
		Reputationbar_Update();
	end
	-- 
	if (event == "CHAT_MSG_COMBAT_FACTION_CHANGE") then
		-- 
		faction, reputation = TitanXPBarGlobalParser_ParseMessage(arg1, FACTION_STANDING_INCREASED)
		-- 
		if faction then
			-- 
			if SessionVars[faction] then
				SessionVars[faction].RepStand = repstanding;
				SessionVars[faction].RepCurrGain = tonumber(reputation);
				SessionVars[faction].RepTotKill = SessionVars[faction].RepTotKill + 1
				SessionVars[faction].RepTotGain = SessionVars[faction].RepTotGain + tonumber(reputation);
			else
				SessionVars[faction] = {};
				SessionVars[faction].RepAVG = 0;
				SessionVars[faction].RepNumLeft = 0;
				SessionVars[faction].RepStand = repstanding;
				SessionVars[faction].RepCurrGain = tonumber(reputation);
				SessionVars[faction].RepTotKill = 1;
				SessionVars[faction].RepTotGain = tonumber(reputation);
			end
			-- 
			if (SessionVars[faction].RepTotKill > 0 and SessionVars[faction].RepTotKill ~= nil) then
				SessionVars[faction].RepAVG = floor(SessionVars[faction].RepTotGain / SessionVars[faction].RepTotKill * 100) / 100;
			end
			-- 
			if (SessionVars[faction].RepAVG > 0 and SessionVars[faction].RepAVG ~= nil) then
				-- 
				if (SessionVars[faction] and SessionVars[faction].RepStand > 3) then
					-- 
					ShownMaxT = repmin - repmax;
					ShownValT = repvalue - repmin;
					-- 
					ShownMaxT = ShownMaxT * -1;
					-- 
					SessionVars[faction].RepNumLeft = ( ShownMaxT - ShownValT ) / SessionVars[faction].RepAVG;
					SessionVars[faction].RepNumLeft = ceil(SessionVars[faction].RepNumLeft);
					-- 
				elseif (SessionVars[faction] and SessionVars[faction].RepStand < 4) then
					-- 
					local isrepmax = repmax * -1;
					local isrepmin = repmin * -1;
					local isrepvalue = repvalue * -1;
					-- 
					ShownMaxT = isrepmin - isrepmax;
					ShownValT = isrepvalue - isrepmin;
					-- 
					ShownValT = ShownValT * -1;
					-- 
					SessionVars[faction].RepNumLeft = ( ShownMaxT - ShownValT ) / SessionVars[faction].RepAVG;
					SessionVars[faction].RepNumLeft = ceil(SessionVars[faction].RepNumLeft);
					-- 
				end
			end
			return;
		end
		-- 
		faction, reputation = TitanXPBarGlobalParser_ParseMessage(arg1, FACTION_STANDING_DECREASED)
		-- 
		if faction then
			-- 
			if SessionVars[faction] then
				SessionVars[faction].RepStand = repstanding;
				SessionVars[faction].RepCurrGain = -tonumber(reputation);
				SessionVars[faction].RepTotKill = SessionVars[faction].RepTotKill - 1
				SessionVars[faction].RepTotGain = SessionVars[faction].RepTotGain - tonumber(reputation);
			else
				SessionVars[faction] = {};
				SessionVars[faction].RepAVG = 0;
				SessionVars[faction].RepNumLeft = 0;
				SessionVars[faction].RepStand = repstanding;
				SessionVars[faction].RepCurrGain = -tonumber(reputation);
				SessionVars[faction].RepTotKill = -1;
				SessionVars[faction].RepTotGain = -tonumber(reputation);
			end
			-- 
			if (SessionVars[faction].RepTotKill > 0 and SessionVars[faction].RepTotKill ~= nil) then
				SessionVars[faction].RepAVG = floor(SessionVars[faction].RepTotGain / SessionVars[faction].RepTotKill * 100) / 100;
			end
			-- 
			if (SessionVars[faction].RepAVG > 0 and SessionVars[faction].RepAVG ~= nil) then
				-- 
				if (SessionVars[faction] and SessionVars[faction].RepStand > 3) then
					-- 
					ShownMaxT = repmin - repmax;
					ShownValT = repvalue - repmin;
					-- 
					ShownMaxT = ShownMaxT * -1;
					-- 
					SessionVars[faction].RepNumLeft = ( ShownMaxT - ShownValT ) / SessionVars[faction].RepAVG;
					SessionVars[faction].RepNumLeft = ceil(SessionVars[faction].RepNumLeft);
					-- 
				elseif (SessionVars[faction] and SessionVars[faction].RepStand < 4) then
					-- 
					local isrepmax = repmax * -1;
					local isrepmin = repmin * -1;
					local isrepvalue = repvalue * -1;
					-- 
					ShownMaxT = isrepmin - isrepmax;
					ShownValT = isrepvalue - isrepmin;
					-- 
					ShownValT = ShownValT * -1;
					-- 
					SessionVars[faction].RepNumLeft = ( ShownMaxT - ShownValT ) / SessionVars[faction].RepAVG;
					SessionVars[faction].RepNumLeft = ceil(SessionVars[faction].RepNumLeft);
					-- 
				end
			end
			return;
		end
		-- 
		faction, reputation = TitanXPBarGlobalParser_ParseMessage(arg1, FACTION_STANDING_CHANGED)
		-- 
		if faction then
			-- 
			table.remove(SessionVars, faction);
			-- 
			return;
		end
	end
	-- 
	if (event == "VARIABLES_LOADED") then
		-- 
		TitanXPBarSetUp();
		TitanRepBarSetUp();
		-- 
		TitanXPBarVars = 1;
		-- 
		tinsert(UISpecialFrames, "TitanXPBarConfigFrame");
		-- 
		if ( TitanXPBar[yourRealm][yourName]["MinHide"] ) then
			TitanXPBar_Hider();
		end
		-- 
		if (TitanXPBar["RepBar"][yourRealm][yourName]["RepBar_Width"]) then
			RepBG:SetWidth(TitanXPBar["RepBar"][yourRealm][yourName]["RepBar_Width"]);
			RepStatus:SetWidth(TitanXPBar["RepBar"][yourRealm][yourName]["RepBar_Width"]);
		end
		-- 
		if (TitanXPBar["RepBar"][yourRealm][yourName]["RepBar_Height"]) then
			RepBG:SetHeight(TitanXPBar["RepBar"][yourRealm][yourName]["RepBar_Height"]);
			RepStatus:SetHeight(TitanXPBar["RepBar"][yourRealm][yourName]["RepBar_Height"]);
		end
		-- 
		if (TitanXPBar[yourRealm][yourName]["XPBar_Width"]) then
			XPBG:SetWidth(TitanXPBar[yourRealm][yourName]["XPBar_Width"]);
			XPStatus:SetWidth(TitanXPBar[yourRealm][yourName]["XPBar_Width"]);
		end
		-- 
		if (TitanXPBar[yourRealm][yourName]["XPBar_Height"]) then
			XPBG:SetHeight(TitanXPBar[yourRealm][yourName]["XPBar_Height"]);
			XPStatus:SetHeight(TitanXPBar[yourRealm][yourName]["XPBar_Height"]);
		end
		-- 
	end
	-- 
	Statusbar_Update();
	Reputationbar_Update();
	-- 
end
-- -- 
function TitanXPBar_Hider()
	-- 
	local state = TitanXPBar[yourRealm][yourName]["MinHide"];
	-- 
	if ( state == 0 ) then
		MiniMapWorldMapButton:Show();
	else
		MiniMapWorldMapButton:Hide();
	end
	-- 
end
-- -- 
function TitanPanelXPBarButton_GetButtonText(id)
	-- 
	local rxp,curr,max,needed,currpcent,needpcent,currlev,nextlev,exhpercent = TitanPanelXPBarButton_GetXPBarInfo();
	local button, id = TitanUtils_GetButton(id, true);
	-- 
	if (rxp == 0) then
		rxppcent=0 .."%"
	else
		rxppcent=floor(rxp*100/max) .."%"
	end
	-- 
	if (TitanGetVar("XPBar", "Status")) then
		XPStatus:Show()
		XPBG:Show()
	else
		XPStatus:Hide()
		XPBG:Hide()
	end	
	-- 
	if (TitanGetVar("XPBar", "ShowText")) then
		-- 
		getglobal("AVGText"):SetText("\195\152 XP: "..TitanUtils_GetHighlightText(avgxp)..AVGXPButton_A..TitanUtils_GetHighlightText(totalkilled)..AVGXPButton_B..TitanUtils_GetHighlightText(numleft))
		-- 
		AVGXPButton:Show()
	else
		AVGXPButton:Hide()
	end
	-- 
	if (TitanGetVar("XPBar", "RepStatus")) then
		-- 
		if repname then
			RepStatus:Show()
			RepBG:Show()
		else
			RepStatus:Hide();
			RepBG:Hide()
		end
	else
			RepStatus:Hide();
			RepBG:Hide()
	end	
	-- 
	if (TitanGetVar("XPBar", "RepShowText")) then
		-- 
		if (SessionVars[repname] and ShownVal and ShownMax) then
			-- 
			getglobal("AVGRepText"):SetText(TitanUtils_GetColoredText(repname, GetMyColor(repstanding)).." ("..TitanUtils_GetHighlightText(ShownVal)..AVGXPButton_A1..TitanUtils_GetHighlightText(ShownMax)..")"..AVGXPButton_B1..TitanUtils_GetHighlightText(SessionVars[repname].RepNumLeft));
			-- 
			AVGRepButton:Show()
			-- 
		elseif repname then
			-- 
			getglobal("AVGRepText"):SetText(TitanUtils_GetColoredText(repname, GetMyColor(repstanding)).." ("..TitanUtils_GetHighlightText(TITAN_XPBAR_MENU_SHOW_FACTION)..")");
			-- 
			AVGRepButton:Show()
			-- 
		else
			AVGRepButton:Hide()
		end
	else
		AVGRepButton:Hide();
	end
	-- 
	if TitanGetVar("XPBar", "XPFormatX") then
		local repname, repstanding = GetWatchedFactionInfo();
		if SessionVars[repname] then
			return
				format(TITAN_XPBAR_BUTTON_TEXT_REP,TitanUtils_GetColoredText(getglobal("FACTION_STANDING_LABEL"..repstanding), GetMyColor(repstanding)))..
				format(TITAN_XPBAR_BUTTON_TEXT_NIL,TITAN_XPBAR_ONLY_B..TitanUtils_GetHighlightText(SessionVars[repname].RepNumLeft));
		elseif repname then
			return
				format(TITAN_XPBAR_BUTTON_TEXT_REP,TitanUtils_GetColoredText(getglobal("FACTION_STANDING_LABEL"..repstanding), GetMyColor(repstanding)).." ("..TitanUtils_GetHighlightText(TITAN_XPBAR_MENU_SHOW_FACTION)..")");
		else
			return
				format(TITAN_XPBAR_BUTTON_TEXT_REP,TITAN_XPBAR_MENU_SHOW_FACTION);
		end
	elseif (TitanGetVar("XPBar", "XPFormat")) then
		return
			format(TITAN_XPBAR_BUTTON_TEXT_XP,TitanUtils_GetHighlightText(curr))..TITAN_XPBAR_SLASH..
			format(TITAN_XPBAR_BUTTON_TEXT_NIL,TitanUtils_GetHighlightText(max)).." XP ( "..
			format(TITAN_XPBAR_BUTTON_TEXT_NIL,TitanUtils_GetHighlightText(rxp))..TITAN_XPBAR_FORMAT_A
	elseif (TitanGetVar("XPBar", "XPFormatY") and (rxp > 0)) then
		return
			format(TITAN_XPBAR_BUTTON_TEXT_NEEDED,TitanUtils_GetHighlightText(needed)).." ( "..
			format(TITAN_XPBAR_BUTTON_TEXT_NPCT,TitanUtils_GetColoredText(needpcent, GetMySetColor(0)))..TITAN_XPBAR_FORMAT_B..
            format(TITAN_XPBAR_BUTTON_TEXT_NIL,TitanUtils_GetHighlightText(nextlev))
	elseif (TitanGetVar("XPBar", "XPFormatY")) then
		return
			format(TITAN_XPBAR_BUTTON_TEXT_NEEDED,TitanUtils_GetHighlightText(needed)).." ( "..
			format(TITAN_XPBAR_BUTTON_TEXT_NPCT,TitanUtils_GetColoredText(needpcent, GetMySetColor(1)))..TITAN_XPBAR_FORMAT_B..
            format(TITAN_XPBAR_BUTTON_TEXT_NIL,TitanUtils_GetHighlightText(nextlev))
	elseif (TitanGetVar("XPBar", "XPFormatZ")) then
		return
			format(TITAN_XPBAR_BUTTON_TEXT_XP,TitanUtils_GetHighlightText(curr))..TITAN_XPBAR_SLASH..
			format(TITAN_XPBAR_BUTTON_TEXT_NIL,TitanUtils_GetHighlightText(max)).." XP ( "..
			format(TITAN_XPBAR_BUTTON_TEXT_NIL,TitanUtils_GetHighlightText(exhpercent))..TITAN_XPBAR_FORMAT_C
	end
end
-- -- 
function GetMySetColor(arg1)
    -- 
    local color = {}
    -- 
    if arg1 == 1 then
	    color.r, color.g, color.b = unpack(TitanXPBar["RepBar"][yourRealm][yourName]["normalColor"])
    else
        color.r, color.g, color.b = unpack(TitanXPBar[yourRealm][yourName]["restedColor"])
    end
    -- 
    return color
    -- 
end
-- -- 
function GetMyColor(repstand)
	-- 
	local color = {}
	-- 
	for i = 1, 8 do
		if (repstand == 1) then
			color.r = 1.0;
			color.g = 0.0; -- #FF0000
			color.b = 0.0;
		elseif (repstand == 2) then
			color.r = 0.8;
			color.g = 0.0; -- #CC0000
			color.b = 0.0;
		elseif (repstand == 3) then
			color.r = 0.6;
			color.g = 0.0; -- #990000
			color.b = 0.0;
		elseif (repstand == 4) then
			color.r = 1.0;
			color.g = 1.0; -- #FFFF00 -- FF = 255 = 1.0, FF = 255 = 1.0, 00 = 0 = 0.0
			color.b = 0.0;
		elseif (repstand == 5) then
			color.r = 0.0;
			color.g = 0.4; -- #0066CC -- 00 = 0 = 0.0, 66 = 102 = 0.4, CC = 204 = 0.8
			color.b = 0.8;
		elseif (repstand == 6) then
			color.r = 0.0;
			color.g = 0.6; -- #0099FF -- 00 = 0 = 0.0, 99 = 153 = 0.6, FF = 255 = 1.0
			color.b = 1.0;
		elseif (repstand == 7) then
			color.r = 0.0;
			color.g = 0.6; -- #009900
			color.b = 0.0;
		elseif (repstand == 8) then
			color.r = 0.0;
			color.g = 1.0; -- #00FF00
			color.b = 0.0;
		else
			color.r = 1.0;
			color.g = 1.0; -- #FFFFFF
			color.b = 1.0;	
		end
	end
	return color;
end
-- -- 
function GetBlueText(text)
	if (text) then
		return LBLUE_FONT_COLOR..text..FONT_COLOR_CODE_CLOSE;
	end
end
-- -- 
function TitanPanelXPBarButton_GetXPBarInfo()
	-- 
	local rxp = GetXPExhaustion("player")
	local max = UnitXPMax("player")
	local curr = UnitXP("player")
	local needed = max - curr
	local currpercent = string.format("%.2f", ( curr / max) * 100)
	local needpcent = string.format("%.2f", ( needed / max) * 100)
	local currlev = UnitLevel("player")
	local nextlev = currlev + 1
    local exhpercent = needed
    -- 
    if rxp == nil then
        rxp = 0
    end 
    -- 
    if exhpercent < rxp then
        exhpercent = string.format("%.2f", 100)
    else
        exhpercent = string.format("%.2f", rxp / (needed / 100))
    end
	-- 
	return rxp,curr,max,needed,currpercent.."%",needpcent.."%",currlev,nextlev,exhpercent.."%"
	-- 
end
-- -- 
function TitanPanelXPBarButton_GetTooltipText()
	-- 
	if RepIsShown then
		if (IsShiftKeyDown()) then
			-- 
			RepIsShown = nil;
			-- 
		end
	elseif (IsShiftKeyDown()) then
		-- 
		RepIsShown = 1;
		-- 
	end
	-- 
	if RepIsShown then
		if SessionVars[repname] then
			RepTotKill = SessionVars[repname].RepTotKill;
			RepTotGain = SessionVars[repname].RepTotGain;
			RepNumLeft = SessionVars[repname].RepNumLeft;
			RepAVG = SessionVars[repname].RepAVG;
		else
			RepTotKill = 0;
			RepTotGain = 0;
			RepNumLeft = 0;
			RepAVG = 0;
		end
		-- 
		if not repname then
			return ""..
			"\n"..TXP_TOOLTIP_CUR_SESS_A.."\n"..
			TXP_TOOLTIP_CUR_FACTION.." "..TitanUtils_GetHighlightText(TITAN_XPBAR_MENU_SHOW_FACTION).."\n".."\n"..
			TXP_TOOLTIP_HINT.."\n"..
			TXP_TOOLTIP_HINT_A.."\n"..
			TXP_TOOLTIP_HINT_B.."\n"..
			TXP_TOOLTIP_HINT_C
		end
		-- 
		local isHeaderIndex = 0;
		-- 
		for factionIndex = 1, GetNumFactions(), 1 do
			-- 
			local name, description, standingID, barMin, barMax, barValue, atWarWith, canToggleAtWar, isHeader, isCollapsed, isWatched = GetFactionInfo(factionIndex);
			-- 
			if isHeader then
				HeaderName = name;
				isHeaderIndex = isHeaderIndex + 1;
				TXP_Factions[isHeaderIndex] = {[HeaderName]={}};
			elseif isWatched then
				oldHeaderName = HeaderName;
				oldIsHeader = isHeaderIndex;
				-- 
				namex, descriptionx, standingIDx, barMinx, barMaxx, barValuex, atWarWithx, canToggleAtWarx, isHeaderx, isCollapsedx, isWatchedx = GetFactionInfo(factionIndex);
				-- 
				barMaxx = barMaxx - barMinx;
				barValuex = barValuex - barMinx;
				-- 
				TXP_Factions[isHeaderIndex][HeaderName][namex] = {standingIDx, barMaxx, barValuex};
			else
				-- 
				barMax = barMax - barMin;
				barValue = barValue - barMin;
				-- 
				TXP_Factions[isHeaderIndex][HeaderName][name] = {standingID, barMax, barValue};
			end
		end
		-- 
		if (repstanding < 8) then
			FACTIONS_REPSTAND = TXP_TOOLTIP_CUR_STAND.." "..TitanUtils_GetColoredText(getglobal("FACTION_STANDING_LABEL"..repstanding, yourGender), GetMyColor(repstanding)).."\n"..TXP_TOOLTIP_NEXT_STAND.." "..TitanUtils_GetColoredText(getglobal("FACTION_STANDING_LABEL"..repstanding+1, yourGender), GetMyColor(repstanding+1));
		else
			FACTIONS_REPSTAND = TXP_TOOLTIP_CUR_STAND.." "..TitanUtils_GetColoredText(getglobal("FACTION_STANDING_LABEL"..repstanding, yourGender), GetMyColor(repstanding)).."\n"..TXP_TOOLTIP_NEXT_STAND.." "..TitanUtils_GetHighlightText("-");
		end
		-- 
		local FACTIONS_SHOW = TXP_TOOLTIP_FACTIONS;
		local FACTIONS_OUTPUT = "";
		-- 
		for i,v in pairs(TXP_Factions) do
			for j,w in pairs(v) do
				if j == oldHeaderName then
					FACTIONS_SHOW = FACTIONS_SHOW.." "..j..":"
					for xa,xb in pairs(w) do
						xc = TXP_Factions[i][j][xa][1];
						xd = TXP_Factions[i][j][xa][2];
						xe = TXP_Factions[i][j][xa][3];
						-- 
						FACTIONS_OUTPUT = FACTIONS_OUTPUT.."\n"..xa.." ["..TitanUtils_GetColoredText(getglobal("FACTION_STANDING_LABEL"..xc, yourGender), GetMyColor(xc)).."] ("..xe.."/"..xd..")";
					end
				end
			end
		end
		-- 
		return  ""..
			"\n"..TXP_TOOLTIP_CUR_SESS_A.."\n"..
			TXP_TOOLTIP_CUR_FACTION.." "..TitanUtils_GetHighlightText(repname).."\n"..
			FACTIONS_REPSTAND.."\n".."\n"..
			TXP_TOOLTIP_HONOR_AVG.." "..TitanUtils_GetHighlightText(RepAVG).."\n"..
			TXP_TOOLTIP_KILLSTATS.." "..TitanUtils_GetHighlightText(RepTotKill).."\n"..
			TXP_TOOLTIP_REPTOT.." "..TitanUtils_GetHighlightText(RepTotGain).."\n"..
			TXP_TOOLTIP_HONOR_TODO.." "..TitanUtils_GetHighlightText(RepNumLeft).."\n".."\n"..
			FACTIONS_SHOW..
			FACTIONS_OUTPUT.."\n".."\n"..
			TXP_TOOLTIP_HINT.."\n"..
			TXP_TOOLTIP_HINT_A.."\n"..
			TXP_TOOLTIP_HINT_B.."\n"..
			TXP_TOOLTIP_HINT_C
	else
	-- 
		local rxp,curr,max,needed,currpercent,needpcent,currlev,nextlev,exhpercent = TitanPanelXPBarButton_GetXPBarInfo();
		local totalxp,totalMaxXP,totalxppct,needxp,needxppct,totalgpct,totalnpct = totalxp(level);
		local totalTime = TitanUtils_GetTotalTime();
		local sessionTime = TitanUtils_GetSessionTime();
		local levelTime = TitanUtils_GetLevelTime();	
		local xpPerHourThisLevel = curr / levelTime * 3600;
		local xpPerHourThisSession = this.sessionXP / sessionTime * 3600;
		local estTimeToLevelThisLevel = TitanUtils_Ternary((curr == 0), -1, needed / curr * levelTime);
		local estTimeToLevelThisSession = TitanUtils_Ternary((this.sessionXP == 0), -1, needed / this.sessionXP * sessionTime);	
		-- 
		if (rxp == nil) then
			rxp=0 
			rxppcent=0 .."%"
		else
			rxppcent=floor(rxp*100/max) .."%"
		end
		-- 
		return  ""..
			TITAN_XPBAR_TOOLTIP_CURRLEV.." "..GetBlueText(currlev).."\n".."\n"..
			TITAN_XPBAR_TOOLTIP_XP.." "..TitanUtils_GetHighlightText(curr).." "..
			TITAN_XPBAR_TOOLTIP_PERCENT.." ("..TitanUtils_GetHighlightText(currpercent)..")".."\n"..
			TITAN_XPBAR_TOOLTIP_LEV.." "..TitanUtils_GetHighlightText(max).."\n"..
			TITAN_XPBAR_TOOLTIP_NEED.." "..TitanUtils_GetHighlightText(needed).." "..
			TITAN_XPBAR_TOOLTIP_PERCENT.." ("..TitanUtils_GetHighlightText(needpcent)..")".."\n"..
			TITAN_XPBAR_TOOLTIP_REST.." "..TitanUtils_GetHighlightText(rxp).." "..
			TITAN_XPBAR_TOOLTIP_PERCENT.." ("..TitanUtils_GetHighlightText(rxppcent)..")".."\n".."\n"..
			TITAN_XPBAR_TOOLTIP_XPSOFAR..": "..GetBlueText(totalxp).." ("..
			TITAN_XPBAR_TOOLTIP_XPSOFARPCT..""..GetBlueText(totalgpct)..")".."\n"..
			TITAN_XPBAR_TOOLTIP_XPTO60.." "..GetBlueText(needxp).." ("..
			TITAN_XPBAR_TOOLTIP_XPTO60PCT..""..GetBlueText(totalnpct)..")".."\n".."\n"..
			TITAN_XPBAR_SESSION_XP.." "..TitanUtils_GetGreenText(this.sessionXP).."\n"..
			TITAN_XPBAR_AVGXP.." "..TitanUtils_GetGreenText(avgxp).."\n".."\n"..
			TITAN_XPBAR_TOTAL_KILLS.." "..GetBlueText(totalkilled).."\n"..
			TITAN_XPBAR_TOTAL_NKILLS.." "..GetBlueText(numleft).."\n".."\n"..		
			TITAN_XPBAR_PER_HOUR_LEVEL.." "..TitanUtils_GetHighlightText(floor((xpPerHourThisLevel / 100) *100)).."\n"..
			TITAN_XPBAR_PER_HOUR_SESSION.." "..TitanUtils_GetHighlightText(floor((xpPerHourThisSession / 100)*100)).."\n".."\n"..
			TITAN_XPBAR_TOTAL_TIME_PLAYED.." "..TitanUtils_GetHighlightText(TitanUtils_GetAbbrTimeText(totalTime)).."\n"..
			TITAN_XPBAR_EST_TIME_TO_LEVEL_LEVEL_RATE.." "..TitanUtils_GetHighlightText(TitanUtils_GetAbbrTimeText(estTimeToLevelThisLevel)).."\n"..
			TITAN_XPBAR_EST_TIME_TO_LEVEL_SESSION_RATE.." "..TitanUtils_GetHighlightText(TitanUtils_GetAbbrTimeText(estTimeToLevelThisSession)).."\n".."\n"..
			TITAN_XPBAR_OPTIONS.."\n"..
			TITAN_XPBAR_OPTIONS_I.."\n"..
			TITAN_XPBAR_OPTIONS_C.."\n"..
			TITAN_XPBAR_OPTIONS_G
		-- 
	end
end
-- -- 
function Statusbar_Update()
	-- 
	ColorMyBars();
	-- 
	local currValue = UnitXP("player");
	local maxValue = UnitXPMax("player");
	-- 
	local rxp,curr,max,needed,currpercent,needpcent,currlev,nextlev,exhpercent = TitanPanelXPBarButton_GetXPBarInfo();
	-- 
	if rxp > 0 then
		-- 
		XPStatus:SetStatusBarColor(rested.r, rested.g, rested.b);
		-- 
	else
		-- 
		XPStatus:SetStatusBarColor(normal.r, normal.g, normal.b);
		-- 
	end
	-- 
	XPStatus:SetMinMaxValues(0, maxValue);
	XPStatus:SetValue(currValue);
	-- 
	XPBG:SetMinMaxValues(0, maxValue);
	XPBG:SetValue(maxValue)
	-- 
	XPStatus:ClearAllPoints();
	XPStatus:SetPoint("BOTTOM", "UIParent", "BOTTOM", TitanXPBar[yourRealm][yourName]["TXP_pos"]["LOCATIONX"], TitanXPBar[yourRealm][yourName]["TXP_pos"]["LOCATIONY"]);
	-- 
	AVGText:ClearAllPoints();
	AVGText:SetPoint("BOTTOM", "UIParent", "BOTTOM", TitanXPBar[yourRealm][yourName]["AVG_pos"]["LOCX"], TitanXPBar[yourRealm][yourName]["AVG_pos"]["LOCY"]);
	-- 
	if (TitanXPBar[yourRealm][yourName]["XPBar_Width"]) then
		XPBG:SetWidth(TitanXPBar[yourRealm][yourName]["XPBar_Width"]);
		XPStatus:SetWidth(TitanXPBar[yourRealm][yourName]["XPBar_Width"]);
	end
	-- 
	if (TitanXPBar[yourRealm][yourName]["XPBar_Height"]) then
		XPBG:SetHeight(TitanXPBar[yourRealm][yourName]["XPBar_Height"]);
		XPStatus:SetHeight(TitanXPBar[yourRealm][yourName]["XPBar_Height"]);
	end
	-- 
end
-- -- 
function ColorMyBars(Bar,R,G,B,A)
	-- 
	if not ColorFirstRun then
		rested.r, rested.g, rested.b	= unpack(TitanXPBar[yourRealm][yourName]["restedColor"]);
		normal.r, normal.g, normal.b	= unpack(TitanXPBar[yourRealm][yourName]["normalColor"]);
		-- 
		rnormal.r, rnormal.g, rnormal.b	= unpack(TitanXPBar["RepBar"][yourRealm][yourName]["normalColor"]);
		-- 
		bg.r, bg.g, bg.b				= unpack(TitanXPBar[yourRealm][yourName]["bgColor"]);
		rbg.r, rbg.g, rbg.b				= unpack(TitanXPBar["RepBar"][yourRealm][yourName]["bgColor"]);
		-- 
		bg.a							= TitanXPBar[yourRealm][yourName]["bgOpacity"];
		rbg.a							= TitanXPBar["RepBar"][yourRealm][yourName]["bgOpacity"];
		-- 
		XPBG:SetStatusBarColor(bg.r, bg.g, bg.b, bg.a);
		RepBG:SetStatusBarColor(rbg.r, rbg.g, rbg.b, rbg.a);
		-- 
		RepStatus:SetStatusBarColor(rnormal.r, rnormal.g, rnormal.b);
		-- 
		ColorFirstRun = 0;
		-- 
	end
end
-- -- 
function Reputationbar_Update()
	-- 
	ColorMyBars()
	-- 
	if repname then
		-- 
		if (repname and repstanding >= 4) then -- 4 ist neutral
			-- 
			ShownMax = repmin - repmax;
			ShownVal = repvalue - repmin;
			-- 
			ShownMax = ShownMax * -1;
			-- 
			RepStatus:SetMinMaxValues(0, ShownMax);
			RepStatus:SetValue(ShownVal);
			-- 
			RepBG:SetMinMaxValues(0, ShownMax);
			RepBG:SetValue(ShownMax)
			-- 
			RepStatus:ClearAllPoints();
			RepStatus:SetPoint("BOTTOM", "UIParent", "BOTTOM", TitanXPBar["RepBar"][yourRealm][yourName]["TXP_pos"]["LOCATIONX"], TitanXPBar["RepBar"][yourRealm][yourName]["TXP_pos"]["LOCATIONY"]);
			-- 
			AVGRepText:ClearAllPoints();
			AVGRepText:SetPoint("BOTTOM", "UIParent", "BOTTOM", TitanXPBar["RepBar"][yourRealm][yourName]["AVG_pos"]["LOCX"], TitanXPBar["RepBar"][yourRealm][yourName]["AVG_pos"]["LOCY"]);
			-- 
			if (TitanXPBar["RepBar"][yourRealm][yourName]["RepBar_Width"]) then
				RepBG:SetWidth(TitanXPBar["RepBar"][yourRealm][yourName]["RepBar_Width"]);
				RepStatus:SetWidth(TitanXPBar["RepBar"][yourRealm][yourName]["RepBar_Width"]);
			end
			-- 
			if (TitanXPBar["RepBar"][yourRealm][yourName]["RepBar_Height"]) then
				RepBG:SetHeight(TitanXPBar["RepBar"][yourRealm][yourName]["RepBar_Height"]);
				RepStatus:SetHeight(TitanXPBar["RepBar"][yourRealm][yourName]["RepBar_Height"]);
			end
			-- 
		elseif (repname and repstanding <= 3) then -- 3 ist unfreundlich
			-- 
			local isrepmax = repmax * -1;
			local isrepmin = repmin * -1;
			local isrepvalue = repvalue * -1;
			-- 
			ShownMax = isrepmin - isrepmax;
			ShownVal = isrepvalue - isrepmin;
			-- 
			ShownVal = ShownVal * -1;
			-- 
			RepStatus:SetMinMaxValues(0, ShownMax);
			RepStatus:SetValue(ShownVal);
			-- 
			RepBG:SetMinMaxValues(0, ShownMax);
			RepBG:SetValue(ShownMax)
			-- 
			RepStatus:ClearAllPoints();
			RepStatus:SetPoint("BOTTOM", "UIParent", "BOTTOM", TitanXPBar["RepBar"][yourRealm][yourName]["TXP_pos"]["LOCATIONX"], TitanXPBar["RepBar"][yourRealm][yourName]["TXP_pos"]["LOCATIONY"]);
			-- 
			AVGRepText:ClearAllPoints();
			AVGRepText:SetPoint("BOTTOM", "UIParent", "BOTTOM", TitanXPBar["RepBar"][yourRealm][yourName]["AVG_pos"]["LOCX"], TitanXPBar["RepBar"][yourRealm][yourName]["AVG_pos"]["LOCY"]);
			-- 
			if (TitanXPBar["RepBar"][yourRealm][yourName]["RepBar_Width"]) then
				RepBG:SetWidth(TitanXPBar["RepBar"][yourRealm][yourName]["RepBar_Width"]);
				RepStatus:SetWidth(TitanXPBar["RepBar"][yourRealm][yourName]["RepBar_Width"]);
			end
			-- 
			if (TitanXPBar["RepBar"][yourRealm][yourName]["RepBar_Height"]) then
				RepBG:SetHeight(TitanXPBar["RepBar"][yourRealm][yourName]["RepBar_Height"]);
				RepStatus:SetHeight(TitanXPBar["RepBar"][yourRealm][yourName]["RepBar_Height"]);
			end
		-- 
		end
	else
		AVGRepButton:Hide();
		RepStatus:Hide();
		RepBG:Hide();
	end
end
-- -- 
function TitanPanelRightClickMenu_PrepareXPBarMenu()
	-- 
	id = "XPBar";
	-- 
	local info;
	-- 
	TitanPanelRightClickMenu_AddTitle(TitanPlugins[id].menuText);
	-- 
	info = {};
	info.text = TITAN_XPBAR_MENU_SHOWCURR
	info.func = TitanPanelXPBarButton_ShowCurr
	info.checked = TitanGetVar(id, "XPFormat");
	UIDropDownMenu_AddButton(info);
	-- 
	info = {};
	info.text = TITAN_XPBAR_MENU_SHOWCURR_P
	info.func = TitanPanelXPBarButton_ShowCurr_P
	info.checked = TitanGetVar(id, "XPFormatZ");
	UIDropDownMenu_AddButton(info)
	-- 
	info = {};
	info.text = TITAN_XPBAR_MENU_SHOWNEXT
	info.func = TitanPanelXPBarButton_ShowNext
	info.checked = TitanGetVar(id, "XPFormatY");
	UIDropDownMenu_AddButton(info)
	-- 
	info = {};
	info.text = TITAN_XPBAR_MENU_SHOWREP
	info.func = TitanPanelXPBarButton_ShowRep
	info.checked = TitanGetVar(id, "XPFormatX");
	UIDropDownMenu_AddButton(info)
	-- 
	TitanPanelRightClickMenu_AddSpacer()
	-- 
	info = {};
	info.text = TITAN_XPBAR_MENU_SHOW_REPSTATUS;
	info.func = TitanPanelXPBarButton_RepShowStatus;
	info.checked = TitanGetVar(id, "RepStatus");
	UIDropDownMenu_AddButton(info);
	-- 
	info = {};
	info.text = TITAN_XPBAR_MENU_BUTTON_REPTEXT
	info.func = TitanPanelXPBarButton_RepShowText
	info.checked = TitanGetVar(id, "RepShowText");
	UIDropDownMenu_AddButton(info)
	-- 
	TitanPanelRightClickMenu_AddSpacer()
	-- 
	info = {};
	info.text = TITAN_XPBAR_MENU_SHOW_STATUS;
	info.func = TitanPanelXPBarButton_ShowStatus;
	info.checked = TitanGetVar(id, "Status");
	UIDropDownMenu_AddButton(info);
	-- 
	info = {};
	info.text = TITAN_XPBAR_MENU_SHOW_TEXT
	info.func = TitanPanelXPBarButton_ShowText
	info.checked = TitanGetVar(id, "ShowText");
	UIDropDownMenu_AddButton(info)
	-- 
	TitanPanelRightClickMenu_AddSpacer();
	-- 
	info = {};
	info.text = TITAN_XPBAR_MENU_CHAT
	info.func = TitanPanelXPBarButton_Chat
	info.checked = TitanGetVar(id, "Chat");
	UIDropDownMenu_AddButton(info)
	-- 
	TitanPanelRightClickMenu_AddSpacer();
	TitanPanelRightClickMenu_AddCommand(TITAN_PANEL_MENU_HIDE, id, TITAN_PANEL_MENU_FUNC_HIDE);
	-- 
end
-- -- 
function TitanPanelXPBarButton_ShowCurr()
	-- 
	local var_a = TitanGetVar("XPBar", "XPFormat");
	local var_b = TitanGetVar("XPBar", "XPFormatX");
	local var_c = TitanGetVar("XPBar", "XPFormatY");
    local var_d = TitanGetVar("XPBar", "XPFormatZ");
	-- 
	if ( var_b or var_c or var_d ) then
		TitanSetVar("XPBar", "XPFormat", TitanUtils_Toggle(TitanGetVar("XPBar", "XPFormat")));
		TitanSetVar("XPBar", "XPFormatX", TITAN_NIL);
		TitanSetVar("XPBar", "XPFormatY", TITAN_NIL);
        TitanSetVar("XPBar", "XPFormatZ", TITAN_NIL);
		TitanPanelButton_UpdateButton("XPBar");
	end
	-- 
end
-- -- 
function TitanPanelXPBarButton_ShowCurr_P()
	-- 
	local var_a = TitanGetVar("XPBar", "XPFormat");
	local var_b = TitanGetVar("XPBar", "XPFormatX");
	local var_c = TitanGetVar("XPBar", "XPFormatY");
    local var_d = TitanGetVar("XPBar", "XPFormatZ");
	-- 
	if ( var_a or var_b or var_c ) then
		TitanSetVar("XPBar", "XPFormatZ", TitanUtils_Toggle(TitanGetVar("XPBar", "XPFormatZ")));
		TitanSetVar("XPBar", "XPFormat", TITAN_NIL);
		TitanSetVar("XPBar", "XPFormatX", TITAN_NIL);
        TitanSetVar("XPBar", "XPFormatY", TITAN_NIL);
		TitanPanelButton_UpdateButton("XPBar");
	end
	-- 
end
-- -- 
function TitanPanelXPBarButton_ShowNext()
	-- 
	local var_a = TitanGetVar("XPBar", "XPFormat");
	local var_b = TitanGetVar("XPBar", "XPFormatX");
	local var_c = TitanGetVar("XPBar", "XPFormatY");
    local var_d = TitanGetVar("XPBar", "XPFormatZ");
	-- 
	if ( var_a or var_b or var_d ) then
		TitanSetVar("XPBar", "XPFormatY", TitanUtils_Toggle(TitanGetVar("XPBar", "XPFormatY")));
		TitanSetVar("XPBar", "XPFormat", TITAN_NIL);
		TitanSetVar("XPBar", "XPFormatX", TITAN_NIL);
        TitanSetVar("XPBar", "XPFormatZ", TITAN_NIL);
		TitanPanelButton_UpdateButton("XPBar");
	end
	-- 
end
-- -- 
function TitanPanelXPBarButton_ShowRep()
	-- 
	local var_a = TitanGetVar("XPBar", "XPFormat");
	local var_b = TitanGetVar("XPBar", "XPFormatX");
	local var_c = TitanGetVar("XPBar", "XPFormatY");
    local var_d = TitanGetVar("XPBar", "XPFormatZ");
	-- 
	if ( var_a or var_c or var_d ) then
		TitanSetVar("XPBar", "XPFormatX", TitanUtils_Toggle(TitanGetVar("XPBar", "XPFormatX")));
		TitanSetVar("XPBar", "XPFormat", TITAN_NIL);
		TitanSetVar("XPBar", "XPFormatY", TITAN_NIL);
        TitanSetVar("XPBar", "XPFormatZ", TITAN_NIL);
		TitanPanelButton_UpdateButton("XPBar");
	end
	-- 
end
-- -- 
function TitanPanelXPBarButton_RepShowStatus()
	-- 
	TitanSetVar("XPBar", "RepStatus", TitanUtils_Toggle(TitanGetVar("XPBar", "RepStatus")));
	TitanPanelButton_UpdateButton("XPBar");
	-- 
end
-- -- 
function TitanPanelXPBarButton_RepShowText()
	-- 
	TitanSetVar("XPBar", "RepShowText", TitanUtils_Toggle(TitanGetVar("XPBar", "RepShowText")));
	TitanPanelButton_UpdateButton("XPBar");
	-- 
end
-- -- 
function TitanPanelXPBarButton_ShowStatus()
	-- 
	TitanSetVar("XPBar", "Status", TitanUtils_Toggle(TitanGetVar("XPBar", "Status")));
	TitanPanelButton_UpdateButton("XPBar");
	-- 
end
-- -- 
function TitanPanelXPBarButton_ShowText()
	-- 
	TitanSetVar("XPBar", "ShowText", TitanUtils_Toggle(TitanGetVar("XPBar", "ShowText")));
	TitanPanelButton_UpdateButton("XPBar");
	-- 
end
-- -- 
function TitanPanelXPBarButton_Chat()
	-- 
	TitanSetVar("XPBar", "Chat", TitanUtils_Toggle(TitanGetVar("XPBar", "Chat")));
	TitanPanelButton_UpdateButton("XPBar");
	-- 
end
-- -- 
function totalxp(level)
	-- 
	myLevel	= UnitLevel("player");
	myCurrXP = UnitXP("player");
	myMaxXP = UnitXPMax("player");
	myTNLXP = myMaxXP - myCurrXP;
	-- 
	xpl = { 0,      400,    1300,    2700,     4800,     7600,   11200,   15700, 
		21100,    27600,   35200,   44000,    54100,    65500,   78400,   92800,
		108800,   126500,	145900,  167200,   190400,   215600,  242900,  272300,  
		304000,   338000,  374400,  413300,   454700,   499000,  546400,  597200,
		651900,   710500,  773300,  840300,   911900,   988000, 1068800, 1154500, 
		1245200, 1341000, 1442000, 1548300,  1660100,  1777500, 1900700, 2029800,
		2164900, 2306100, 2453600, 2607500,  2767900,  2935000, 3108900, 3289700,
		3477600, 3672600, 3874900, 4084700,  4578700,  5153400, 5767400, 6417700,
		7100000, 7810200, 8544300, 9298000, 10066900, 10846600 }
	-- 
	local totalxp = xpl[myLevel] + myCurrXP;
	local totalMaxXP = xpl[70];
	local totalxppct = totalxp / totalMaxXP;
	-- 
	local needxp = totalMaxXP - totalxp
	local needxppct = (totalMaxXP - totalxp) / totalMaxXP
	-- 
	local totalgpct = floor(totalxppct * 10000) / 100
	local totalnpct = floor(needxppct * 10000) / 100
	-- 
	return totalxp,totalMaxXP,totalxppct,needxp,needxppct,totalgpct.."%",totalnpct.."%"
	-- 
end
-- -- 
function TitanPanelXPBarButton_OnClick()
	-- 
	local rxp,curr,max,needed,currpercent,needpcent,currlev,nextlev,exhpercent=TitanPanelXPBarButton_GetXPBarInfo();
	-- 
	if (IsControlKeyDown() and RepIsShown and repname) then
		local nextrepstandname = getglobal("FACTION_STANDING_LABEL"..standingIDx+1, yourGender);
		local repstandname = getglobal("FACTION_STANDING_LABEL"..tostring(standingIDx), yourGender);
		local neededrep = barMaxx - barValuex;
		-- 
		if GetNumRaidMembers()>0 then
			c = "RAID";
			SendChatMessage(TXP_TOOLTIP_SENDMSG_A..repstandname..TXP_TOOLTIP_SENDMSG_B..namex..TXP_TOOLTIP_SENDMSG_C, c);
			SendChatMessage(neededrep..TXP_TOOLTIP_SENDMSG_D..nextrepstandname, c);
		elseif GetNumPartyMembers()>0 then
			c = "PARTY";
			SendChatMessage(TXP_TOOLTIP_SENDMSG_A..repstandname..TXP_TOOLTIP_SENDMSG_B..namex..TXP_TOOLTIP_SENDMSG_C, c);
			SendChatMessage(neededrep..TXP_TOOLTIP_SENDMSG_D..nextrepstandname, c);
		else
			c = "SAY";
			SendChatMessage(TXP_TOOLTIP_SENDMSG_A..repstandname..TXP_TOOLTIP_SENDMSG_B..namex..TXP_TOOLTIP_SENDMSG_C, c);
			SendChatMessage(neededrep..TXP_TOOLTIP_SENDMSG_D..nextrepstandname, c);
		end
	elseif (IsAltKeyDown() and RepIsShown and repname) then
		local nextrepstandname = getglobal("FACTION_STANDING_LABEL"..standingIDx+1, yourGender);
		local repstandname = getglobal("FACTION_STANDING_LABEL"..tostring(standingIDx), yourGender);
		local neededrep = barMaxx - barValuex;
		-- 
		if (not chatFrame) then
	   		chatFrame = DEFAULT_CHAT_FRAME;
		end
		chatType = chatFrame.editBox.chatType;
		if (ChatFrameEditBox:IsVisible()) then
			ChatFrameEditBox:Insert(TXP_TOOLTIP_SENDMSG_A..repstandname..TXP_TOOLTIP_SENDMSG_B..namex..TXP_TOOLTIP_SENDMSG_C..neededrep..TXP_TOOLTIP_SENDMSG_D..nextrepstandname);
		end
	elseif (IsShiftKeyDown()) then
		if GetNumRaidMembers()>0 then
			c = "RAID";
			SendChatMessage(TITAN_XPBAR_SENDMSG_A..curr.." "..TITAN_XPBAR_SLASH..max.." XP"..TITAN_XPBAR_SENDMSG_B, c);
			SendChatMessage(needed.." ("..needpcent..TITAN_XPBAR_SENDMSG_C..nextlev, c);
		elseif GetNumPartyMembers()>0 then
			c = "PARTY";
			SendChatMessage(TITAN_XPBAR_SENDMSG_A..curr.." "..TITAN_XPBAR_SLASH..max.." XP"..TITAN_XPBAR_SENDMSG_B, c);
			SendChatMessage(needed.." ("..needpcent..TITAN_XPBAR_SENDMSG_C..nextlev, c);
		else
			c = "SAY";
			SendChatMessage(TITAN_XPBAR_SENDMSG_A..curr.." "..TITAN_XPBAR_SLASH..max.." XP"..TITAN_XPBAR_SENDMSG_B, c);
			SendChatMessage(needed.." ("..needpcent..TITAN_XPBAR_SENDMSG_C..nextlev, c);
		end
	elseif (IsControlKeyDown()) then
		if (IsInGuild()) then
			c = "GUILD";
			SendChatMessage(TITAN_XPBAR_SENDMSG_G, c);
			SendChatMessage(TITAN_XPBAR_SENDMSG_A..curr.." "..TITAN_XPBAR_SLASH..max.." XP"..TITAN_XPBAR_SENDMSG_B, c);
			SendChatMessage(needed.." ("..needpcent..TITAN_XPBAR_SENDMSG_C..nextlev, c);
		else
			DEFAULT_CHAT_FRAME:AddMessage(TITAN_XPBAR_SENDMSG_NONE);
		end
	end
end
-- -- 
function TXPSlashCmd()
	-- 
	TitanXPBarConfigFrame:Show();
	-- 
end
-- -- 
function TXP_COLOR_BG()
	-- 
	bg.r, bg.g, bg.b = ColorPickerFrame:GetColorRGB();
	-- 
	TitanXPBar[yourRealm][yourName]["bgColor"] = {bg.r, bg.g, bg.b};
	-- 
	if (ColorPickerFrame.hasOpacity) then
		bg.a = OpacitySliderFrame:GetValue();
		TitanXPBar[yourRealm][yourName]["bgOpacity"] = bg.a;
	end
	-- 
	XPBG:SetStatusBarColor(bg.r, bg.g, bg.b);
	XPBG:SetAlpha(bg.a);
	-- 
	if (not ColorPickerFrame:IsVisible()) then
		ColorPickerFrame.func = nil;
		ColorPickerFrame.cancelFunc = nil;
		ColorPickerFrame.previousValues = nil;
		-- 
		TitanXPBarConfigFrame:Show()
		-- 
	end
	-- 
end
-- -- 
function TXP_COLOR_BG_C()
	-- 
	bg.r = ColorPickerFrame.previousValues.r;
	bg.g = ColorPickerFrame.previousValues.g;
	bg.b = ColorPickerFrame.previousValues.b;
	-- 
	TitanXPBar[yourRealm][yourName]["bgColor"] = {ColorPickerFrame.previousValues.r, ColorPickerFrame.previousValues.g, ColorPickerFrame.previousValues.b};
	TitanXPBar[yourRealm][yourName]["bgOpacity"] = MyOldAlpha;
	-- 
	XPBG:SetStatusBarColor(ColorPickerFrame.previousValues.r, ColorPickerFrame.previousValues.g, ColorPickerFrame.previousValues.b);
	XPBG:SetAlpha(MyOldAlpha);
	-- 
	if (not ColorPickerFrame:IsVisible()) then
		ColorPickerFrame.func = nil;
		ColorPickerFrame.cancelFunc = nil;
		ColorPickerFrame.previousValues = nil;
		-- 
		TitanXPBarConfigFrame:Show()
		-- 
	end
end
-- -- 
function TXP_COLOR_XP()
	-- 
	normal.r, normal.g, normal.b = ColorPickerFrame:GetColorRGB();
	-- 
	TitanXPBar[yourRealm][yourName]["normalColor"] = {normal.r, normal.g, normal.b};
	-- 
	XPStatus:SetStatusBarColor(normal.r, normal.g, normal.b);
	-- 
	if (not ColorPickerFrame:IsVisible()) then
		ColorPickerFrame.func = nil;
		ColorPickerFrame.cancelFunc = nil;
		ColorPickerFrame.previousValues = nil;
		-- 
		TitanXPBarConfigFrame:Show()
		-- 
	end
end
-- -- 
function TXP_COLOR_XP_C()
	-- 
	normal.r = ColorPickerFrame.previousValues.r;
	normal.g = ColorPickerFrame.previousValues.g;
	normal.b = ColorPickerFrame.previousValues.b;
	-- 
	TitanXPBar[yourRealm][yourName]["normalColor"] = {ColorPickerFrame.previousValues.r, ColorPickerFrame.previousValues.g, ColorPickerFrame.previousValues.b};
	-- 
	XPStatus:SetStatusBarColor(ColorPickerFrame.previousValuesr, ColorPickerFrame.previousValues.g, ColorPickerFrame.previousValues.b);
	-- 
	if (not ColorPickerFrame:IsVisible()) then
		ColorPickerFrame.func = nil;
		ColorPickerFrame.cancelFunc = nil;
		ColorPickerFrame.previousValues = nil;
		-- 
		TitanXPBarConfigFrame:Show()
		-- 
	end
end
-- -- 
function TXP_COLOR_REST()
	-- 
	rested.r, rested.g, rested.b = ColorPickerFrame:GetColorRGB();
	-- 
	TitanXPBar[yourRealm][yourName]["restedColor"] = {rested.r, rested.g, rested.b};
	-- 
	XPStatus:SetStatusBarColor(rested.r, rested.g, rested.b);
    -- 
    TitanPanelButton_UpdateButton("XPBar");
	-- 
	if (not ColorPickerFrame:IsVisible()) then
		ColorPickerFrame.func = nil;
		ColorPickerFrame.cancelFunc = nil;
		ColorPickerFrame.previousValues = nil;
		-- 
		TitanXPBarConfigFrame:Show()
		-- 
	end
end
-- -- 
function TXP_COLOR_REST_C()
	-- 
	rested.r = ColorPickerFrame.previousValues.r;
	rested.g = ColorPickerFrame.previousValues.g;
	rested.b = ColorPickerFrame.previousValues.b;
	-- 
	TitanXPBar[yourRealm][yourName]["restedColor"] = {ColorPickerFrame.previousValues.r, ColorPickerFrame.previousValues.g, ColorPickerFrame.previousValues.b};
	-- 
	XPStatus:SetStatusBarColor(ColorPickerFrame.previousValues.r, ColorPickerFrame.previousValues.g, ColorPickerFrame.previousValues.b);
    -- 
    TitanPanelButton_UpdateButton("XPBar");
	-- 
	if (not ColorPickerFrame:IsVisible()) then
		ColorPickerFrame.func = nil;
		ColorPickerFrame.cancelFunc = nil;
		ColorPickerFrame.previousValues = nil;
		-- 
		TitanXPBarConfigFrame:Show()
		-- 
	end
end
-- -- 
function TXP_COLOR_RBG()
	-- 
	rbg.r, rbg.g, rbg.b = ColorPickerFrame:GetColorRGB();
	-- 
	TitanXPBar["RepBar"][yourRealm][yourName]["bgColor"] = {rbg.r, rbg.g, rbg.b};
	-- 
	if (ColorPickerFrame.hasOpacity) then
		rbg.a = OpacitySliderFrame:GetValue();
		TitanXPBar["RepBar"][yourRealm][yourName]["bgOpacity"] = rbg.a;
	end
	-- 
	RepBG:SetStatusBarColor(rbg.r, rbg.g, rbg.b);
	RepBG:SetAlpha(rbg.a);
	-- 
	if (not ColorPickerFrame:IsVisible()) then
		ColorPickerFrame.func = nil;
		ColorPickerFrame.cancelFunc = nil;
		ColorPickerFrame.previousValues = nil;
		-- 
		TitanXPBarConfigFrame:Show()
		-- 
	end
end
-- -- 
function TXP_COLOR_RBG_C()
	-- 
	rbg.r = ColorPickerFrame.previousValues.r;
	rbg.g = ColorPickerFrame.previousValues.g;
	rbg.b = ColorPickerFrame.previousValues.b;
	-- 
	TitanXPBar["RepBar"][yourRealm][yourName]["bgColor"] = {ColorPickerFrame.previousValues.r, ColorPickerFrame.previousValues.g, ColorPickerFrame.previousValues.b};
	TitanXPBar["RepBar"][yourRealm][yourName]["bgOpacity"] = MyOldAlpha;
	-- 
	RepBG:SetStatusBarColor(ColorPickerFrame.previousValues.r, ColorPickerFrame.previousValues.g, ColorPickerFrame.previousValues.b);
	RepBG:SetAlpha(MyOldAlpha);
	-- 
	if (not ColorPickerFrame:IsVisible()) then
		ColorPickerFrame.func = nil;
		ColorPickerFrame.cancelFunc = nil;
		ColorPickerFrame.previousValues = nil;
		-- 
		TitanXPBarConfigFrame:Show()
		-- 
	end
end
-- -- 
function TXP_COLOR_RXP()
	-- 
	rnormal.r, rnormal.g, rnormal.b = ColorPickerFrame:GetColorRGB();
	-- 
	TitanXPBar["RepBar"][yourRealm][yourName]["normalColor"] = {rnormal.r, rnormal.g, rnormal.b};
	-- 
	RepStatus:SetStatusBarColor(rnormal.r, rnormal.g, rnormal.b);
	-- 
	if (not ColorPickerFrame:IsVisible()) then
		ColorPickerFrame.func = nil;
		ColorPickerFrame.cancelFunc = nil;
		ColorPickerFrame.previousValues = nil;
		-- 
		TitanXPBarConfigFrame:Show()
		-- 
	end
end
-- -- 
function TXP_COLOR_RXP_C()
	-- 
	rnormal.r = ColorPickerFrame.previousValues.r;
	rnormal.g = ColorPickerFrame.previousValues.g;
	rnormal.b = ColorPickerFrame.previousValues.b;
	-- 
	TitanXPBar["RepBar"][yourRealm][yourName]["normalColor"] = {ColorPickerFrame.previousValues.r, ColorPickerFrame.previousValues.g, ColorPickerFrame.previousValues.b};
	-- 
	RepStatus:SetStatusBarColor(ColorPickerFrame.previousValues.r, ColorPickerFrame.previousValues.g, ColorPickerFrame.previousValues.b);
	-- 
	if (not ColorPickerFrame:IsVisible())then
		ColorPickerFrame.func = nil;
		ColorPickerFrame.cancelFunc = nil;
		ColorPickerFrame.previousValues = nil;
		-- 
		TitanXPBarConfigFrame:Show()
		-- 
	end
end
-- -- 
function TitanXPBarTooltip(area, text)
	GameTooltip:SetOwner(area, "ANCHOR_RIGHT")
	GameTooltip:SetText(text, 1, 1, 1, 0.75, 1);
	GameTooltip:Show();
end;
-- -- 
function TitanXPBarSetUp(reset)
	-- 
	if (not TitanXPBar[yourRealm]) then
		TitanXPBar[yourRealm] = {[yourName]={["MinHide"]=1,["restedColor"]={1.0, 0.0, 1.0},["normalColor"]={0.0, 1.0, 0.0},["bgOpacity"]=0.25,["bgColor"]={0.0, 0.0, 0.0},["XPBar_Width"]=300,["XPBar_Height"]=2,["TXP_pos"]={["LOCATIONX"]=0,["LOCATIONY"]=140},["AVG_pos"]={["LOCX"]=0,["LOCY"]=142}}};
	elseif (not TitanXPBar[yourRealm][yourName]) then
		TitanXPBar[yourRealm][yourName] = {["MinHide"]=1,["restedColor"]={1.0, 0.0, 1.0},["normalColor"]={0.0, 1.0, 0.0},["bgOpacity"]=0.25,["bgColor"]={0.0, 0.0, 0.0},["XPBar_Width"]=300,["XPBar_Height"]=2,["TXP_pos"]={["LOCATIONX"]=0,["LOCATIONY"]=140},["AVG_pos"]={["LOCX"]=0,["LOCY"]=142}};
	elseif (reset == 1) then
		TitanXPBar[yourRealm][yourName] = {["MinHide"]=1,["restedColor"]={1.0, 0.0, 1.0},["normalColor"]={0.0, 1.0, 0.0},["bgOpacity"]=0.25,["bgColor"]={0.0, 0.0, 0.0},["XPBar_Width"]=300,["XPBar_Height"]=2,["TXP_pos"]={["LOCATIONX"]=0,["LOCATIONY"]=140},["AVG_pos"]={["LOCX"]=0,["LOCY"]=142}};
	end
	-- 
end
-- -- 
function TitanRepBarSetUp(reset)
	-- 
	if (not TitanXPBar["RepBar"]) then
		TitanXPBar["RepBar"] = {[yourRealm]={[yourName]={["normalColor"]={0.0, 1.0, 0.0},["bgOpacity"]=0.25,["bgColor"]={0.0, 0.0, 0.0},["RepBar_Width"]=300,["RepBar_Height"]=2,["TXP_pos"]={["LOCATIONX"]=0,["LOCATIONY"]=160},["AVG_pos"]={["LOCX"]=0,["LOCY"]=162}}}};
	elseif (not TitanXPBar["RepBar"][yourRealm]) then
		TitanXPBar["RepBar"][yourRealm] = {[yourName]={["normalColor"]={0.0, 1.0, 0.0},["bgOpacity"]=0.25,["bgColor"]={0.0, 0.0, 0.0},["RepBar_Width"]=300,["RepBar_Height"]=2,["TXP_pos"]={["LOCATIONX"]=0,["LOCATIONY"]=160},["AVG_pos"]={["LOCX"]=0,["LOCY"]=162}}};
	elseif (not TitanXPBar["RepBar"][yourRealm][yourName]) then
		TitanXPBar["RepBar"][yourRealm][yourName] = {["normalColor"]={0.0, 1.0, 0.0},["bgOpacity"]=0.25,["bgColor"]={0.0, 0.0, 0.0},["RepBar_Width"]=300,["RepBar_Height"]=2,["TXP_pos"]={["LOCATIONX"]=0,["LOCATIONY"]=160},["AVG_pos"]={["LOCX"]=0,["LOCY"]=162}};
	elseif (reset == 1) then
		TitanXPBar["RepBar"][yourRealm][yourName] = {["normalColor"]={0.0, 1.0, 0.0},["bgOpacity"]=0.25,["bgColor"]={0.0, 0.0, 0.0},["RepBar_Width"]=300,["RepBar_Height"]=2,["TXP_pos"]={["LOCATIONX"]=0,["LOCATIONY"]=160},["AVG_pos"]={["LOCX"]=0,["LOCY"]=162}};
	end
	-- 
end