-- ## Many thanks to the following people for this translation ..
-- ##     * Szeraxenia on Der Rat von Dalaran
-- ##     * Michael A. Bode
-- ##     * ThePr0phecy@Nazjatar

if (GetLocale() == "deDE") then

	-- ###############
	-- ## MENU TEXT ##
	-- ###############

	TBG.Text.Menu.ITEM_GENERAL              = "General";
	TBG.Text.Menu.ITEM_PROFILE              = "Profile";
	TBG.Text.Menu.ITEM_ACTIONS              = "Actions";
	TBG.Text.Menu.ITEM_AUTOQUEUE            = "Auto Queue";
	TBG.Text.Menu.ITEM_AUTOJOINANDLEAVE     = "Auto Join and Leave";
	TBG.Text.Menu.ITEM_AUTORELEASE          = "Auto Release";
	TBG.Text.Menu.ITEM_QUESTSGOSSIP         = "Quests and Gossip";
	TBG.Text.Menu.ITEM_QUESTCOMPLETION      = "Quest Completion";
	TBG.Text.Menu.ITEM_SKIPPINGGOSSIP       = "Skipping Gossip";
	TBG.Text.Menu.ITEM_DISPLAYANDSOUNDS     = "Display and Sounds";
	TBG.Text.Menu.ITEM_DISPLAY              = "Display";
	TBG.Text.Menu.ITEM_SOUNDS               = "Sounds";
	TBG.Text.Menu.ITEM_BLIZZARD             = "Blizzard";
	TBG.Text.Menu.ITEM_SCOREFRAME           = "Score Frame";
	TBG.Text.Menu.ITEM_LEADERBOARD          = "Leader Board";
	TBG.Text.Menu.ITEM_BUTTON               = "Button";
	TBG.Text.Menu.ITEM_TOOLTIP              = "Tooltip";
	TBG.Text.Menu.ITEM_ITEMSTODISPLAY       = "Items to Display";
	TBG.Text.Menu.ITEM_WORLD                = "World";
	TBG.Text.Menu.ITEM_BATTLEGROUND         = "Battleground";
	TBG.Text.Menu.ITEM_APEARANCEANDPOSITION = "Appearance & Position";
	TBG.Text.Menu.ITEM_VISIBILITY           = "Visibility";
	TBG.Text.Menu.ITEM_COLORS               = "Colors";
	TBG.Text.Menu.ITEM_SIZE                 = "Size";
	TBG.Text.Menu.ITEM_POSITION             = "Position";
	TBG.Text.Menu.ITEM_SCROLLING            = "Scrolling";
	TBG.Text.Menu.ITEM_PANELS               = "Panels";
	TBG.Text.Menu.ITEM_CAPTURETIMERS        = "Capture Timers";
	TBG.Text.Menu.ITEM_MOVEMENTTIMERS       = "Movement Timers";
	TBG.Text.Menu.ITEM_PLAYERLIST           = "Player List";
	TBG.Text.Menu.ITEM_FLAGTRACKER          = "Flag Tracker";
	TBG.Text.Menu.ITEM_PAGE                 = "Page";

	-- Titan
	TBG.Text.Menu.Titan.SHOW_OPTIONS = "Zeige Options";
	TBG.Text.Menu.Titan.QUEUE        = "Warteschlangen-Optionen";

	TBG.Text.Menu.HEADER  = "Titan Schlachtfeld";
	TBG.Text.Menu.OPTIONS = "Options";
	TBG.Text.Menu.NOTICE  = TBG.Text.ADDON_NAME .. " " .. TBG.Text.ADDON_VERSION  .. ". Developed by " .. TBG.Text.ADDON_AUTHOR .. ".";

	TBG.Text.Menu.WELCOME      = "Welcome to {addon}!";
	TBG.Text.Menu.INTRODUCTION = "Please use the menu located to the left to navigate.\n\nTitan Battleground was developed to track Battleground and Arena information and statistics. It also assists with numerous tasks associated with PvP. For example, queueing for battlegrounds, handing in quests and tracking capture timers and flag carriers.\n\n\n\nYou can " .. GREEN_FONT_COLOR_CODE .. "download" .. HIGHLIGHT_FONT_COLOR_CODE .. " the latest version of the addon, report any " .. GREEN_FONT_COLOR_CODE .. "bugs" .. HIGHLIGHT_FONT_COLOR_CODE .. " or ask for " .. GREEN_FONT_COLOR_CODE .. "help" .. HIGHLIGHT_FONT_COLOR_CODE .. " at the following location.\n\n" .. NORMAL_FONT_COLOR_CODE .. TBG.Text.ADDON_WEBSITE .. HIGHLIGHT_FONT_COLOR_CODE .. "\n\n\n\nIf you wish to provide assistance with " .. GREEN_FONT_COLOR_CODE .. "translation" .. HIGHLIGHT_FONT_COLOR_CODE .. " or want to otherwise " .. GREEN_FONT_COLOR_CODE .. "contact" .. HIGHLIGHT_FONT_COLOR_CODE .. " the author, please use the following email address. Please do not send bug reports via email.\n\n" .. NORMAL_FONT_COLOR_CODE .. TBG.Text.ADDON_EMAIL;

	-- General Options
		-- Battleground
		TBG.Text.Menu.General.AUTOQUEUE       = "Auto queue for battlegrounds, when opening the battlemaster window?";
		TBG.Text.Menu.General.AUTOQUEUE_WHICH = "Auto queue for which battlegrounds?";

		TBG.Text.Menu.General.AUTOJOIN              = "Schlachtfeld automatisch beitreten";
		TBG.Text.Menu.General.AUTOJOIN_NOT_IF_AFK   = "Do not auto join if flagged afk?";
		TBG.Text.Menu.General.AUTOJOIN_NOT_IN_ARENA = "Do not auto join if in a rated arena battle?";
		TBG.Text.Menu.General.AUTOJOIN_ALWAYS       = "Automatisch beitreten auch dann wenn man bereits in einem Schlachtfeld ist";
		TBG.Text.Menu.General.AUTOJOIN_PRIORITY     = "Automatisch beitreten nur wenn das neue Schlachtfeld eine h\195\182here Priorit\195\164t hat";

		TBG.Text.Menu.General.AUTOLEAVE         = "Schlachtfeld automatisch verlassen wenn es beendet ist";
		TBG.Text.Menu.General.AUTORELEASE       = "Geist automatisch freilassen";
		TBG.Text.Menu.General.AUTORELEASE_CHECK = "Geist nicht automatisch freilassen, wenn ein Seelenstein oder eine Wiederbelebung m\195\182glich ist";

		TBG.Text.Menu.General.AUTOJOIN_PRIORITY_LIST = "In welcher Priorit\195\164t sollen die Schlachtfelder automatisch beigetreten werden?";

		TBG.Text.Menu.General.AUTOJOIN_SECONDS  = "Zeit in Sekunden bis ein Schlachtfeld automatisch betreten wird?";
		TBG.Text.Menu.General.AUTOLEAVE_SECONDS = "Zeit in Sekunden bis ein Schlachtfeld automatisch verlassen wird?";

		TBG.Text.Menu.General.AUTO_DISABLE_KEY = "What key should be used to skip automatic quest, gossip and\nqueue actions?";

		TBG.Text.Menu.General.QUEST_COMPLETION         = "Enable automatic quest completion?";
		TBG.Text.Menu.General.QUEST_COMPLETION_WARNING = "Show a warning when all applicable npc quests can no longer\nbe completed?";

		TBG.Text.Menu.General.SKIP_BATTLEMASTER_GOSSIP = "Skip battlemaster gossip and automatically access the queue?";
		TBG.Text.Menu.General.SKIP_VENDOR_GOSSIP       = "Skip vendor gossip and automatically access the shop?";
		TBG.Text.Menu.General.SKIP_TAXI_GOSSIP         = "Skip flight master gossip and automatically access the flight paths?";
		TBG.Text.Menu.General.SKIP_BANK_GOSSIP         = "Skip bank gossip and automatically access your items?";

		-- Interface
		TBG.Text.Menu.General.SHOW_START_MESSAGE         = "Zeige Start-Meldung im Chatfenster bei Spielbegin";
		TBG.Text.Menu.General.SHOW_TIPS                  = "Show tips in the chat window?";
		TBG.Text.Menu.General.ALLOW_GARBAGE_COLLECTION   = "Allow the addon to perform systematic garbage collection? Helps to improve\nframe rate and memory usage.";
		TBG.Text.Menu.General.PROFILE_SELECT             = "What settings should be used by this character?";
		TBG.Text.Menu.General.PROFILE_CREATE             = "Enter the name of the profile you want to create.";
		TBG.Text.Menu.General.PROFILE_CREATE_BUTTON      = "Create the Profile";
		TBG.Text.Menu.General.PROFILE_MODIFY             = "Select the profile that you wish to delete.";
		TBG.Text.Menu.General.PROFILE_MODIFY_DELETE      = "Delete the Profile";
		TBG.Text.Menu.General.OVERWRITE_SIMILAR_SETTINGS = "\195\156berschreibe vergleichbare Einstellungen in anderen AddOns";
		TBG.Text.Menu.General.CREATE_TARGET_MACROS       = "Erzeuge Makros f\195\188r das anvisieren des Flaggentr\195\164gers";

		TBG.Text.Menu.General.HIDE_MINIMAP_BUTTON       = "Minimap-Symbol verbergen";
		TBG.Text.Menu.General.AUTO_SHOW_BATTLEMAP       = "Schlachtfeld-Minimap automatisch anzeigen";
		TBG.Text.Menu.General.REDIRECT_MESSAGE_ALLIANCE = "Redirect battleground system messages for Alliance to the warning frame?";
		TBG.Text.Menu.General.REDIRECT_MESSAGE_HORDE    = "Redirect battleground system messages for Horde to the warning frame?";
		TBG.Text.Menu.General.REDIRECT_MESSAGE_NEUTRAL  = "Redirect neutral battleground system messages to the warning frame?";

		TBG.Text.Menu.General.DO_NOT_SHOW_LOOT        = "Do not show loot received or coins gained while in a battleground?";
		TBG.Text.Menu.General.DO_NOT_SHOW_DEATHS      = "Do not show party player deaths while in a battleground?";
		TBG.Text.Menu.General.DO_NOT_SHOW_RAID_CHANGE = "Do not show who has joined or left the raid group while in a battleground?";
		TBG.Text.Menu.General.DO_NOT_SHOW_BG_CHANGE   = "Do not show who has joined or left the battleground?";
		TBG.Text.Menu.General.DO_NOT_SHOW_AV_ONLY     = "Only enable these options within Alterac Valley?";

		TBG.Text.Menu.General.AV_YELL_CONVERT_HERALD    = "In Alterac Valley, convert Herald yells to colored system messages?";
		TBG.Text.Menu.General.AV_YELL_CONVERT_IMPORTANT = "In Alterac Valley, convert important yells to meaningful text?";
		TBG.Text.Menu.General.AV_YELL_PREVENT_OTHER     = "In Alterac Valley, prevent meaningless yells from being displayed?";

		TBG.Text.Menu.General.HIDE_JOIN_POPUP                    = "Betreten-Dialog verbergen";
		TBG.Text.Menu.General.REPEAT_SOUND                       = "Schlachtfeld Bereit-Ger\195\164usch st\195\164ndig wiederholen";
		TBG.Text.Menu.General.RAID_UPDATE_NO_SOUND               = "Kein Ger\195\164usch abspielen beim aktualisieren des Raid-Status";
		TBG.Text.Menu.General.LEADER_BOARD_CUSTOM_USE            = "Use the custom leader board, instead of the default?";
		TBG.Text.Menu.General.SCORE_FRAME_COLOR_NAMES            = "Spielernamen nach Klassenfarbe einf\195\164rben";
		TBG.Text.Menu.General.SCORE_FRAME_COLOR_NAMES_ALL        = "Spielernamen nicht einf\195\164rben wenn alle Spieler angezeigt werden";
		TBG.Text.Menu.General.SCORE_FRAME_COLOR_NAMES_NOT_PLAYER = "Do not color your name?";
		TBG.Text.Menu.General.SCORE_FRAME_MARK_PLAYER            = "Mark your name on the leader board with an icon?";
		TBG.Text.Menu.General.PLAY_WHICH_SOUND                   = "Welcher Sound soll gespielt werden, wenn das Schlachtfeld bereit ist?";

			-- Sound file names.
			TBG.Text.Menu.General.SOUND_DEFAULT   = "Standard";
			TBG.Text.Menu.General.SOUND_CRASH     = "Crash";
			TBG.Text.Menu.General.SOUND_LIGHTNING = "Blitz und Donner";
			TBG.Text.Menu.General.SOUND_BELL      = "Glocke";
			TBG.Text.Menu.General.SOUND_HORN      = "Horn";
			TBG.Text.Menu.General.SOUND_CYMBAL    = "Cymbal";
			TBG.Text.Menu.General.SOUND_WHISTLE   = "Pfeifen";
			TBG.Text.Menu.General.SOUND_CHIME     = "Chime";
			TBG.Text.Menu.General.SOUND_TRUMPET   = "Trompete";

	-- Display Options
		TBG.Text.Menu.Display.TEXT_SPACERS_BUTTON     = "Leerzeichen zwischen den Buttons anzeigen";
		TBG.Text.Menu.Display.TOPSERVER_AV_DISABLE    = "Deaktivere Server-Prozent-Auswertung im Alteractal";
		TBG.Text.Menu.Display.ALLOW_INACCURATE_TIMERS = "Aktiviere Timerauswertung bevor ein Schlachtfeld betreten wird";

		TBG.Text.Menu.Display.TT_ALWAYS_SHOW        = "Tooltip immer anzeigen";
		TBG.Text.Menu.Display.TT_WHEN_NO_QUEUE_HIDE = "Tooltip automatisch verstecken, wenn nicht im Schlachtfeld oder einer Warteschlange?";
		TBG.Text.Menu.Display.TT_SHOW_IF_OVER_TT    = "Tooltip weiterhin anzeigen w\195\164hrend die Maus im Tooltip-Bereich ist?";
		TBG.Text.Menu.Display.TT_STATIC_WIDTH       = "Beibehalten einer statischen Tooltip-Gr\195\182sse?";
		TBG.Text.Menu.Display.TT_ALLOW_CLICKING     = "Aktiviere Buttons innerhalb der Tooltips?";

			TBG.Text.Menu.Display.TT_FRAMESTRATA_TOOLTIP    = "Tooltip";
			TBG.Text.Menu.Display.TT_FRAMESTRATA_DIALOG     = "Dialog";
			TBG.Text.Menu.Display.TT_FRAMESTRATA_FULLSCREEN = "Fullscreen";
			TBG.Text.Menu.Display.TT_FRAMESTRATA_NOBUTTONS  = "Buttons will not function at this level.";

		TBG.Text.Menu.Display.TT_FRAMESTRATA         = "At what frame level should the tooltip be displayed?";
		TBG.Text.Menu.Display.TT_DETACH              = "Tooltip vom TitanBG-Button l\195\182sen?";
		TBG.Text.Menu.Display.TT_LOCK                = "Tooltip in der Gegenw\195\164rtigen Position einfrieren?";
		TBG.Text.Menu.Display.TT_DETACH_USE_BUTTON   = "Wenn der Tooltip gel\195\182st ist, Zieh-Icon als sekund\195\164ren Button benutzen";

		TBG.Text.Menu.Display.TT_ALLOW_AUTO_SCROLL   = "Aktiviere automatisch Scrolling im Tooltip?";
		TBG.Text.Menu.Display.TT_ALLOW_MANUAL_SCROLL = "Aktiviere manuelles Scrolling im Tooltip?";

		TBG.Text.Menu.Display.TT_ATTACH_BY             = "Tooltip in welcher Ecke anzeigen, wenn er von den Buttons gel\195\182st wurde?";
		TBG.Text.Menu.Display.TT_ATTACH_BY_TOPLEFT     = "Oben links.";
		TBG.Text.Menu.Display.TT_ATTACH_BY_TOPRIGHT    = "Oben rechts.";
		TBG.Text.Menu.Display.TT_ATTACH_BY_BOTTOMLEFT  = "Unten links.";
		TBG.Text.Menu.Display.TT_ATTACH_BY_BOTTOMRIGHT = "Unten rechts.";

		TBG.Text.Menu.Display.TT_COLOR_BACKGROUND = "Tooltip Hintergrundfarbe.";
		TBG.Text.Menu.Display.TT_COLOR_BORDER     = "Tooltip Rahmenfarbe.";

		TBG.Text.Menu.Display.TT_LINES_TO_DISPLAY     = "Maximale Anzahl der Zeilen die im Tooltip anzeigt werden sollen.";
		TBG.Text.Menu.Display.TT_MAX_WIDTH            = "Maximale Weite des Tooltipfensters.";
		TBG.Text.Menu.Display.TT_HIDE_DELAY           = "Verz\195\182gerungszeit bis das Tooltipfenster verschwindet.";
		TBG.Text.Menu.Display.TT_AUTO_SCROLLING_SPEED = "Geschwindigkeit des automatischen Scrollings.";

		TBG.Text.Menu.Display.TT_DISPLAY_ORDER = "In welcher Reihenfolge sollen die Sektionen im Tooltip angezeigt werden?";

		-- World
		TBG.Text.Menu.Display.BUTTON_SCORE      = "Zeige Welt PVP Punkte Informationen?";
		TBG.Text.Menu.Display.BUTTON_TIME_QUEUE = "Zeige (Rest)Zeit in der Warteschlange";
		TBG.Text.Menu.Display.BUTTON_TIME_LEFT  = "Zeige Zeit bevor das Schlachtfeld abl\195\164uft";

		TBG.Text.Menu.Display.TT_NOT_IN_QUEUE       = "Display text indicating which battlegrounds you are not in the queue for?";
		TBG.Text.Menu.Display.TT_HEADERS            = "Display section headers in the tooltip?";
		TBG.Text.Menu.Display.TT_SCORE              = "Zeige Welt PVP Punkte Informationen?";
		TBG.Text.Menu.Display.TT_QUEUE_TIMERS       = "Zeige Schlachtfeld-Wartezeiten";
		TBG.Text.Menu.Display.TT_REMEMBER_BGS_OPEN  = "Zeige Anzahl der Schlachtfelder";

		TBG.Text.Menu.Display.OTHER_POPUP_EXPIRE = "Anzeige der Restzeit f\195\188r das Betreten des Schlachtfeldes im Schlachtfeld-Bereit PopUp";

		-- Battleground
		TBG.Text.Menu.Display.BUTTON_HIDE_ACTIVE      = "Verstecke aktive Schlachtfeld Infos wenn das n\195\164chste Schlachtfeld zum betreten bereit ist";
		TBG.Text.Menu.Display.BUTTON_PLAYERS          = "Spieler anzeigen?";
		TBG.Text.Menu.Display.BUTTON_TOP_SERVER       = "Anzeige des h\195\182chsten prozentualen Anteils gegnerischer Spieler die zu einem Server geh\195\182ren?";
		TBG.Text.Menu.Display.BUTTON_COLOR_BY_PERCENT = "Prozentualen Anteil farbig anzeigen um die Wahrscheinlichkeiten von Stamm-Gruppen hervorzuheben?";
		TBG.Text.Menu.Display.BUTTON_DISPLAY_START    = "Anzeige der Zeit bis das Schlachtfeld beginnt?";
		TBG.Text.Menu.Display.BUTTON_STANDING         = "Platzierung anzeigen (Pl)";
		TBG.Text.Menu.Display.BUTTON_KILLS            = "Ehrenhafte Siege anzeigen (ES)";
		TBG.Text.Menu.Display.BUTTON_KILLING_BLOWS    = "Todesst\195\182sse anzeigen (TS)";
		TBG.Text.Menu.Display.BUTTON_DEATHS           = "Tode anzeigen (To)";
		TBG.Text.Menu.Display.BUTTON_DAMAGE_DONE      = "Zeige eigenen verursachten Schaden? (DD)";
		TBG.Text.Menu.Display.BUTTON_HEALING_DONE     = "Zeige eigene gewirkte Heilung? (HD)";
		TBG.Text.Menu.Display.BUTTON_HONOR            = "Bonusehre anzeigen (BE)";

		TBG.Text.Menu.Display.TT_BG_WEEKEND_SHOW      = "Display what battleground weekend it will be this week?";
		TBG.Text.Menu.Display.TT_BG_WEEKEND_START     = "What weekday follows the maintenance period?";
		TBG.Text.Menu.Display.TT_BG_WEEKEND_MONDAY    = "Monday";
		TBG.Text.Menu.Display.TT_BG_WEEKEND_TUESDAY   = "Tuesday";
		TBG.Text.Menu.Display.TT_BG_WEEKEND_WEDNESDAY = "Wednesday";
		TBG.Text.Menu.Display.TT_BG_WEEKEND_THURSDAY  = "Thursday";
		TBG.Text.Menu.Display.TT_BG_WEEKEND_FRIDAY    = "Friday";
		TBG.Text.Menu.Display.TT_BG_WEEKEND_SATURDAY  = "Saturday";
		TBG.Text.Menu.Display.TT_BG_WEEKEND_SUNDAY    = "Sunday";

		TBG.Text.Menu.Display.TT_NO_HINTS        = "Display hints within the tooltip?";
		TBG.Text.Menu.Display.TT_TWO_TOOLTIPS    = "Aktives Schlachtfeld und Warteschlangen Informationen in verschiedenen Tooltip anzeigen?";
		TBG.Text.Menu.Display.TT_START_TIME      = "Anzeige der Zeit bis das Schlachtfeld beginnt?";
		TBG.Text.Menu.Display.TT_INACTIVE        = "Anzeige von inaktiven Spielern?";
		TBG.Text.Menu.Display.TT_AB_WIN_ESTIMATE = "Display Arathi Basin and Eye of the Storm win estimations?";
		TBG.Text.Menu.Display.TT_WSG_FLAG        = "Anzeige des Kriegshymenschlucht Flaggenstatus?";
		TBG.Text.Menu.Display.TT_SERVER_A        = "Anzeige der Allianz Server Statistik?";
		TBG.Text.Menu.Display.TT_SERVER_H        = "Anzeige der Horde Server Statistik?";
		TBG.Text.Menu.Display.TT_SERVER_TOP      = "Zeige nur die Top3 der meistbev\195\182lkerten Server f\195\188r jede Fraktion?";
		TBG.Text.Menu.Display.TT_SERVER_PER      = "Anzeige der prozentualen Bev\195\182lkerungsverteilung f\195\188r jeden Server?";
		TBG.Text.Menu.Display.TT_CLASSES_A       = "Anzeige der Allianz Klassen Informationen?";
		TBG.Text.Menu.Display.TT_CLASSES_H       = "Anzeige der Horde Klassen Informationen?";
		TBG.Text.Menu.Display.TT_CLASSES_TEXT    = "Anzeige des Klassennamens in den Klasseninformationen?";
		TBG.Text.Menu.Display.TT_PLAYER_STATS    = "Ehrenstatistik anzeigen";
		TBG.Text.Menu.Display.TT_OBJECTIVE_STATS = "Spielerstatistik anzeigen";
		TBG.Text.Menu.Display.TT_FRIENDS         = "Freunde anzeigen";
		TBG.Text.Menu.Display.TT_CAPTURES        = "Stoppuhr anzeigen"
		TBG.Text.Menu.Display.TT_MOVEMENT        = "Anzeige der Alteractal Boss Bewegungstimer?";
		TBG.Text.Menu.Display.TT_BGITEMS         = "Display the number of battleground items held?";
		TBG.Text.Menu.Display.TT_BGITEMS_SORT    = "How should battleground items be sorted?";

		TBG.Text.Menu.Display.TT_BGITEMS_SORT_NAME   = "Sort by the name?";
		TBG.Text.Menu.Display.TT_BGITEMS_SORT_AMOUNT = "Sort by the amount held?";

		TBG.Text.Menu.Display.OTHER_LOCK_PANEL      = "Einfrieren der Bildschirmanzeigetafel?";
		TBG.Text.Menu.Display.OTHER_CAPTURES_SHOW   = "On-Screen anzeigen";
		TBG.Text.Menu.Display.OTHER_CAPTURES_INVERT = "Invertiere den On-Screen Eroberungstimer?";
		TBG.Text.Menu.Display.OTHER_CAPTURES_CLICK  = "Erlaube Shift-Klick posting der Eroberungstimer im Schlachtfeldchat?";

		TBG.Text.Menu.Display.OTHER_MOVEMENT_SHOW   = "Zeige die Bewegungstimer f\195\188r Ivus und Lokholar im Alteractal auf dem Bildschirm?";
		TBG.Text.Menu.Display.OTHER_MOVEMENT_CLICK  = "Erlaube Shift-Klick posting der Bewegungstimer in den Schlachtfeldchat?";

		TBG.Text.Menu.Display.OTHER_WSG_SHOW        = "Aktiviere die OnScreen Krieghymenschlucht Flaggentr\195\164geranzeige?";
		TBG.Text.Menu.Display.OTHER_WSG_CLICK       = "Aktiviere Zielauswahl per Mausklick auf die Flaggentr\195\164geranzeige?";
		TBG.Text.Menu.Display.OTHER_WSG_COLOR_CLASS = "Einf\195\164rben des Flaggentr\195\164gernamens nach Klassenfarbe?";
		TBG.Text.Menu.Display.OTHER_WSG_TEXT_CLASS  = "Anzeige der Klasse neben dem Namen des Flaggentr\195\164gers?";
		TBG.Text.Menu.Display.OTHER_WSG_INVERT      = "Die OnScreen Flaggentr\195\164geranzeige invertieren?";
		TBG.Text.Menu.Display.OTHER_WSG_ATTACH      = "Die OnScreen Flaggentr\195\164geranzeige an die Punkteanzeige andocken?";

		TBG.Text.Menu.Display.OTHER_MINIMAP_FLAG_HORDE            = "Show the Horde flag on the minimap?";
		TBG.Text.Menu.Display.OTHER_MINIMAP_FLAG_ALLIANCE         = "Show the Alliance flag on the minimap?";
		TBG.Text.Menu.Display.OTHER_MINIMAP_FLAG_ALLOWMOUSE       = "Allow tooltips and targetting using the flag icons?";
		TBG.Text.Menu.Display.OTHER_MINIMAP_FLAG_ALLOWOUTOFBOUNDS = "Show flag icons that are beyond the range of the minimap, at the edges of\nthe minimap?";
		TBG.Text.Menu.Display.OTHER_MINIMAP_FLAG_OUTOFBOUNDSFADE  = "Fade icons that are beyond the range of the minimap?";

		TBG.Text.Menu.Display.OTHER_PLAYERS_SHOW        = "Display a targetable list of hostile players in Arenas?"
		TBG.Text.Menu.Display.OTHER_PLAYERS_SHOW_CLASS  = "Display the player class next to the name?";
		TBG.Text.Menu.Display.OTHER_PLAYERS_COLOR_CLASS = "Color the name by class?";

		TBG.Text.Menu.Display.OTHER_CHANGE_MAX_CAMERA_DISTANCE = "Increase the limit of the Max Camera Distance slider in Interface Options to\nthe maximum possible?"
		TBG.Text.Menu.Display.OTHER_PVPFRAME_DISPLAY_POINTS    = "Display the amount of points your rating will obtain you in the inspection frame?";

		TBG.Text.Menu.Display.OTHER_SCORE_DETACH    = "Aktiviere das Verschieben der Welt-Punkte Anzeige?";
		TBG.Text.Menu.Display.OTHER_SCORE_DRAGGABLE = "Einfrieren der aktuellen Positions der Punkte Anzeige?";
		TBG.Text.Menu.Display.OTHER_SCORE_HIDE      = "Verstecke den Welt-Punkte Anzeige(Rahmen)?";

		TBG.Text.Menu.Display.OTHER_MAX_CAPTURES_DISPLAY = "Maximale Anzahl Eroberungen die angezeigt werden.";

	-- ##################
	-- ## OTHER LABELS ##
	-- ##################

	TBG.Text.Label.Other.DRAGGABLE_CAPTURE_TIMERS = "Eroberungs-Timer und Flaggen-Status";
	TBG.Text.Label.Other.DAGGABLE_SCORE_FRAME     = "Punkte Rahmen";

	TBG.Text.Label.Other.IVUS     = "Ivus der Waldf\195\188rst";
	TBG.Text.Label.Other.LOKHOLAR = "Lokholar der Eislord";

	TBG.Text.Label.Other.AUTO_QUEST_COMPLETE_ADD    = "Add to Auto Complete";
	TBG.Text.Label.Other.AUTO_QUEST_COMPLETE_REMOVE = "Remove from Auto Complete";

	TBG.Text.Label.Other.PVPFRAME_POINTS = "Points";

	-- ###################
	-- ## BUTTON LABELS ##
	-- ###################

	TBG.Text.Label.Button.PAUSED = "P";

	-- Queue
	TBG.Text.Label.Button.FIRST_AVAILABLE = "Erstes";
	TBG.Text.Label.Button.READY           = "Bereit";

	-- Battleground
		TBG.Text.Label.Button.START         = "Startet in {time}."; -- !! NOTE: The {time} part of the string will be replaced by the amount of time left before the game begins.
		TBG.Text.Label.Button.STANDING      = "Pl: ";
		TBG.Text.Label.Button.KILLING_BLOWS = "TS: ";
		TBG.Text.Label.Button.KILLS         = "ES: ";
		TBG.Text.Label.Button.DEATHS        = "To: ";
		TBG.Text.Label.Button.DAMAGE_DONE   = "DD: ";
		TBG.Text.Label.Button.HEALING_DONE  = "HD: ";
		TBG.Text.Label.Button.HONOR         = "BE: ";

		TBG.Text.Label.Button.TEAM_GREEN = "Green: ";
		TBG.Text.Label.Button.TEAM_GOLD  = "Gold: ";

		TBG.Text.Label.Button.SCORE     = "S: ";
		TBG.Text.Label.Button.BASES     = "B: ";
		TBG.Text.Label.Button.RESOURCES = "R: ";

	-- ####################
	-- ## TOOLTIP LABELS ##
	-- ####################

	TBG.Text.Label.Tooltip.HEADER  = "Schlachtfeld-Information";
	TBG.Text.Label.Tooltip.PAUSED  = "Pause";
	TBG.Text.Label.Tooltip.UNPAUSE = "Fortsetzen";
	TBG.Text.Label.Tooltip.CLOSING = "Beendet";

	TBG.Text.Label.Tooltip.WAITING              = "Warten/sammeln der Informationen.";
	TBG.Text.Label.Tooltip.BATTLEGROUND_WEEKEND = "This week it will be an {bg} weekend.";

	TBG.Text.Label.Tooltip.TEAM_GREEN = "Green Team";
	TBG.Text.Label.Tooltip.TEAM_GOLD  = "Gold Team";

	-- History
		TBG.Text.Label.Tooltip.HISTORY                   = "Schlachtfeld Zusammenfassung";
		TBG.Text.Label.Tooltip.HISTORY_HELP_RATIOS       = "Angezeigte Verteilung: Allianz im Vergleich zur Horde.";
		TBG.Text.Label.Tooltip.HISTORY_HELP_RATIOS_INNER = "In Klammern: Verteilung PUGS im Vergleich zu Teams.";
		TBG.Text.Label.Tooltip.HISTORY_PLAYED            = "Gespielt";
		TBG.Text.Label.Tooltip.HISTORY_WON               = "Gewonnen";
		TBG.Text.Label.Tooltip.HISTORY_SCORE             = "Punkte";
		TBG.Text.Label.Tooltip.HISTORY_AVERAGE           = "Durchschnitt";
		TBG.Text.Label.Tooltip.HISTORY_SHORTEST          = "K\195\188rzestes";
		TBG.Text.Label.Tooltip.HISTORY_LONGEST           = "L\195\164ngstes";
		TBG.Text.Label.Tooltip.HISTORY_NOT_APPLICABLE    = "N/A";
		TBG.Text.Label.Tooltip.HISTORY_PICK_UP_GROUPS    = "PUG";
		TBG.Text.Label.Tooltip.HISTORY_TEAM              = "Team";

	-- Not in the Queue.
		TBG.Text.Label.Tooltip.NOT_IN_QUEUE = "Nicht in der Warteschlange f\195\188r {bg}."; -- !! NOTE: The {bg} part of the string will be replaced by a specific battleground name.

	-- Waiting
		TBG.Text.Label.Tooltip.TIME_IN_QUEUE       = "Zeit in der Warteschlange: ";
		TBG.Text.Label.Tooltip.ESTIMATED_REMAINING = "Erwartete Restzeit: ";
		TBG.Text.Label.Tooltip.ESTIMATED_WAIT      = "Erwartete Wartezeit: ";
		TBG.Text.Label.Tooltip.LESS_THAN_ONE_MIN   = "Weniger als eine Minute.";
		TBG.Text.Label.Tooltip.QUEUED_NO_PREF      = "Du befindest dich in der Warteschlange f\195\188r {bg} (Erstes Verf\195\188gbares."; -- !! NOTE: The {bg} part of the string will be replaced by a specific battleground name.
		TBG.Text.Label.Tooltip.QUEUED_PREF         = "Du befindest dich in der Warteschlange f\195\188r {bg}.";                    -- !! NOTE: The {bg} part of the string will be replaced by a specific battleground name.
		TBG.Text.Label.Tooltip.ACTIVE_INSTANCES    = "Aktive Instanzen:";

	-- Ready
		TBG.Text.Label.Tooltip.CONFIRM_JOIN   = "Ihr k\195\182nnt jetzt {bg} beitreten{time}."; -- !! NOTE: The {bg} part of the string will be replaced by a specific battleground name. The {time} part of the string will be replaced by the time left before the queue expires (if applicable).
		TBG.Text.Label.Tooltip.AUTOJOIN       = "{bg} automatisch beitreten in {time}."; -- !! NOTE: The {bg} part of the string will be replaced by a specific battleground name. The {time} part of the string will always be replaced by the join time and the time left before the queue expires (if applicable).
		TBG.Text.Label.Tooltip.AUTOJOIN_HINT  = "Tipp: LINKS-Klick um automatisches Beitreten anzuhalten/fortzusetzen.";

	-- Battleground
		TBG.Text.Label.Tooltip.AUTO_LEAVE = "Schlachtfeld wird automatisch verlassen in {time}."; -- !! NOTE: The {time} part of the string will be replaced by the join time.

		TBG.Text.Label.Tooltip.NO_INFORMATION       = "Sammle Informationen";
		TBG.Text.Label.Tooltip.START_BG             = "Der Kampf um {bg} beginnt in {time}."; -- !! NOTE: The {bg} part of the string will be replaced by a specific battleground name. The {time} part of the string will be replaced by the amount of time left before the game begins.
		TBG.Text.Label.Tooltip.INSTANCE_RUN_TIME_NA = "Nicht verf\195\188gbar."
		TBG.Text.Label.Tooltip.PLAYERS              = "Gesamtanzahl Spieler:";

		TBG.Text.Label.Tooltip.AV_PROGRESS_ESTIMATE = "Progress Estimates";

		TBG.Text.Label.Tooltip.AB_WIN_ESTIMATE   = "Gesch\195\164tzte Gewinner";
		TBG.Text.Label.Tooltip.AB_WINNER         = "Erwarteter Gewinner:";
		TBG.Text.Label.Tooltip.AB_FINAL_SCORE    = "Erwartete Gesamtpunktzahl:";
		TBG.Text.Label.Tooltip.AB_TIME_LEFT      = "Erwartete Restzeit:";
		TBG.Text.Label.Tooltip.AB_TO_WIN         = "Ben\195\182tigte Basen f\195\188r Sieg:";
		TBG.Text.Label.Tooltip.AB_TO_WIN_ENEMY   = "Ben\195\182tigte Basen f\195\188r den Gegner um zu gewinnen";
		TBG.Text.Label.Tooltip.AB_IMPOSSIBLE     = "Unm\195\182glich.";
		TBG.Text.Label.Tooltip.AB_WINNER_UNKNOWN = "Unbekannt.";

		TBG.Text.Label.Tooltip.BGITEMS      = "Battleground Items";
		TBG.Text.Label.Tooltip.INACTIVES    = "Inaktive Spieler";
		TBG.Text.Label.Tooltip.SERVER_STATS = "Server Statistik";
		TBG.Text.Label.Tooltip.CLASS_STATS  = "Klassen Statistik";

		TBG.Text.Label.Tooltip.PLAYER_STATS    = "Ehrenstatistik";
		TBG.Text.Label.Tooltip.PLAYER_STANDING = "Platzierung:";

		TBG.Text.Label.Tooltip.OBJECTIVE_STATS                = "Spielerstatistik";
		TBG.Text.Label.Tooltip.OBJECTIVE_GY_ASSAULTED         = "Friedh\195\182fe eingenommen:";
		TBG.Text.Label.Tooltip.OBJECTIVE_GY_DEFENDED          = "Friedh\195\182fe verteidigt:";
		TBG.Text.Label.Tooltip.OBJECTIVE_TOWERS_ASSAULTED     = "T\195\188rme zerst\195\182rt:";
		TBG.Text.Label.Tooltip.OBJECTIVE_TOWERS_DEFENDED      = "T\195\188rme verteidigt:";
		TBG.Text.Label.Tooltip.OBJECTIVE_MINES_CAPTURED       = "Minen eingenommen:";
		TBG.Text.Label.Tooltip.OBJECTIVE_LEADERS_KILLED       = "Anf\195\188hrer get\195\182tet:";
		TBG.Text.Label.Tooltip.OBJECTIVE_SECONDARY_OBJECTIVES = "Sekund\195\164rziele:";
		TBG.Text.Label.Tooltip.OBJECTIVE_FLAGS_CAPTURED       = "Flaggen errungen:";
		TBG.Text.Label.Tooltip.OBJECTIVE_FLAGS_RETURNED       = "Flaggen zur\195\188ckgebracht:";
		TBG.Text.Label.Tooltip.OBJECTIVE_BASES_ASSULTED       = "Basen eingenommen:";
		TBG.Text.Label.Tooltip.OBJECTIVE_BASES_DEFENDED       = "Basen verteidigt:";

		TBG.Text.Label.Tooltip.FRIENDS = "Freunde";

		TBG.Text.Label.Tooltip.MOVEMENT_TIMERS = "Bewegungs-Timer";

		TBG.Text.Label.Tooltip.CAPTURE_TIMERS         = "Stoppuhr";
		TBG.Text.Label.Tooltip.CAPTURE_TIMERS_UNKNOWN = "Unbekannt.";
		TBG.Text.Label.Tooltip.CAPTURE_TIMERS_IMINENT = "Bevorstehend.";

		TBG.Text.Label.Tooltip.WSG_FLAG_TRACKER = "Flaggen Status";
		TBG.Text.Label.Tooltip.WSG_FLAG         = "Flagge";

		TBG.Text.Label.Tooltip.SCORES_FLAGS   = "Flaggen";
		TBG.Text.Label.Tooltip.SCORES_TOWERS  = "T\195\188rme";
		TBG.Text.Label.Tooltip.SCORES_POINTS  = "Punkte";
		TBG.Text.Label.Tooltip.SCORES_PLAYERS = "Players";

		TBG.Text.Label.Tooltip.HINT_SCORE_FRAME = "Tipp: LINKS-Klick TitanBG-Button um die Punktetafel ein-/auszublenden.";
		TBG.Text.Label.Tooltip.HINT_MINIMAP     = "Tipp: SHIFT-Klick TitanBG-Button um die Schlachtfeld-Minikarte ein-/auszublenden.";
		TBG.Text.Label.Tooltip.HINT_TOOLTIP     = "Tipp: CTRL-Klick TitanBG-Button um Tooltip Information zu \195\164ndern.";
		TBG.Text.Label.Tooltip.HINT_HISTORY     = "Tipp: ALT-Klick TitanBG-Button um Schlachtfeldinformationen anzuzeigen oder zu verstecken.";

	-- ######################
	-- ## TITANBG MESSAGES ##
	-- ######################

	TBG.Text.Message.START                     = "{addon} {version} geladen. Tippe /tbg um das Menu anzuzeigen, or /tbg help um die verf\195\188gbaren Slash Kommandos anzuzeigen.";
	TBG.Text.Message.HISTORY_CORRUPT_AND_RESET = "The addon detected that your " .. NORMAL_FONT_COLOR_CODE .. "Battleground History" .. HIGHLIGHT_FONT_COLOR_CODE .. " was " .. RED_FONT_COLOR_CODE .. "corrupt" .. HIGHLIGHT_FONT_COLOR_CODE .. ". This has been corrected and your history reset.";

	-- Messages printed in battlegrounds.
	TBG.Text.Message.BG_AV_GENERAL_UNDER_ATTACK = "The {faction} General is under attack!";
	TBG.Text.Message.BG_AV_GENERAL_RESET        = "The {faction} General has been reset.";
	TBG.Text.Message.BG_AV_CAPTAIN_UNDER_ATTACK = "The {faction} Captain is under attack!";
	TBG.Text.Message.BG_AV_CAPTAIN_RESET        = "The {faction} Captain has been reset.";

	-- Messages printed on the leader board.
	TBG.Text.Message.LEADER_BOARD_PLAYER_COUNT_ALLIANCE = "Alliance Players";
	TBG.Text.Message.LEADER_BOARD_PLAYER_COUNT_HORDE    = "Horde Players";

	-- Messages displayed on XML.
	TBG.Text.Message.XML_CONTROL_CHANGE_OVERWRITTEN = "Um diese Einstellung zu ver\195\164ndern, benutze TitanBG.";
	TBG.Text.Message.XML_ACTION_OVERWRITTEN = "Diese Einstellung wird von TitanBG \195\188berschrieben und wird nicht benutzt.\n\n|cffffffff" .. TBG.Text.Message.XML_CONTROL_CHANGE_OVERWRITTEN;

		-- Messages printed to the chat log.
	TBG.Text.Message.CHAT_WSG_FLAG_CARRIED_BY  = "Die {faction} Flagge wird von {name} getragen."; -- !! NOTE: The {faction} part of the string will be replaced by a faction name. The {name} part will be replaced by a player name.
	TBG.Text.Message.CHAT_EOTS_FLAG_CARRIED_BY = "The flag is being held by {name}.";              -- !! NOTE: The {name} part will be replaced by a player name.
	TBG.Text.Message.CHAT_AV_MOVEMENT_TIMER    = "{name} wird sich in {time} in Bewegung setzen."; -- !! NOTE: The {name} part of the string will be replaced by Ivus the Forest Lord or Lokholar the Ice Lord. The {time} part will be replaced by the time until movement.

	-- Messages shown in tooltips.
	TBG.Text.Message.TOOLTIP_DRAG_FRAME_FOR_TT = "Use this button to position the tooltip when it isn't attached to the Titan Panel button." .. "\n\n" .. "|cffb6b6b6" .. "To prevent dragging, uncheck the " .. GREEN_FONT_COLOR_CODE .. TBG.Text.Menu.Display.TT_LOCK .. "|cffb6b6b6" .. " option under:\n" .. " |cffb6b6b6-|cff0097d0 " .. TBG.Text.Menu.ITEM_TOOLTIP .. "\n" .. "     |cffb6b6b6-|cff0097d0 " .. TBG.Text.Menu.ITEM_APEARANCEANDPOSITION .. "\n" .. "         |cffb6b6b6-|cff0097d0 " .. TBG.Text.Menu.ITEM_PAGE .. " 2";
	TBG.Text.Message.TOOLTIP_SCORE_FRAME       = "Use this frame to change the position of the world score frame." .. "\n\n" .. "|cffb6b6b6" .. "To hide this frame, check the " .. GREEN_FONT_COLOR_CODE .. TBG.Text.Menu.Display.OTHER_SCORE_DRAGGABLE .. "|cffb6b6b6" .. " option under " .. "|cff0097d0" .. TBG.Text.Menu.ITEM_BLIZZARD .. "|cffb6b6b6.";
	TBG.Text.Message.TOOLTIP_CAPTURE_TIMERS    = "Use this frame to change the position of the capture timers and the flag tracker." .. "\n\n" .. "|cffb6b6b6" .. "To hide this frame, check the " .. GREEN_FONT_COLOR_CODE .. TBG.Text.Menu.Display.OTHER_LOCK_PANEL .. "|cffb6b6b6" .. " option under " .. "|cff0097d0" .. TBG.Text.Menu.ITEM_PANELS .. "|cffb6b6b6.";
	TBG.Text.Message.TOOLTIP_DRAG              = "Hold down the " .. NORMAL_FONT_COLOR_CODE .. "CTRL" .. "|cffb6b6b6" .. " key and " .. NORMAL_FONT_COLOR_CODE .. "RIGHT CLICK" .. "|cffb6b6b6" .. " to drag.";

	-- Tip messages printed to the chat window.
	TBG.Text.Message.TIP                      = "Tip";
	TBG.Text.Message.TIP_DISABLE_TIPS         = "You can disable these random tips under " .. NORMAL_FONT_COLOR_CODE .. TBG.Text.Menu.ITEM_GENERAL .. HIGHLIGHT_FONT_COLOR_CODE .. " in the options.";
	TBG.Text.Message.TIP_GOSSIP_SKIP_BYPASS   = "You can prevent gossip options from being automatically skipped by holding down the key set under " .. NORMAL_FONT_COLOR_CODE .. TBG.Text.Menu.ITEM_QUESTSGOSSIP .. HIGHLIGHT_FONT_COLOR_CODE .. " in the options, before speaking to the npc.";
	TBG.Text.Message.TIP_GOSSIP_SETTINGS      = "You can change what gossip options are skipped under " .. NORMAL_FONT_COLOR_CODE .. TBG.Text.Menu.ITEM_QUESTSGOSSIP .. HIGHLIGHT_FONT_COLOR_CODE .. " in the options.";
	TBG.Text.Message.TIP_QUEUE_AUTO           = "You can change which battlegrounds you are automatically queued for under " .. NORMAL_FONT_COLOR_CODE .. TBG.Text.Menu.ITEM_ACTIONS .. HIGHLIGHT_FONT_COLOR_CODE .. " in the options.";
	TBG.Text.Message.TIP_QUEST_AUTO_ADD       = "You can add quests to auto completion by holding down the " .. NORMAL_FONT_COLOR_CODE .. "CTRL" .. HIGHLIGHT_FONT_COLOR_CODE .. " key and clicking the quest name in the npc gossip frame.";
	TBG.Text.Message.TIP_QUEST_AUTO_REMOVE    = "You can remove quests from auto completion by holding down the " .. NORMAL_FONT_COLOR_CODE .. "ALT" .. HIGHLIGHT_FONT_COLOR_CODE .. " key and clicking the quest name in the npc gossip frame.";
	TBG.Text.Message.TIP_QUEST_AUTO_ORDER     = "The order in which you add quests to auto completion is the order in which they will be handed in.";
	TBG.Text.Message.TIP_QUEST_AUTO_SKIP      = "You can prevent quests from being automatically completed by holding down the key set under " .. NORMAL_FONT_COLOR_CODE .. TBG.Text.Menu.ITEM_QUESTSGOSSIP .. HIGHLIGHT_FONT_COLOR_CODE .. " in the options, before speaking to the npc.";
	TBG.Text.Message.TIP_BG_MESSAGES_REDIRECT = "You can select what battleground system messages are redirected to the warning frame under " .. NORMAL_FONT_COLOR_CODE .. TBG.Text.Menu.ITEM_DISPLAYANDSOUNDS .. HIGHLIGHT_FONT_COLOR_CODE .. " in the options.";
	TBG.Text.Message.TIP_RAID_ASSISTS         = "While in a raid, you can add a player to " .. NORMAL_FONT_COLOR_CODE .. "assist" .. HIGHLIGHT_FONT_COLOR_CODE .. " by holding down the " .. NORMAL_FONT_COLOR_CODE .. "CTRL" .. HIGHLIGHT_FONT_COLOR_CODE .. " key and clicking their name in the raid list. Similarly, you can remove them from assist using the " .. NORMAL_FONT_COLOR_CODE .. "ALT" .. HIGHLIGHT_FONT_COLOR_CODE .. " key.";

	-- Slash commands.
	TBG.Text.Message.SLASH_HEADER = "{addon} {version} Slash Kommandos Information.\nSchalter denen ein * vorangestellt ist sind optional. Der Schalter 'n' steht als Platzhalter f\195\188r eine beliebige Zahl.";

	TBG.Text.Message.SLASH_DETAILS_PRINT_FLAG    = "Schreibt in den Chat wer die Kriegshymnenschluchtflagge f\195\188r die ausgew\195\164hlte Fraktion tr\195\164gt.";
	TBG.Text.Message.SLASH_DETAILS_PRINT_CAP     = "Schreibt in den Chat alle Eroberungstimer, die oberen 'n' Timer oder den 'n'ten Timer.";
	TBG.Text.Message.SLASH_DETAILS_PRINT_CAP_TOP = "Schreibt in den Chat die oberen 'n' Timer.";
	TBG.Text.Message.SLASH_DETAILS_PRINT_MOVE    = "Schreibt in den Chat die Bewegungstimer von Ivus dem Waldf\195\188rst und Lokholar der Eisf\195\188rst.";
	TBG.Text.Message.SLASH_DETAILS_RESET         = "Resettet die Position der beweglichen Rahmen, der Schlachtfeldereignisse sowie aller gespeicherten Variablen.";

	-- Dialogs.
	TBG.Text.Message.DIALOG_CONSOLE_RELOADUI             = "|cff0097d0Titan Battleground\n\n" .. HIGHLIGHT_FONT_COLOR_CODE .. "To correctly disable the addon, you must reload your user interface.";
	TBG.Text.Message.DIALOG_CONSOLE_RELOADUI_RELOAD      = "Reload";
	TBG.Text.Message.DIALOG_INTRODUCTION                 = "|cff0097d0Titan Battleground\n\n" .. HIGHLIGHT_FONT_COLOR_CODE .. "Welcome! Type " .. NORMAL_FONT_COLOR_CODE .. "/tbg" .. HIGHLIGHT_FONT_COLOR_CODE .. " to view the menu, or " .. NORMAL_FONT_COLOR_CODE .. "/tbg help" .. HIGHLIGHT_FONT_COLOR_CODE .. " to see available slash commands. Please report any errors.";
	TBG.Text.Message.DIALOG_RELOAD_HISTORY               = "|cff0097d0Titan Battleground\n\n" .. HIGHLIGHT_FONT_COLOR_CODE .. "Your battleground history was reset as a result of recent changes to the addon.";
	TBG.Text.Message.DIALOG_PROFILE_NAME_INCORRECT       = "|cff0097d0Titan Battleground\n\n" .. RED_FONT_COLOR_CODE .. "Sorry!" .. HIGHLIGHT_FONT_COLOR_CODE .." A profile name must be " .. NORMAL_FONT_COLOR_CODE .. "5" .. HIGHLIGHT_FONT_COLOR_CODE .. " to " .. NORMAL_FONT_COLOR_CODE .. "25" .. HIGHLIGHT_FONT_COLOR_CODE .. " characters long. It can only contain " .. NORMAL_FONT_COLOR_CODE .. "letters" .. HIGHLIGHT_FONT_COLOR_CODE .. ", an " .. NORMAL_FONT_COLOR_CODE .. "underscore" .. HIGHLIGHT_FONT_COLOR_CODE .. " or a " .. NORMAL_FONT_COLOR_CODE .. "dash" .. HIGHLIGHT_FONT_COLOR_CODE .. ".";
	TBG.Text.Message.DIALOG_PROFILE_NAME_EXISTS          = "|cff0097d0Titan Battleground\n\n" .. RED_FONT_COLOR_CODE .. "Sorry!" .. HIGHLIGHT_FONT_COLOR_CODE .." That profile name already " .. NORMAL_FONT_COLOR_CODE .. "exists" .. HIGHLIGHT_FONT_COLOR_CODE .. "!";
	TBG.Text.Message.DIALOG_PROFILE_NAME_CREATED         = "|cff0097d0Titan Battleground\n\n" .. HIGHLIGHT_FONT_COLOR_CODE .. "The profile was successfully " .. NORMAL_FONT_COLOR_CODE .. "created" .. HIGHLIGHT_FONT_COLOR_CODE .. "! This character is now using the profile.";
	TBG.Text.Message.DIALOG_PROFILE_NAME_DELETED         = "|cff0097d0Titan Battleground\n\n" .. HIGHLIGHT_FONT_COLOR_CODE .. "The profile was successfully " .. NORMAL_FONT_COLOR_CODE .. "deleted" .. HIGHLIGHT_FONT_COLOR_CODE .. "! Any characters using this profile are now using the default.";
	TBG.Text.Message.DIALOG_AUTO_TURNIN_COMPLETE         = "|cff0097d0Titan Battleground\n" .. HIGHLIGHT_FONT_COLOR_CODE .. "You do not meet the requirements for the automatic completion of the quests on this npc.";

	-- ################
	-- ## REFERENCES ##
	-- ################

	-- This section has special requirements, as the translations reference Blizzard terminology.
	-- Please pay marked attention to the comments.

	-- Messages associated with various occurances within battlegrounds.
	TBG.Text.Ref.PLAYER_DEATH = "has died."; 				-- Message printed when a player in your party dies nearby.
	TBG.Text.Ref.RAID_JOIN    = "has joined the raid"; 		-- Message printed when a player joins the raid group.
	TBG.Text.Ref.RAID_LEAVE   = "has left the raid"; 		-- Message printed when a player leaves the raid group.
	TBG.Text.Ref.BG_JOIN      = "has joined the battle"; 	-- Message printed when a player joins the battleground.
	TBG.Text.Ref.BG_LEAVE     = "has left the battle"; 		-- Message printed when a player leaves the battleground.

	-- Translate the section within the [""] only.
	-- Class names must be exactly as returned by UnitClass().
	TBG.Text.Ref.CLASS_NAME = {
		["DRUID"]   = "Druide",
		["HUNTER"]  = "J\195\164ger",
		["MAGE"]    = "Magier",
		["PALADIN"] = "Paladin",
		["PRIEST"]  = "Priester",
		["ROGUE"]   = "Schurke",
		["SHAMAN"]  = "Schamane",
		["WARLOCK"] = "Hexenmeister",
		["WARRIOR"] = "Krieger",
	};

	-- These must be exactly as printed by the system while in Warsong Gulch.
	TBG.Text.Ref.WSG_FLAG_PICKED_UP = "(.+) hat die [fF]lagge der (.+) aufgenommen!";
	TBG.Text.Ref.WSG_FLAG_DROPPED   = "(.+) hat die [fF]lagge der (.+) fallen lassen!";
	TBG.Text.Ref.WSG_FLAG_CAPTURED  = "(.+) hat die [fF]lagge der (.+) errungen!";

	-- These must be exactly as printed by the system while in Eye of the Storm.
	TBG.Text.Ref.EOTS_FLAG_PICKED_UP = "(.+) hat die Flagge erobert.";
	TBG.Text.Ref.EOTS_FLAG_DROPPED = "Die Flagge wurde fallengelassen.";
	TBG.Text.Ref.EOTS_FLAG_CAPTURED = "Die (.+) hat die Flagge erobert!";

	-- Must be exactly as printed in Alterac Valley.
	-- These are used for pattern matching and can be fragments of the entire sentance.
	TBG.Text.Ref.AV_IVUS_START = "Wicked, wicked, mortals!";  -- Fragment of the yell performed by the NPC when Ivus the Forest Lord has been summoned.
	TBG.Text.Ref.AV_LOK_START  = "The Ice Lord has arrived!"; -- Fragment of the yell performed by the NPC when Lokholar the Ice Lord has been summoned.

	-- ## Alterac Valley Message References
	-- ## When modifying these, please make certain everything is spelled, punctuated and capitalised as it appears in the game.
	-- ## Please be certain all numbers are consecutive and no numbers are skipped.

		-- NPC names as they appear in chat. For example, "Drek'Thar yells:".
		TBG.Text.Ref.AV_HERALD           = "Herald";                      -- Yells about what points are captured and destroyed.
		TBG.Text.Ref.AV_GENERAL_ALLIANCE = "Vanndar Stormpike";           -- Alliance General.
		TBG.Text.Ref.AV_GENERAL_HORDE    = "Drek'Thar";                   -- Horde General.
		TBG.Text.Ref.AV_CAPTAIN_ALLIANCE = "Captain Balinda Stonehearth"; -- Alliance Captain.
		TBG.Text.Ref.AV_CAPTAIN_HORDE    = "Captain Galvangar";           -- Horde Captain.

		-- Associated with ENGAGE and RESET actions for the Generals. Does not have to be the entire yell.
		-- Except for the buff yell which is also listed here, all unknown yells from these NPCs are considered
		--     as ENGAGE yells.
		-- Buff yells are suppressed as you get an additional message in your chat window.
		TBG.Text.Ref.AV_YELL_BOSS = {
			[TBG.Text.Ref.AV_GENERAL_HORDE] = {
				faction = FACTION_HORDE,
				buff    = "Leave no survivors!", -- Yell when the Horde is buffed by the General.

				[1] = { msg = "Stormpike filth!",    action = "ENGAGE" }, -- Yell when the General is engaged in combat.
				[2] = { msg = "Stormpike weaklings", action = "RESET" },  -- Yell when the General resets.
				[3] = { msg = "PREPOSTEROUS!",       action = "RESET" },  -- When pulled outside of the keep.
			},

			[TBG.Text.Ref.AV_GENERAL_ALLIANCE] = {
				faction = FACTION_ALLIANCE,
				buff    = "Take no prisoners", -- Yell when the Alliance is buffed by the General.

				[1] = { msg = "I require aid!",    action = "ENGAGE" }, -- Yell when the General is engaged in combat.
				[2] = { msg = "without yer cheap", action = "RESET" },  -- Yell when the General resets.
				[3] = { msg = "bunker, heathens!", action = "RESET" },  -- When pulled outside of the keep.
			},
		};

		-- Associated with ENGAGE and RESET actions for the Captains.
		-- Any other yells performed by these NPCs can be removed using TBG.Text.Ref.AV_YELL_HIDE.
		TBG.Text.Ref.AV_YELL_CAPTAIN = {
			[TBG.Text.Ref.AV_CAPTAIN_HORDE] = {
				faction = FACTION_HORDE,
				buff    = {
					msg = "Now is the time to attack!",            	   -- Yell when the Horde is buffed by the Captain.
					txt = "The Horde gain the Fury of the Frostwolf."; -- What the yell is converted to.
				},

				[1] = { msg = "Your kind has no place",	action = "ENGAGE" }, -- Yell when the Captain is engaged in combat.
				[2] = { msg = "never fall for that",    action = "RESET" },  -- Yell when the Captain is pulled outside of the keep.
			},

			[TBG.Text.Ref.AV_CAPTAIN_ALLIANCE] = {
				faction = FACTION_ALLIANCE,
				buff    = {
					msg = "Throw these villains",                     -- Yell when the Alliance is buffed by the Captain.
					txt = "The Alliance gain Stormpike's Salvation."; -- What the yell is converted to.
				},

				[1] = { msg = "Begone, uncouth scum!",    	action = "ENGAGE" }, -- Yell when the Captain is engaged in combat.
				[2] = { msg = "Filthy Frostwolf cowards!",	action = "RESET" },  -- Yell when the Captain is pulled outside of the keep.
			},
		};

		-- If an NPC within Alterac Valley performs a yell which contains any of the following text, it will be suppresed if desired.
		TBG.Text.Ref.AV_YELL_HIDE = {
			[1] = "For the Horde!";      -- When a Warmaster spawns.
			[2] = "Reporting for duty!"; -- When a Marshal spawns.
			[3] = "entering the battle"; -- Armor upgrade yell.
		};

		-- If any of these NPCs in Alterac Valley perform a yell it will be supressed if desired.
		TBG.Text.Ref.AV_NPC_HIDE = {

			-- Alliance
			[1] = "Slidore",
			[2] = "Vipore",
			[3] = "Ichman",
			[4] = "Randolph",
			[5] = "Karl Philips",
			[6] = "Duffy",
			[7] = "Mortimer",
			[8] = "Greywand",
			[9] = "Largent",
			[10] = "Lonadin",
			[11] = "Mancuso",
			[12] = "Spencer",
			[13] = "Stouthandle",

			-- Horde
			[14] = "Guse",
			[15] = "Jeztor",
			[16] = "Mulverick",
			[17] = "Dardosh",
			[18] = "Louis Philips",
			[19] = "Malgor",
			[20] = "Mulfort",
			[21] = "Grummus",
			[22] = "Lewis",
			[23] = "Murp",
			[24] = "Rugba",
			[25] = "Stronghoof",
			[26] = "Vol'talar",

			-- Other
			[27] = "Taskmaster Snivvle",
			[28] = "Morloch",
		};

	-- !! WARNING !!
	-- These must apear exactly as sent by the system.
	-- This can be tested by making certain the lines between !! DEBUG START and !! DEBUG END
	-- are not commented (do not have a preceeding --) and typing '/console reloadui' into the chat window.

	-- 'BG = ' will display the name of the battleground. If the slot isn't taken up by a battleground,
	-- then it will display the zone you are currently in.

	-- Please make certain the text appears EXACTLY as printed. Do not insert capitals where they are not necessary,
	-- nor not include capitals when they are listed.

		-- Battleground Names
		TBG.Text.Ref.BG_AV         = "Alteractal";
		TBG.Text.Ref.BG_WSG        = "Kriegshymnenschlucht";
		TBG.Text.Ref.BG_AB         = "Arathibecken";
		TBG.Text.Ref.BG_EOTS       = "Auge des Sturms";
		TBG.Text.Ref.ARENA_ALL     = "Alle Arenen";
		TBG.Text.Ref.ARENA_NAGRAND = "Die Arena von Nagrand";
		TBG.Text.Ref.ARENA_BLADE   = "Die Arena des Schergrats";

	-- !! END WARNING !!

	-- Short names for the battlegrounds.
	TBG.Text.Ref.BGS_SHORT = {
		[TBG.Text.Ref.BG_AV]         = "AT";
		[TBG.Text.Ref.BG_WSG]        = "KHS";
		[TBG.Text.Ref.BG_AB]         = "AB";
		[TBG.Text.Ref.BG_EOTS]       = "EOTS";
		[TBG.Text.Ref.ARENA_ALL]     = "Arena";
		[TBG.Text.Ref.ARENA_NAGRAND] = "NA";
		[TBG.Text.Ref.ARENA_BLADE]   = "BEA";
	};
end