TBG_Files_Menu_IsLoaded = true; -- Indicates this file has been loaded into memory.

-- #############################
-- ## INITALISATION FUNCTIONS ##
-- #############################


	-- ## Load the menu and texts.
	function TBG_Menu_OnLoad()
		TBGX_Menu_Drag_Header:SetText(TBG.Text.Menu.HEADER);
		TBGX_Menu_Options_Notice:SetText(TBG.Text.Menu.NOTICE);

		TBGX_Menu_Drag:SetWidth(TBGX_Menu_Drag_Header:GetWidth());
		TBGX_Menu_Drag:SetHeight(TBGX_Menu_Drag_Header:GetHeight());

		-- Load the menu list.
		TBG_Menu_CreateList();

		-- Load the menu options.
		local f    = "";
		local n    = "";
		local func = nil;

		f = "TBGX_Menu_Start";
		getglobal(f .. "_Header"):SetText(string.gsub(TBG.Text.Menu.WELCOME, "{addon}", TBG.Var.Const.COLOR_BLUE .. TBG.Text.Menu.HEADER .. TBG.Var.Const.COLOR_YELLOW, 1));
		getglobal(f .. "_Text"):SetText(TBG.Text.Menu.INTRODUCTION);

		f = "TBGX_Menu_1";
		getglobal(f .. "_Header"):SetText(TBG.Text.Menu.ITEM_GENERAL);
		getglobal(f .. "_Text_1"):SetText(TBG.Text.Menu.ITEM_PROFILE);

		f = "TBGX_Menu_2";
		getglobal(f .. "_Header"):SetText(TBG.Text.Menu.ITEM_ACTIONS);
		getglobal(f .. "_Text_1"):SetText(TBG.Text.Menu.ITEM_AUTOQUEUE);
		getglobal(f .. "_Text_2"):SetText(TBG.Text.Menu.ITEM_AUTOJOIN);

		f = "TBGX_Menu_17";
		getglobal(f .. "_Header"):SetText(TBG.Text.Menu.ITEM_ACTIONS);
		getglobal(f .. "_Text_1"):SetText(TBG.Text.Menu.ITEM_AUTOLEAVE);
		getglobal(f .. "_Text_2"):SetText(TBG.Text.Menu.ITEM_AUTORELEASE);

		f = "TBGX_Menu_3";
		getglobal(f .. "_Header"):SetText(TBG.Text.Menu.ITEM_DISPLAYANDSOUNDS);
		getglobal(f .. "_Text_1"):SetText(TBG.Text.Menu.ITEM_DISPLAY);

		f = "TBGX_Menu_19";
		getglobal(f .. "_Header"):SetText(TBG.Text.Menu.ITEM_DISPLAYANDSOUNDS);
		getglobal(f .. "_Text_1"):SetText(TBG.Text.Menu.ITEM_DISPLAY);

		f = "TBGX_Menu_20";
		getglobal(f .. "_Header"):SetText(TBG.Text.Menu.ITEM_DISPLAYANDSOUNDS);
		getglobal(f .. "_Text_1"):SetText(TBG.Text.Menu.ITEM_SOUNDS);

		f = "TBGX_Menu_4";
		getglobal(f .. "_Header"):SetText(TBG.Text.Menu.ITEM_BLIZZARD);
		getglobal(f .. "_Text_1"):SetText(TBG.Text.Menu.ITEM_SCOREFRAME);
		getglobal(f .. "_Text_2"):SetText(TBG.Text.Menu.ITEM_LEADERBOARD);

		f = "TBGX_Menu_5";
		getglobal(f .. "_Header"):SetText(TBG.Text.Menu.ITEM_BUTTON);
		getglobal(f .. "_Text_1"):SetText(TBG.Text.Menu.ITEM_ITEMSTODISPLAY);
			getglobal(f .. "_Text_1_1"):SetText(TBG.Text.Menu.ITEM_GENERAL);
			getglobal(f .. "_Text_1_2"):SetText(TBG.Text.Menu.ITEM_WORLD);

		f = "TBGX_Menu_6";
		getglobal(f .. "_Header"):SetText(TBG.Text.Menu.ITEM_BUTTON);
		getglobal(f .. "_Text_1"):SetText(TBG.Text.Menu.ITEM_ITEMSTODISPLAY);
			getglobal(f .. "_Text_1_1"):SetText(TBG.Text.Menu.ITEM_BATTLEGROUND);

		f = "TBGX_Menu_14";
		getglobal(f .. "_Header"):SetText(TBG.Text.Menu.ITEM_BUTTON);
		getglobal(f .. "_Text_1"):SetText(TBG.Text.Menu.ITEM_ITEMSTODISPLAY);
			getglobal(f .. "_Text_1_1"):SetText(TBG.Text.Menu.ITEM_BATTLEGROUND);

		f = "TBGX_Menu_7";
		getglobal(f .. "_Header"):SetText(TBG.Text.Menu.ITEM_BUTTON);
		getglobal(f .. "_Text_1"):SetText(TBG.Text.Menu.ITEM_APEARANCEANDPOSITION);

		f = "TBGX_Menu_8";
		getglobal(f .. "_Header"):SetText(TBG.Text.Menu.ITEM_TOOLTIP);
		getglobal(f .. "_Text_1"):SetText(TBG.Text.Menu.ITEM_ITEMSTODISPLAY);
			getglobal(f .. "_Text_1_1"):SetText(TBG.Text.Menu.ITEM_GENERAL);
			getglobal(f .. "_Text_1_2"):SetText(TBG.Text.Menu.ITEM_WORLD);

		f = "TBGX_Menu_9";
		getglobal(f .. "_Header"):SetText(TBG.Text.Menu.ITEM_TOOLTIP);
		getglobal(f .. "_Text_1"):SetText(TBG.Text.Menu.ITEM_ITEMSTODISPLAY);
			getglobal(f .. "_Text_1_1"):SetText(TBG.Text.Menu.ITEM_BATTLEGROUND);

		f = "TBGX_Menu_10";
		getglobal(f .. "_Header"):SetText(TBG.Text.Menu.ITEM_TOOLTIP);
		getglobal(f .. "_Text_1"):SetText(TBG.Text.Menu.ITEM_ITEMSTODISPLAY);
			getglobal(f .. "_Text_1_1"):SetText(TBG.Text.Menu.ITEM_BATTLEGROUND);

		f = "TBGX_Menu_11";
		getglobal(f .. "_Header"):SetText(TBG.Text.Menu.ITEM_TOOLTIP);
		getglobal(f .. "_Text_1"):SetText(TBG.Text.Menu.ITEM_APEARANCEANDPOSITION);
			getglobal(f .. "_Text_1_1"):SetText(TBG.Text.Menu.ITEM_VISIBILITY);
			getglobal(f .. "_Text_1_2"):SetText(TBG.Text.Menu.ITEM_COLORS);

		f = "TBGX_Menu_12";
		getglobal(f .. "_Header"):SetText(TBG.Text.Menu.ITEM_TOOLTIP);
		getglobal(f .. "_Text_1"):SetText(TBG.Text.Menu.ITEM_APEARANCEANDPOSITION);
			getglobal(f .. "_Text_1_1"):SetText(TBG.Text.Menu.ITEM_SIZE);
			getglobal(f .. "_Text_1_2"):SetText(TBG.Text.Menu.ITEM_POSITION);

		f = "TBGX_Menu_18";
		getglobal(f .. "_Header"):SetText(TBG.Text.Menu.ITEM_TOOLTIP);
		getglobal(f .. "_Text_1"):SetText(TBG.Text.Menu.ITEM_APEARANCEANDPOSITION);
			getglobal(f .. "_Text_1_1"):SetText(TBG.Text.Menu.ITEM_SCROLLING);

		f = "TBGX_Menu_13";
		getglobal(f .. "_Header"):SetText(TBG.Text.Menu.ITEM_PANELS);
		getglobal(f .. "_Text_1"):SetText(TBG.Text.Menu.ITEM_CAPTURETIMERS);
		getglobal(f .. "_Text_2"):SetText(TBG.Text.Menu.ITEM_MOVEMENTTIMERS);
		getglobal(f .. "_Text_3"):SetText(TBG.Text.Menu.ITEM_PLAYERLIST);

		f = "TBGX_Menu_15";
		getglobal(f .. "_Header"):SetText(TBG.Text.Menu.ITEM_PANELS);
		getglobal(f .. "_Text_1"):SetText(TBG.Text.Menu.ITEM_FLAGTRACKER);

		f = "TBGX_Menu_16";
		getglobal(f .. "_Header"):SetText(TBG.Text.Menu.ITEM_ACTIONS);
		getglobal(f .. "_Text_1"):SetText(TBG.Text.Menu.ITEM_QUESTSGOSSIP);
			getglobal(f .. "_Text_1_1"):SetText(TBG.Text.Menu.ITEM_QUESTCOMPLETION);
			getglobal(f .. "_Text_1_2"):SetText(TBG.Text.Menu.ITEM_SKIPPINGGOSSIP);

		TBGX_Menu_Drag:ClearAllPoints();
		TBGX_Menu_Drag:SetPoint("TOPLEFT", UIParent, "TOPLEFT", 200, -200);
	end


	-- ## Create menu options.
	function TBG_Menu_CreateList()
		local y = -8;

		for i = 1, table.getn(TBG.Var.Const.MENU_LIST) do
			local frame   = CreateFrame("Button", "TBGX_Menu_List_" .. i, TBGX_Menu_List, "TBGX_Template_Button_MenuList");
			      frame.i = i;
			      frame.f = TBG.Var.Const.MENU_LIST[i].frame;

			if (TBG.Var.Const.MENU_LIST[i].visible == nil or TBG.Var.Const.MENU_LIST[i].visible == true) then
				frame:SetID(i);
				frame:ClearAllPoints();

				local x = 10;
				if (i > 1) then y = y - 20; end

				if (TBG.Var.Const.MENU_LIST[i].level and TBG.Var.Const.MENU_LIST[i].level > 1) then
					x = x + ((TBG.Var.Const.MENU_LIST[i].level - 1) * 30);
				end

				if (TBG.Var.Const.MENU_LIST[i].pre and TBG.Var.Const.MENU_LIST[i].pre > 0) then
					y = y - (TBG.Var.Const.MENU_LIST[i].pre * 20);
				end

				frame:SetPoint("TOPLEFT", frame:GetParent(), "TOPLEFT", x, y);


				if (TBG.Var.Const.MENU_LIST[i].disabled ~= nil and TBG.Var.Const.MENU_LIST[i].disabled) then
					frame:Disable();
				end

				TBG_Menu_SetButtonText(frame, TBG.Var.Const.MENU_LIST[i].text);
				frame:Show();
			end
		end
	end


	-- ## Sets the text of a button, adjusting the width and height accordingly.
	function TBG_Menu_SetButtonText(button, text)
		button:SetText(text);

		button:SetWidth(getglobal(button:GetName() .. "Text"):GetWidth());
		button:SetHeight(getglobal(button:GetName() .. "Text"):GetHeight());
	end


	-- ## Selects which menu tab the user is viewing.
	function TBG_Menu_SetTab(t)
		local i       = 1;
		local visible = nil;

		-- Show start page when applicable.
		if (t < 1) then
			TBGX_Menu_Start:Show();
		else
			TBGX_Menu_Start:Hide();
		end

		-- Highlight a link.
		function SetHighlight(frame) frame:SetTextColor(0.999, 0.819, 0); end

		while (true) do
			if (getglobal("TBGX_Menu_List_" .. i)) then
				local frame = getglobal("TBGX_Menu_List_" .. i);
				local list  = TBG.Var.Const.MENU_LIST[t];

				-- If has a parent, set highlight on the parent.
				if (list and i == list.parent) then
					SetHighlight(frame);
				end

				-- Selected.
				if (i == t) then
					if (list.parent == nil) then
						SetHighlight(frame);
					end

					if (frame.f) then
						if (getglobal("TBGX_Menu_" .. frame.f)) then
							getglobal("TBGX_Menu_" .. frame.f):Show();

							visible = frame.f;
						end
					end

				-- Not selected.
				else
					if (list and i == list.parent) then
					else
						frame:SetTextColor(0.405, 0.637, 0.907);
					end

					if (frame.f) then
						if (getglobal("TBGX_Menu_" .. frame.f) and frame.f ~= visible) then
							getglobal("TBGX_Menu_" .. frame.f):Hide();
						end
					end
				end

				i = i + 1;
			else
				break;
			end
		end
	end


	-- ## Load options for a specific page.
	function TBG_Menu_Options()
		local id = "";

		for i in string.gmatch(this:GetName(), "_%d+") do
			id = string.gsub(i, "_", "", 1);
			break;
		end

		if (id) then
			f = "TBGX_Menu_" .. id;
		end

		if (id == "1") then
			n = f .. "_" .. 1; 					TBG_Menu_CheckButton_Settings(n, "MG_ShowStartMessage", TBG.Text.Menu.General.SHOW_START_MESSAGE);
			n = f .. "_ShowTips"; 				TBG_Menu_CheckButton_Settings(n, "MG_ShowTips", TBG.Text.Menu.General.SHOW_TIPS);
			n = f .. "_AllowGarbageCollection"; TBG_Menu_CheckButton_Settings(n, "MG_AllowGarbageCollection", TBG.Text.Menu.General.ALLOW_GARBAGE_COLLECTION);

			n = f .. "_Profile";		TBG_Menu_DropDown_Settings(n, "", TBG.Text.Menu.General.PROFILE_SELECT); UIDropDownMenu_Initialize(getglobal(n), TBG_Menu_DropDownInit_Profile);
			n = f .. "_ProfileCreate";	TBG_Menu_EditBox_Settings(n, "", TBG.Text.Menu.General.PROFILE_CREATE, TBG.Text.Menu.General.PROFILE_CREATE_BUTTON, 360, TBG_Menu_Toggle_ProfileCreate);
			n = f .. "_ProfileModify";	TBG_Menu_DropDown_Settings(n, "", TBG.Text.Menu.General.PROFILE_MODIFY); UIDropDownMenu_Initialize(getglobal(n), TBG_Menu_DropDownInit_ProfileModify);  getglobal(n).delete = nil;
			n = f .. "_ProfileDelete";	TBG_Menu_Button_Settings(n, "", TBG.Text.Menu.General.PROFILE_MODIFY_DELETE, TBG_Menu_Toggle_ProfileDelete);

		elseif (id == "2") then
			n = f .. "_AutoQueue"; 			TBG_Menu_CheckButton_Settings(n, "MGB_AutoQueue", TBG.Text.Menu.General.AUTOQUEUE, TBG_Menu_Toggle_AutoQueue);
			n = f .. "_AutoQueue_Which";	TBG_Menu_DropDown_Settings(n, "MGB_AutoQueue_Which", TBG.Text.Menu.General.AUTOQUEUE_WHICH); UIDropDownMenu_Initialize(getglobal(n), TBG_Menu_DropDownInit_AutoQueue_Which);
			n = f .. "_AutoDisableKey";		TBG_Menu_DropDown_Settings(n, "MGB_AutoDisableKey", TBG.Text.Menu.General.AUTO_DISABLE_KEY); UIDropDownMenu_Initialize(getglobal(n), TBG_Menu_DropDownInit_AutoDisableKey);
			TBG_Menu_Linked_AutoQueue();

			n = f .. "_AutoJoin"; 				TBG_Menu_CheckButton_Settings(n, "MGB_AutoJoin", TBG.Text.Menu.General.AUTOJOIN, TBG_Menu_Toggle_AutoJoin);
			n = f .. "_AutoJoinTime"; 			TBG_Menu_Slider_Settings(n, "MGB_AutoJoinTime", TBG.Var.BG.autojoin_min, TBG.Var.BG.autojoin_max, nil, nil, TBG.Text.Menu.General.AUTOJOIN_SECONDS, TBG_Menu_Toggle_AutoJoin_Time);
			n = f .. "_AutoJoin_NotIfAFK"; 	    TBG_Menu_CheckButton_Settings(n, "MGB_AutoJoin_NotIfAFK", TBG.Text.Menu.General.AUTOJOIN_NOT_IF_AFK);
			n = f .. "_AutoJoin_NotInArena"; 	TBG_Menu_CheckButton_Settings(n, "MGB_AutoJoin_NotInArena", TBG.Text.Menu.General.AUTOJOIN_NOT_IN_ARENA);
			n = f .. "_AutoJoin_Always"; 		TBG_Menu_CheckButton_Settings(n, "MGB_AutoJoin_Always", TBG.Text.Menu.General.AUTOJOIN_ALWAYS, TBG_Menu_Toggle_AutoJoin);
			n = f .. "_AutoJoin_Priority";		TBG_Menu_CheckButton_Settings(n, "MGB_AutoJoin_Priority", TBG.Text.Menu.General.AUTOJOIN_PRIORITY, TBG_Menu_Toggle_AutoJoin);
			n = f .. "_AutoJoin_PriorityList";	TBG_Menu_DropDown_Settings(n, "MGB_AutoJoin_PriorityList", TBG.Text.Menu.General.AUTOJOIN_PRIORITY_LIST, TBG_Menu_Toggle_AutoJoin_PriorityList);
			TBG_Menu_SortedList_Create(n .. "_List", n, "MGB_AutoJoin_PriorityList");
			TBG_Menu_Linked_AutoJoin();

		elseif (id == "3") then
			n = f .. "_HideMinimapButton"; 		TBG_Menu_CheckButton_Settings(n, "MGI_HideMinimapButton", TBG.Text.Menu.General.HIDE_MINIMAP_BUTTON, TBG_Menu_Toggle_HideMinimapButton);
			n = f .. "_HideJoinPopup";			TBG_Menu_CheckButton_Settings(n, "MGI_HideJoinPopup", TBG.Text.Menu.General.HIDE_JOIN_POPUP, TBG_Menu_Toggle_HideJoinPopup);
			n = f .. "_ModifyPopupQueueExpire";	TBG_Menu_CheckButton_Settings(n, "MDW_Other_ModifyPopupQueueExpire", TBG.Text.Menu.Display.OTHER_POPUP_EXPIRE);
			TBG_Menu_Linked_BattlegroundReadyPopup();

			n = f .. "_AutoShowMinimap"; 			TBG_Menu_CheckButton_Settings(n, "MGI_AutoShowMinimap", TBG.Text.Menu.General.AUTO_SHOW_BATTLEMAP, TBG_Menu_Toggle_AutoShowMinimap);
			n = f .. "_RedirectMessageAlliance";	TBG_Menu_CheckButton_Settings(n, "MGI_RedirectMessageAlliance", TBG.Text.Menu.General.REDIRECT_MESSAGE_ALLIANCE);
			n = f .. "_RedirectMessageHorde";		TBG_Menu_CheckButton_Settings(n, "MGI_RedirectMessageHorde", TBG.Text.Menu.General.REDIRECT_MESSAGE_HORDE);
			n = f .. "_RedirectMessageNeutral";		TBG_Menu_CheckButton_Settings(n, "MGI_RedirectMessageNeutral", TBG.Text.Menu.General.REDIRECT_MESSAGE_NEUTRAL);

		elseif (id == "19") then
			n = f .. "_BG_DoNotShowLoot";					TBG_Menu_CheckButton_Settings(n, "MGI_BG_DoNotShowLoot", TBG.Text.Menu.General.DO_NOT_SHOW_LOOT, TBG_Menu_Toggle_DoNotShow);
			n = f .. "_BG_DoNotShowDeaths";					TBG_Menu_CheckButton_Settings(n, "MGI_BG_DoNotShowDeaths", TBG.Text.Menu.General.DO_NOT_SHOW_DEATHS, TBG_Menu_Toggle_DoNotShow);
			n = f .. "_BG_DoNotShowRaidChanges";			TBG_Menu_CheckButton_Settings(n, "MGI_BG_DoNotShowRaidChanges", TBG.Text.Menu.General.DO_NOT_SHOW_RAID_CHANGE, TBG_Menu_Toggle_DoNotShow);
			n = f .. "_BG_DoNotShowBattlegroundChanges";	TBG_Menu_CheckButton_Settings(n, "MGI_BG_DoNotShowBattlegroundChanges", TBG.Text.Menu.General.DO_NOT_SHOW_BG_CHANGE, TBG_Menu_Toggle_DoNotShow);
			n = f .. "_BG_DoNotShow_AVOnly";				TBG_Menu_CheckButton_Settings(n, "MGI_BG_DoNotShow_AVOnly", TBG.Text.Menu.General.DO_NOT_SHOW_AV_ONLY);
			TBG_Menu_Linked_DoNotShow();

			n = f .. "_AV_YellConvertHerald";		TBG_Menu_CheckButton_Settings(n, "MGI_AV_YellConvertHerald", TBG.Text.Menu.General.AV_YELL_CONVERT_HERALD);
			n = f .. "_AV_YellConvertImportant";	TBG_Menu_CheckButton_Settings(n, "MGI_AV_YellConvertImportant", TBG.Text.Menu.General.AV_YELL_CONVERT_IMPORTANT);
			n = f .. "_AV_YellPreventOther";		TBG_Menu_CheckButton_Settings(n, "MGI_AV_YellPreventOther", TBG.Text.Menu.General.AV_YELL_PREVENT_OTHER);

			n = f .. "_DisablePercentInAV";			TBG_Menu_CheckButton_Settings(n, "MD_DisablePercentInAV", TBG.Text.Menu.Display.TOPSERVER_AV_DISABLE, TBG_Menu_Toggle_ServerPercentageDisableInAV);
			n = f .. "_AllowInaccurateTimers";		TBG_Menu_CheckButton_Settings(n, "MD_AllowInaccurateTimers", TBG.Text.Menu.Display.ALLOW_INACCURATE_TIMERS);

		elseif (id == "20") then
			n = f .. "_PlaySoundWhenQueue";			TBG_Menu_CheckButton_Settings(n, "MGI_PlaySoundWhenQueue", TBG.Text.Menu.General.SOUND_QUEUE, TBG_Menu_Toggle_PlaySoundWhileInQueue);
			n = f .. "_RepeatQueuedSound";			TBG_Menu_CheckButton_Settings(n, "MGI_RepeatQueuedSound", TBG.Text.Menu.General.SOUND_QUEUE_REPEAT);
			TBG_Menu_Linked_InQueueSound();

			n = f .. "_PlayWhatSoundOnConfirm";		TBG_Menu_DropDown_Settings(n, "MGI_PlayWhatSoundOnConfirm", TBG.Text.Menu.General.PLAY_WHICH_SOUND); UIDropDownMenu_Initialize(getglobal(n), TBG_Menu_DropDownInit_General_Interface_WhichSound);
			n = f .. "_RepeatConfirmSound";			TBG_Menu_CheckButton_Settings(n, "MGI_RepeatConfirmSound", TBG.Text.Menu.General.REPEAT_SOUND);
			TBG_Menu_Linked_BattlegroundReadySound();

		elseif (id == "4") then
			n = f .. "_MaxCameraDistanceIncrease"; 	TBG_Menu_CheckButton_Settings(n, "MDB_Other_MaxCameraDistanceIncrease", TBG.Text.Menu.Display.OTHER_CHANGE_MAX_CAMERA_DISTANCE, TBG_Menu_Toggle_MaxCameraDistanceIncrease);
			n = f .. "_Other_PvPFrame_ArenaPoints";	TBG_Menu_CheckButton_Settings(n, "MDB_Other_PvPFrame_ArenaPoints", TBG.Text.Menu.Display.OTHER_PVPFRAME_DISPLAY_POINTS, TBG_Menu_Toggle_PvPFrame_DisplayPoints);

			n = f .. "_ScoreFrame_Hide"; 	TBG_Menu_CheckButton_Settings(n, "MDB_Other_ScoreFrame_Hide", TBG.Text.Menu.Display.OTHER_SCORE_HIDE, TBG_Menu_Toggle_ScoreFrame_Hide);
			n = f .. "_ScoreFrame_Detach"; 	TBG_Menu_CheckButton_Settings(n, "MDB_Other_ScoreFrame_Detach", TBG.Text.Menu.Display.OTHER_SCORE_DETACH, TBG_Menu_Toggle_ScoreFrame_Detach);
			n = f .. "_ScoreFrame_Lock"; 	TBG_Menu_CheckButton_Settings(n, "MDB_Other_ScoreFrame_Lock", TBG.Text.Menu.Display.OTHER_SCORE_DRAGGABLE, TBG_Menu_Toggle_ScoreFrame_Lock);
			TBG_Menu_Linked_ScoreFrameMove();

			n = f .. "_LeaderBoard_UseCustomLeaderBoard"; 	TBG_Menu_CheckButton_Settings(n, "MGI_LeaderBoard_UseCustomLeaderBoard", TBG.Text.Menu.General.LEADER_BOARD_CUSTOM_USE, TBG_Menu_Toggle_LeaderBoard_UseCustomLeaderBoard);
			n = f .. "_ScoreFrame_ColorNamesByClass"; 		TBG_Menu_CheckButton_Settings(n, "MGI_ScoreFrame_ColorNamesByClass", TBG.Text.Menu.General.SCORE_FRAME_COLOR_NAMES, TBG_Menu_Toggle_ScoreFrame_ColorNamesByClass);
			n = f .. "_ScoreFrame_ColorNamesByClassAll"; 	TBG_Menu_CheckButton_Settings(n, "MGI_ScoreFrame_ColorNamesByClassAll", TBG.Text.Menu.General.SCORE_FRAME_COLOR_NAMES_ALL, TBG_Menu_Toggle_ScoreFrame_ColorNamesByClass);
			n = f .. "_ScoreFrame_ColorNamesNotPlayer"; 	TBG_Menu_CheckButton_Settings(n, "MGI_ScoreFrame_ColorNamesNotPlayer", TBG.Text.Menu.General.SCORE_FRAME_COLOR_NAMES_NOT_PLAYER, TBG_Menu_Toggle_ScoreFrame_ColorNamesByClass);
			n = f .. "_ScoreFrame_PlayerNameMark"; 			TBG_Menu_CheckButton_Settings(n, "MGI_ScoreFrame_PlayerNameMark", TBG.Text.Menu.General.SCORE_FRAME_MARK_PLAYER, TBG_Menu_Toggle_ScoreFrame_ColorNamesByClass);
			TBG_Menu_Linked_LeaderBoardColorNames();

		elseif (id == "5") then
			n = f .. "_Button_DisplayScore"; 				TBG_Menu_CheckButton_Settings(n, "MDW_Button_DisplayScore", TBG.Text.Menu.Display.BUTTON_SCORE);
			n = f .. "_Button_TimeInQueue"; 				TBG_Menu_CheckButton_Settings(n, "MDW_Button_TimeInQueue", TBG.Text.Menu.Display.BUTTON_TIME_QUEUE);
			n = f .. "_Button_TimeBeforeQueueExpires";		TBG_Menu_CheckButton_Settings(n, "MDW_Button_TimeBeforeQueueExpires", TBG.Text.Menu.Display.BUTTON_TIME_LEFT);

		elseif (id == "6") then
			n = f .. "_Button_ReplaceActiveWhenConfirm";	TBG_Menu_CheckButton_Settings(n, "MDB_Button_ReplaceActiveWhenConfirm", TBG.Text.Menu.Display.BUTTON_HIDE_ACTIVE);
			n = f .. "_Button_NumberOfPlayers";				TBG_Menu_CheckButton_Settings(n, "MDB_Button_NumberOfPlayers", TBG.Text.Menu.Display.BUTTON_PLAYERS);
			n = f .. "_Button_TopServerPercentage";			TBG_Menu_CheckButton_Settings(n, "MDB_Button_TopServerPercentage", TBG.Text.Menu.Display.BUTTON_TOP_SERVER, TBG_Menu_Toggle_ServerPercentage_Button);
			n = f .. "_Button_ServerPercentageColor";		TBG_Menu_CheckButton_Settings(n, "MDB_Button_ServerPercentageColor", TBG.Text.Menu.Display.BUTTON_COLOR_BY_PERCENT);
			n = f .. "_DisablePercentInAV";					TBG_Menu_CheckButton_Settings(n, "MD_DisablePercentInAV", TBG.Text.Menu.Display.TOPSERVER_AV_DISABLE, TBG_Menu_Toggle_ServerPercentageDisableInAV);
			n = f .. "_Button_TimeToStart";					TBG_Menu_CheckButton_Settings(n, "MDB_Button_TimeToStart", TBG.Text.Menu.Display.BUTTON_DISPLAY_START);
			TBG_Menu_Linked_ServerPercentage_Button();

		elseif (id == "7") then
			n = f .. "_ShowSpacers"; TBG_Menu_CheckButton_Settings(n, "MD_ShowSpacers", TBG.Text.Menu.Display.TEXT_SPACERS_BUTTON);

		elseif (id == "8") then
			n = f .. "_TT_DisplayHeaders"; 			TBG_Menu_CheckButton_Settings(n, "MDW_TT_DisplayHeaders", TBG.Text.Menu.Display.TT_HEADERS);
			n = f .. "_TT_DisplayScore"; 			TBG_Menu_CheckButton_Settings(n, "MDW_TT_DisplayScore", TBG.Text.Menu.Display.TT_SCORE);
			n = f .. "_TT_BattlegroundWeekend"; 	TBG_Menu_CheckButton_Settings(n, "MDB_TT_BattlegroundWeekend", TBG.Text.Menu.Display.TT_BG_WEEKEND_SHOW, TBG_Menu_Toggle_BattlegroundWeekend);
			n = f .. "_TT_WeekStartMaintenance"; 	TBG_Menu_DropDown_Settings(n, "MDB_TT_WeekStart", TBG.Text.Menu.Display.TT_BG_WEEKEND_START); UIDropDownMenu_Initialize(getglobal(n), TBG_Menu_DropDownInit_Tooltip_MaintenanceWeekdayStart);
			n = f .. "_TT_NoHints"; 				TBG_Menu_CheckButton_Settings(n, "MDB_TT_NoHints", TBG.Text.Menu.Display.TT_NO_HINTS);
			TBG_Menu_Linked_Tooltip_BattlegroundWeekend();

			n = f .. "_TT_DisplayNotInQueueText"; 	TBG_Menu_CheckButton_Settings(n, "MDW_TT_DisplayNotInQueueText", TBG.Text.Menu.Display.TT_NOT_IN_QUEUE);
			n = f .. "_TT_TimeBeforeQueueExpires"; 	TBG_Menu_CheckButton_Settings(n, "MDW_TT_TimeBeforeQueueExpires", TBG.Text.Menu.Display.TT_QUEUE_TIMERS);
			n = f .. "_TT_RememberOpenBGs";			TBG_Menu_CheckButton_Settings(n, "MDW_TT_RememberOpenBGs", TBG.Text.Menu.Display.TT_REMEMBER_BGS_OPEN);

		elseif (id == "9") then
			n = f .. "_TT_DisplayOrder";	TBG_Menu_DropDown_Settings(n, "MGB_TT_DisplayOrder", TBG.Text.Menu.Display.TT_DISPLAY_ORDER, TBG_Menu_Toggle_TT_DisplayOrder);
			TBG_Menu_SortedList_Create(n .. "_List", n, "MD_TT_DisplayOrder");
			n = f .. "_TT_TimeToStart";		TBG_Menu_CheckButton_Settings(n, "MDW_TT_TimeToStart", TBG.Text.Menu.Display.TT_START_TIME);
			n = f .. "_TT_PlayerStats";		TBG_Menu_CheckButton_Settings(n, "MDB_TT_PlayerStats", TBG.Text.Menu.Display.TT_PLAYER_STATS);
			n = f .. "_TT_ObjectiveStats";	TBG_Menu_CheckButton_Settings(n, "MDB_TT_ObjectiveStats", TBG.Text.Menu.Display.TT_OBJECTIVE_STATS);
			n = f .. "_TT_Friends";			TBG_Menu_CheckButton_Settings(n, "MDB_TT_Friends", TBG.Text.Menu.Display.TT_FRIENDS);
			n = f .. "_TT_InactivePlayers";	TBG_Menu_CheckButton_Settings(n, "MDB_TT_InactivePlayers", TBG.Text.Menu.Display.TT_INACTIVE);

			n = f .. "_TT_ServerStats_A";		TBG_Menu_CheckButton_Settings(n, "MDB_TT_ServerStats_A", TBG.Text.Menu.Display.TT_SERVER_A, TBG_Menu_Toggle_ServerPercentage_Tooltip);
			n = f .. "_TT_ServerStats_H";		TBG_Menu_CheckButton_Settings(n, "MDB_TT_ServerStats_H", TBG.Text.Menu.Display.TT_SERVER_H, TBG_Menu_Toggle_ServerPercentage_Tooltip);
			n = f .. "_TT_ServerStats_Percent";	TBG_Menu_CheckButton_Settings(n, "MDB_TT_ServerStats_Percent", TBG.Text.Menu.Display.TT_SERVER_PER);
			n = f .. "_TT_ServerStats_Top";		TBG_Menu_CheckButton_Settings(n, "MDB_TT_ServerStats_Top", TBG.Text.Menu.Display.TT_SERVER_TOP);
			n = f .. "_DisablePercentInAV";		TBG_Menu_CheckButton_Settings(n, "MD_DisablePercentInAV", TBG.Text.Menu.Display.TOPSERVER_AV_DISABLE, TBG_Menu_Toggle_ServerPercentageDisableInAV);
			TBG_Menu_Linked_ServerPercentage_Tooltip();

		elseif (id == "10") then
			n = f .. "_TT_ClassStats_A";	TBG_Menu_CheckButton_Settings(n, "MDB_TT_ClassStats_A", TBG.Text.Menu.Display.TT_CLASSES_A, TBG_Menu_Toggle_ClassStats);
			n = f .. "_TT_ClassStats_H";	TBG_Menu_CheckButton_Settings(n, "MDB_TT_ClassStats_H", TBG.Text.Menu.Display.TT_CLASSES_H, TBG_Menu_Toggle_ClassStats);
			n = f .. "_TT_ClassStats_Name";	TBG_Menu_CheckButton_Settings(n, "MDB_TT_ClassStats_Name", TBG.Text.Menu.Display.TT_CLASSES_TEXT);
			TBG_Menu_Linked_ClassStats();

			n = f .. "_TT_CaptureTimers";			TBG_Menu_CheckButton_Settings(n, "MDB_TT_CaptureTimers", TBG.Text.Menu.Display.TT_CAPTURES);
			n = f .. "_AllowInaccurateTimers";		TBG_Menu_CheckButton_Settings(n, "MD_AllowInaccurateTimers", TBG.Text.Menu.Display.ALLOW_INACCURATE_TIMERS);
			n = f .. "_TT_BattlegroundItems";		TBG_Menu_CheckButton_Settings(n, "MDB_TT_BattlegroundItems", TBG.Text.Menu.Display.TT_BGITEMS);
			n = f .. "_TT_BattlegroundItemsSort";	TBG_Menu_DropDown_Settings(n, "MDB_TT_BattlegroundItemsSort", TBG.Text.Menu.Display.TT_BGITEMS_SORT); UIDropDownMenu_Initialize(getglobal(n), TBG_Menu_DropDownInit_Tooltip_Battleground_ItemsSort);
			n = f .. "_TT_MovementTimers";			TBG_Menu_CheckButton_Settings(n, "MDB_TT_MovementTimers", TBG.Text.Menu.Display.TT_MOVEMENT);
			n = f .. "_TT_ProgressEstimates";		TBG_Menu_CheckButton_Settings(n, "MDB_TT_ProgressEstimates", TBG.Text.Menu.Display.TT_PROGRESS);
			n = f .. "_TT_ABWinEstimates";			TBG_Menu_CheckButton_Settings(n, "MDB_TT_ABWinEstimates", TBG.Text.Menu.Display.TT_AB_WIN_ESTIMATE);
			n = f .. "_TT_FlagTracker";				TBG_Menu_CheckButton_Settings(n, "MDB_TT_FlagTracker", TBG.Text.Menu.Display.TT_WSG_FLAG);

		elseif (id == "11") then
			n = f .. "_TT_SeperateActiveAndQueue";	TBG_Menu_CheckButton_Settings(n, "MDB_TT_SeperateActiveAndQueue", TBG.Text.Menu.Display.TT_TWO_TOOLTIPS);
			n = f .. "_TT_AllowMouseClicks";		TBG_Menu_CheckButton_Settings(n, "MD_TT_AllowMouseClicks", TBG.Text.Menu.Display.TT_ALLOW_CLICKING);
			n = f .. "_TT_AlwaysShow";				TBG_Menu_CheckButton_Settings(n, "MD_TT_AlwaysShow", TBG.Text.Menu.Display.TT_ALWAYS_SHOW, TBG_Menu_Toggle_TT_AlwaysShow);
			n = f .. "_TT_WhenNoQueueHide";			TBG_Menu_CheckButton_Settings(n, "MD_TT_WhenNoQueueHide", TBG.Text.Menu.Display.TT_WHEN_NO_QUEUE_HIDE, TBG_Menu_Toggle_TT_AlwaysShow);
			n = f .. "_TT_HideDelay"; 				TBG_Menu_Slider_Settings(n, "MD_TT_HideDelay", TBG.Var.Display.tt_hide_delay_min, TBG.Var.Display.tt_hide_delay_max, 0.1, 1, TBG.Text.Menu.Display.TT_HIDE_DELAY);
			n = f .. "_TT_ShowOverTooltip";			TBG_Menu_CheckButton_Settings(n, "MD_TT_ShowOverTooltip", TBG.Text.Menu.Display.TT_SHOW_IF_OVER_TT);
			TBG_Menu_Linked_TT_AlwaysShow();

			n = f .. "_TT_Color_Background";	TBG_Menu_ColorPicker_Settings(n, "MD_TT_Color_Background", TBG.Text.Menu.Display.TT_COLOR_BACKGROUND);
			n = f .. "_TT_Color_Border";		TBG_Menu_ColorPicker_Settings(n, "MD_TT_Color_Border", TBG.Text.Menu.Display.TT_COLOR_BORDER);

		elseif (id == "12") then
			n = f .. "_TT_StaticWidth";	TBG_Menu_CheckButton_Settings(n, "MD_TT_StaticWidth", TBG.Text.Menu.Display.TT_STATIC_WIDTH);
			n = f .. "_TT_MaxWidth"; 	TBG_Menu_Slider_Settings(n, "MD_TT_MaxWidth", TBG.Var.Display.tt_width_min, TBG.Var.Display.tt_width_max, nil, nil, TBG.Text.Menu.Display.TT_MAX_WIDTH);
			n = f .. "_TT_Lines"; 		TBG_Menu_Slider_Settings(n, "MD_TT_Lines", TBG.Var.Display.tt_lines_min, TBG.Var.Display.tt_lines_max, nil, nil, TBG.Text.Menu.Display.TT_LINES_TO_DISPLAY);

			n = f .. "_TT_FrameStrata";				TBG_Menu_DropDown_Settings(n, "MD_TT_FrameStrata", TBG.Text.Menu.Display.TT_FRAMESTRATA); UIDropDownMenu_Initialize(getglobal(n), TBG_Menu_DropDownInit_Display_FrameStrata);
			n = f .. "_TT_Detach";					TBG_Menu_CheckButton_Settings(n, "MD_TT_Detach", TBG.Text.Menu.Display.TT_DETACH, TBG_Menu_Toggle_TT_Detach);
			n = f .. "_TT_Detach_SecondaryButton";	TBG_Menu_CheckButton_Settings(n, "MD_TT_Detach_SecondaryButton", TBG.Text.Menu.Display.TT_DETACH_USE_BUTTON);
			n = f .. "_TT_DetachCorner";			TBG_Menu_DropDown_Settings(n, "MD_TT_DetachCorner", TBG.Text.Menu.Display.TT_ATTACH_BY); UIDropDownMenu_Initialize(getglobal(n), TBG_Menu_DropDownInit_Display_AttachByWhichCorner);
			n = f .. "_TT_Lock";					TBG_Menu_CheckButton_Settings(n, "MD_TT_Lock", TBG.Text.Menu.Display.TT_LOCK, TBG_Menu_Toggle_TT_Lock);
			TBG_Menu_Linked_TT_Detach();

		elseif (id == "18") then
			n = f .. "_TT_AllowAutoScroll";		TBG_Menu_CheckButton_Settings(n, "MD_TT_AllowAutoScroll", TBG.Text.Menu.Display.TT_ALLOW_AUTO_SCROLL, TBG_Menu_Toggle_TT_AllowAutoScroll);
			n = f .. "_TT_AutoScrollSpeed"; 	TBG_Menu_Slider_Settings(n, "MD_TT_AutoScrollSpeed", TBG.Var.Display.tt_update_min, TBG.Var.Display.tt_update_max, 0.1, 1, TBG.Text.Menu.Display.TT_AUTO_SCROLLING_SPEED);
			n = f .. "_TT_AllowManualScroll";	TBG_Menu_CheckButton_Settings(n, "MD_TT_AllowManualScroll", TBG.Text.Menu.Display.TT_ALLOW_MANUAL_SCROLL);
			TBG_Menu_Linked_TT_AllowAutoScroll();

		elseif (id == "13") then
			n = f .. "_Other_LockOnScreenDisplay";	TBG_Menu_CheckButton_Settings(n, "MDB_Other_LockOnScreenDisplay", TBG.Text.Menu.Display.OTHER_LOCK_PANEL, TBG_Menu_Toggle_Other_LockOnScreenDisplay);

			n = f .. "_Other_CaptureTimers_OnScreen_Display";			TBG_Menu_CheckButton_Settings(n, "MDB_Other_CaptureTimers_OnScreen_Display", TBG.Text.Menu.Display.OTHER_CAPTURES_SHOW, TBG_Menu_Toggle_Other_CaptureTimers_OnScreen_Display);
			n = f .. "_Other_CaptureTimers_OnScreen_DisplayHowMany";	TBG_Menu_Slider_Settings(n, "MDB_Other_CaptureTimers_OnScreen_DisplayHowMany", TBG.Var.Display.captures_min, TBG.Var.Display.captures_max, nil, nil, TBG.Text.Menu.Display.OTHER_MAX_CAPTURES_DISPLAY);
			n = f .. "_Other_CaptureTimers_OnScreen_Invert";			TBG_Menu_CheckButton_Settings(n, "MDB_Other_CaptureTimers_OnScreen_Invert", TBG.Text.Menu.Display.OTHER_CAPTURES_INVERT, TBG_Menu_Toggle_Other_CaptureTimers_OnScreen_Invert);
			n = f .. "_Other_CaptureTimers_OnScreen_ClickPrint";		TBG_Menu_CheckButton_Settings(n, "MDB_Other_CaptureTimers_OnScreen_ClickPrint", TBG.Text.Menu.Display.OTHER_CAPTURES_CLICK, TBG_Menu_Toggle_Other_CaptureTimers_OnScreen_ClickPrint);
			n = f .. "_AllowInaccurateTimers";							TBG_Menu_CheckButton_Settings(n, "MD_AllowInaccurateTimers", TBG.Text.Menu.Display.ALLOW_INACCURATE_TIMERS);
			TBG_Menu_Linked_Other_CaptureTimers_OnScreen_Display();

			n = f .. "_Other_MovementTimers_OnScreen_Display";		TBG_Menu_CheckButton_Settings(n, "MDB_Other_MovementTimers_OnScreen_Display", TBG.Text.Menu.Display.OTHER_MOVEMENT_SHOW, TBG_Menu_Toggle_Other_MovementTimers_OnScreen_Display);
			n = f .. "_Other_MovementTimers_OnScreen_ClickPrint";	TBG_Menu_CheckButton_Settings(n, "MDB_Other_MovementTimers_OnScreen_ClickPrint", TBG.Text.Menu.Display.OTHER_MOVEMENT_CLICK, TBG_Menu_Toggle_Other_MovementTimers_OnScreen_ClickPrint);
			TBG_Menu_Linked_Other_MovementTimers_OnScreen_Display();

			n = f .. "_Other_PlayersList";				TBG_Menu_CheckButton_Settings(n, "MDB_Other_PlayersList", TBG.Text.Menu.Display.OTHER_PLAYERS_SHOW, TBG_Menu_Toggle_Other_PlayerList);
			n = f .. "_Other_PlayersList_PrintClass";	TBG_Menu_CheckButton_Settings(n, "MDB_Other_PlayersList_PrintClass", TBG.Text.Menu.Display.OTHER_PLAYERS_SHOW_CLASS);
			n = f .. "_Other_PlayersList_ColorClass";	TBG_Menu_CheckButton_Settings(n, "MDB_Other_PlayersList_ColorClass", TBG.Text.Menu.Display.OTHER_PLAYERS_COLOR_CLASS);
			TBG_Menu_Linked_Other_PlayerList();

		elseif (id == "14") then
			n = f .. "_Button_Standing";		TBG_Menu_CheckButton_Settings(n, "MDB_Button_Standing", TBG.Text.Menu.Display.BUTTON_STANDING);
			n = f .. "_Button_Kills";			TBG_Menu_CheckButton_Settings(n, "MDB_Button_Kills", TBG.Text.Menu.Display.BUTTON_KILLS);
			n = f .. "_Button_KillingBlows";	TBG_Menu_CheckButton_Settings(n, "MDB_Button_KillingBlows", TBG.Text.Menu.Display.BUTTON_KILLING_BLOWS);
			n = f .. "_Button_Deaths";			TBG_Menu_CheckButton_Settings(n, "MDB_Button_Deaths", TBG.Text.Menu.Display.BUTTON_DEATHS);
			n = f .. "_Button_DamageDone";		TBG_Menu_CheckButton_Settings(n, "MDB_Button_DamageDone", TBG.Text.Menu.Display.BUTTON_DAMAGE_DONE);
			n = f .. "_Button_HealingDone";		TBG_Menu_CheckButton_Settings(n, "MDB_Button_HealingDone", TBG.Text.Menu.Display.BUTTON_HEALING_DONE);
			n = f .. "_Button_Honor";			TBG_Menu_CheckButton_Settings(n, "MDB_Button_Honor", TBG.Text.Menu.Display.BUTTON_HONOR);

		elseif (id == "15") then
			n = f .. "_Other_FlagTracker_OnScreen_Show"; 			TBG_Menu_CheckButton_Settings(n, "MDB_Other_FlagTracker_OnScreen_Show", TBG.Text.Menu.Display.OTHER_WSG_SHOW, TBG_Menu_Toggle_Other_FlagTracker_OnScreen_Show);
			n = f .. "_Other_FlagTracker_OnScreen_ColorClass"; 		TBG_Menu_CheckButton_Settings(n, "MDB_Other_FlagTracker_OnScreen_ColorClass", TBG.Text.Menu.Display.OTHER_WSG_COLOR_CLASS);
			n = f .. "_Other_FlagTracker_OnScreen_TextClass"; 		TBG_Menu_CheckButton_Settings(n, "MDB_Other_FlagTracker_OnScreen_TextClass", TBG.Text.Menu.Display.OTHER_WSG_TEXT_CLASS);
			n = f .. "_Other_FlagTracker_OnScreen_Invert"; 			TBG_Menu_CheckButton_Settings(n, "MDB_Other_FlagTracker_OnScreen_Invert", TBG.Text.Menu.Display.OTHER_WSG_INVERT, TBG_Menu_Toggle_Other_FlagTracker_OnScreen_Invert);
			n = f .. "_Other_FlagTracker_OnScreen_AttachToScore"; 	TBG_Menu_CheckButton_Settings(n, "MDB_Other_FlagTracker_OnScreen_AttachToScore", TBG.Text.Menu.Display.OTHER_WSG_ATTACH, TBG_Menu_Toggle_Other_FlagTracker_OnScreen_AttachToScore);
			n = f .. "_Other_FlagTracker_OnScreen_ClickTarget"; 	TBG_Menu_CheckButton_Settings(n, "MDB_Other_FlagTracker_OnScreen_ClickTarget", TBG.Text.Menu.Display.OTHER_WSG_CLICK, TBG_Menu_Toggle_Other_MovementTimers_OnScreen_ClickPrint);
			TBG_Menu_Linked_Other_FlagTracker_OnScreen_Show();

			n = f .. "_Other_MinimapFlag_Horde"; 			TBG_Menu_CheckButton_Settings(n, "MDB_Other_MinimapFlag_Horde", TBG.Text.Menu.Display.OTHER_MINIMAP_FLAG_HORDE, TBG_Menu_Toggle_MinimapFlag);
			n = f .. "_Other_MinimapFlag_Alliance"; 		TBG_Menu_CheckButton_Settings(n, "MDB_Other_MinimapFlag_Alliance", TBG.Text.Menu.Display.OTHER_MINIMAP_FLAG_ALLIANCE, TBG_Menu_Toggle_MinimapFlag);
			n = f .. "_Other_MinimapFlag_AllowMouse"; 		TBG_Menu_CheckButton_Settings(n, "MDB_Other_MinimapFlag_AllowMouse", TBG.Text.Menu.Display.OTHER_MINIMAP_FLAG_ALLOWMOUSE, TBG_Menu_Toggle_MinimapFlag_AllowMouse);
			n = f .. "_Other_MinimapFlag_AllowOutOfBounds";	TBG_Menu_CheckButton_Settings(n, "MDB_Other_MinimapFlag_AllowOutOfBounds", TBG.Text.Menu.Display.OTHER_MINIMAP_FLAG_ALLOWOUTOFBOUNDS, TBG_Menu_Toggle_MinimapFlag);
			n = f .. "_Other_MinimapFlag_OutOfBoundsFade"; 	TBG_Menu_CheckButton_Settings(n, "MDB_Other_MinimapFlag_OutOfBoundsFade", TBG.Text.Menu.Display.OTHER_MINIMAP_FLAG_OUTOFBOUNDSFADE);
			TBG_Menu_Linked_MinimapFlag();

		elseif (id == "16") then
			n = f .. "_AutoDisableKey";	TBG_Menu_DropDown_Settings(n, "MGB_AutoDisableKey", TBG.Text.Menu.General.AUTO_DISABLE_KEY); UIDropDownMenu_Initialize(getglobal(n), TBG_Menu_DropDownInit_AutoDisableKey);

			n = f .. "_AutoTurnInQuests"; 			TBG_Menu_CheckButton_Settings(n, "MGB_AutoTurnInQuests", TBG.Text.Menu.General.QUEST_COMPLETION, TBG_Menu_Toggle_AutoTurnInQuests);
			n = f .. "_AutoTurnInQuests_Warning";	TBG_Menu_CheckButton_Settings(n, "MGB_AutoTurnInQuests_Warning", TBG.Text.Menu.General.QUEST_COMPLETION_WARNING);
			TBG_Menu_Linked_AutoTurnInQuests();

			n = f .. "_SkipBattlemasterGossip";	TBG_Menu_CheckButton_Settings(n, "MGB_SkipBattlemasterGossip", TBG.Text.Menu.General.SKIP_BATTLEMASTER_GOSSIP);
			n = f .. "_SkipBankGossip";			TBG_Menu_CheckButton_Settings(n, "MGB_SkipBankGossip", TBG.Text.Menu.General.SKIP_BANK_GOSSIP);
			n = f .. "_SkipTaxiGossip";			TBG_Menu_CheckButton_Settings(n, "MGB_SkipTaxiGossip", TBG.Text.Menu.General.SKIP_TAXI_GOSSIP);
			n = f .. "_SkipVendorGossip";		TBG_Menu_CheckButton_Settings(n, "MGB_SkipVendorGossip", TBG.Text.Menu.General.SKIP_VENDOR_GOSSIP);

		elseif (id == "17") then
			n = f .. "_AutoLeave";		TBG_Menu_CheckButton_Settings(n, "MGB_AutoLeave", TBG.Text.Menu.General.AUTOLEAVE, TBG_Menu_Toggle_AutoLeave);
			n = f .. "_AutoLeaveTime";	TBG_Menu_Slider_Settings(n, "MGB_AutoLeaveTime", TBG.Var.BG.autoleave_min, TBG.Var.BG.autoleave_max, nil, nil, TBG.Text.Menu.General.AUTOLEAVE_SECONDS, TBG_Menu_Toggle_AutoLeave_Time);
			TBG_Menu_Linked_AutoLeave();

			n = f .. "_AutoReleaseGhost";	TBG_Menu_CheckButton_Settings(n, "MGB_AutoReleaseGhost", TBG.Text.Menu.General.AUTORELEASE, TBG_Menu_Toggle_AutoReleaseGhost);
			n = f .. "_AutoReleaseCheck";	TBG_Menu_CheckButton_Settings(n, "MGB_AutoReleaseCheck", TBG.Text.Menu.General.AUTORELEASE_CHECK);
			TBG_Menu_Linked_AutoRelease();

		end
	end


	function TBG_Menu_ColorPicker_Settings(frame, var, text, func)
		getglobal(frame).var = var;
		getglobal(frame .. "_Text"):SetText(text);

		local c = TBG_Saved(var);

		getglobal(frame .. "_Button"):SetBackdropColor(c.r, c.g, c.b, c.a);
	end


	function TBG_Menu_CheckButton_Settings(frame, var, text, func)
		getglobal(frame).var = var;
		getglobal(frame .. "_Text"):SetText(text);
		if (TBG_Saved(var)) then getglobal(frame .. "_Check"):SetChecked(1); else getglobal(frame .. "_Check"):SetChecked(0); end

		if (func ~= nil) then
			getglobal(frame .. "_Check"):SetScript("OnClick", func);
		end
	end


	function TBG_Menu_Slider_Settings(frame, var, min, max, step, round, text, func)
		getglobal(frame).var = var;

		getglobal(frame .. "_Text"):SetText(text);
		getglobal(frame .. "_Slider"):SetMinMaxValues(min, max);
		getglobal(frame .. "_SliderLow"):SetFontObject("GameFontNormal");
		getglobal(frame .. "_SliderLow"):SetText(min);
		getglobal(frame .. "_SliderHigh"):SetFontObject("GameFontNormal");
		getglobal(frame .. "_SliderHigh"):SetText(max);
		getglobal(frame .. "_Slider"):SetValue(TBG_Saved(var));

		getglobal(frame .. "_Slider").disabled = false;

		if (step ~= nil) then
			getglobal(frame .. "_Slider"):SetValueStep(step);
		end

		if (round ~= nil) then
			getglobal(frame .. "_Slider").valueStep = round;
		end

		if (func ~= nil) then
			getglobal(frame .. "_Slider"):SetScript("OnValueChanged", func);
		end
	end


	function TBG_Menu_DropDown_Settings(frame, var, text, func)
		getglobal(frame).var = var;
		getglobal(frame .. "_Text"):SetText(text);

		if (func ~= nil) then
			getglobal(frame .. "_Button"):SetScript("OnClick", func);
		else
			func = function()
				ToggleDropDownMenu();
				PlaySound("igMainMenuOptionCheckBoxOn");
			end

			getglobal(frame .. "_Button"):SetScript("OnClick", func);
		end
	end

	function TBG_Menu_EditBox_Settings(frame, var, text, button, width, func)
		getglobal(frame).var = var;
		getglobal(frame .. "_Text"):SetText(text);
		getglobal(frame .. "_EditBox"):SetText("");
		getglobal(frame .. "_ButtonText"):SetText(button);

		getglobal(frame):SetWidth(width);
		getglobal(frame .. "_EditBox"):SetWidth(width);
		getglobal(frame .. "_Button"):SetWidth(getglobal(frame .. "_ButtonText"):GetWidth() + 20);

		if (func ~= nil) then
			getglobal(frame .. "_Button"):SetScript("OnClick", func);
			getglobal(frame .. "_Button"):Show();
		else
			getglobal(frame .. "_Button"):SetScript("OnClick", function() end);
			getglobal(frame .. "_Button"):Hide();
		end
	end


	function TBG_Menu_Button_Settings(frame, var, text, func)
		getglobal(frame).var = var;
		getglobal(frame .. "Text"):SetText(text);

		getglobal(frame):SetWidth(getglobal(frame .. "Text"):GetWidth() + 20);

		if (func ~= nil) then
			getglobal(frame):SetScript("OnClick", func);
		else
			getglobal(frame):SetScript("OnClick", function() end);
		end
	end


	function TBG_Menu_SortedList_Create(name, parent, var)
		local frame = getglobal(name);

		if (not frame) then
			frame = CreateFrame("Frame", name, getglobal(parent), "TBGX_Template_SortedList_Menu");
		end

		frame:ClearAllPoints();
		frame:SetPoint("TOPLEFT", parent, "BOTTOMLEFT", 1, 6);

		local n      = table.getn(TBG_Saved(var).list);
		local height = 14 + (20 * n);

		for i = 1, n do
			local list = CreateFrame("Frame", name .. i, frame, "TBGX_Template_SortedList_Item_Menu");

			list:ClearAllPoints();

			local y = -10;
			if (i > 1) then y = y - (20 * (i - 1)); end

			list:SetPoint("TOPLEFT", name, "TOPLEFT", 8, y);
		end

		getglobal(name .. "1_ButtonUp"):Disable();
		getglobal(name .. n .. "_ButtonDown"):Disable();

		frame:SetHeight(height);
		TBG_Menu_SortedList_Update(name, var);
	end


	function TBG_Menu_Paging(frame, page)
		frame.page  = page;
		frame.pages = { };
	end

	function TBG_Menu_Paging_Actions(frame, page)
		TBG_Menu_Paging(frame, page);

		frame.pages[1] = 2;
		frame.pages[2] = 3;
	end


	function TBG_Menu_Paging_ButtonBattleground(frame, page)
		TBG_Menu_Paging(frame, page);

		frame.pages[1] = 13;
		frame.pages[2] = 14;
	end


	function TBG_Menu_Paging_TooltipBattleground(frame, page)
		TBG_Menu_Paging(frame, page);

		frame.pages[1] = 18;
		frame.pages[2] = 19;
	end


	function TBG_Menu_Paging_TooltipAppearance(frame, page)
		TBG_Menu_Paging(frame, page);

		frame.pages[1] = 20;
		frame.pages[2] = 21;
		frame.pages[3] = 22;
	end


	function TBG_Menu_Paging_DisplayAndSounds(frame, page)
		TBG_Menu_Paging(frame, page);

		frame.pages[1] = 8;
		frame.pages[2] = 9;
		frame.pages[3] = 10;
	end

-- ######################
-- ## ACTION FUNCTIONS ##
-- ######################


	function TBG_Menu_Toggle()
		if (TBGX_Menu:IsVisible()) then
			TBGX_Menu:Hide();
		else
			TBGX_Menu:Show();
		end

		CloseDropDownMenus();
	end


	function TBG_Menu_ToggleVar(var)
		if (TBG_Saved(var)) then
			TBG_Saved_Set(var, false);
		else
			TBG_Saved_Set(var, true);
		end
	end


	function TBG_Menu_DropDown_Var()
		TBG_Saved_Set(this.value, this.arg1);
	end


	function TBG_Menu_Slider_Change(var)
		if (this.disabled == nil or not this.disabled) then
			local val = this:GetValue();

			if (this.valueStep ~= nil) then
				val = TBG_MathRound(val, this.valueStep);
			end

			TBG_Saved_Set(var, val);
			GameTooltip:SetText(val);
		else
			this:SetValue(TBG_Saved(var));
		end
	end


	function TBG_Menu_SortedList_Update(name, var)
		for i = 1, table.getn(TBG_Saved(var).list) do
			local list = TBG_Saved(var)[TBG_Saved(var).list[i]];

			getglobal(name .. i .. "_Number"):SetText(i .. ".");
			getglobal(name .. i .. "_Text"):SetText(list.text);

			getglobal(name .. i):SetID(i);
			getglobal(name .. i).list = var;
			getglobal(name .. i).name = list.id;
		end
	end


	function TBG_Menu_SortedList_MoveUp(item)
		if (item:GetID() > 1) then
			local previous = TBG_Saved(item.list).list[item:GetID() - 1];

			TBG_Saved(item.list).list[item:GetID() - 1] = item.name;
			TBG_Saved(item.list).list[item:GetID()]     = previous;

			TBG_Saved(item.list)[item.name].i = item:GetID() - 1;
			TBG_Saved(item.list)[previous].i  = item:GetID();

			TBG_Menu_SortedList_Update(item:GetParent():GetName(), item.list);
		end
	end


	function TBG_Menu_SortedList_MoveDown(item)
		if (item:GetID() < table.getn(TBG_Saved(item.list).list)) then
			local previous = TBG_Saved(item.list).list[item:GetID() + 1];

			TBG_Saved(item.list).list[item:GetID() + 1] = item.name;
			TBG_Saved(item.list).list[item:GetID()]     = previous;

			TBG_Saved(item.list)[item.name].i = item:GetID() + 1;
			TBG_Saved(item.list)[previous].i  = item:GetID();

			TBG_Menu_SortedList_Update(item:GetParent():GetName(), item.list);
		end
	end


	-- ## Displays the color picker frame.
	function TBG_Menu_ColorPicker(f, var)
		ColorPickerFrame.func        = function() TBG_Menu_ColorPicker_OnChange(f, var, false); end
		ColorPickerFrame.opacityFunc = function() TBG_Menu_ColorPicker_OnChange(f, var, false); end
		ColorPickerFrame.cancelFunc  = function() TBG_Menu_ColorPicker_OnChange(f, var, true); end

		ColorPickerFrame.previousValues = {
			r = TBG_Saved(var).r,
			g = TBG_Saved(var).g,
			b = TBG_Saved(var).b,
			a = TBG_Saved(var).a };

		ColorPickerFrame.hasOpacity = true;
		ColorPickerFrame.opacity    = ColorPickerFrame.previousValues.a;

		ColorPickerFrame:SetColorRGB(
			ColorPickerFrame.previousValues.r,
			ColorPickerFrame.previousValues.g,
			ColorPickerFrame.previousValues.b);

		ColorPickerFrame:SetFrameStrata("FULLSCREEN_DIALOG");
		ColorPickerFrame:Show();
	end


	-- ## Changes variables based on selections in the color picker.
	function TBG_Menu_ColorPicker_OnChange(f, var, reset)
		local r, g, b = ColorPickerFrame:GetColorRGB();
		local a       = OpacitySliderFrame:GetValue();

		-- If reverting to the old values, restore them.
		if (reset) then
			r = ColorPickerFrame.previousValues.r;
			g = ColorPickerFrame.previousValues.g;
			b = ColorPickerFrame.previousValues.b;
			a = ColorPickerFrame.previousValues.a;
		end

		-- Set the color picker swatch color.
		getglobal(f):SetBackdropColor(r, g, b, a);

		TBG_Saved(var).r = r;
		TBG_Saved(var).g = g;
		TBG_Saved(var).b = b;
		TBG_Saved(var).a = a;

		TBG_Tooltip_Load();
	end


-- ######################
-- ## RIGHT CLICK MENU ##
-- ######################


	-- ## Creates the titan drop down menu for the addon.
	function TBG_Menu_RightClickMenu_Load()
		local info = {};

		TBG_Tooltip_Hide(true);

		-- First Level Menu
		if ( UIDROPDOWNMENU_MENU_LEVEL == 1 or UIDROPDOWNMENU_MENU_LEVEL == nil ) then
			TBG_Menu_RightClickMenu_AddHeader(TBG.Text.Menu.HEADER);

			-- Show Icon
			if (this:GetID() == 2) then
				TBG_Menu_RightClickMenu_AddSpacer() ;
				TitanPanelRightClickMenu_AddToggleIcon(TBG.Var.Const.ADDON_ID);

				info            = {};
				info.text       = TITAN_PANEL_MENU_SHOW_LABEL_TEXT;
				info.value      = "M_ShowButtonText";
				info.func       = TBG_MenuClicked;
				TBG_Menu_RightClickMenu_AddOption(info, nil);
			end

			if (TBG.DB.bgs and TBG.DB.bgs.queue and TBG.DB.bgs.queue > 0 or TBG_IsSupported(TBG.Var.Player.zone)) then
				TBG_Menu_RightClickMenu_AddSpacer() ;
				info            = {};
				info.text       = TBG.Var.Const.COLOR_GREEN .. TBG.Text.Menu.Titan.QUEUE;
				info.value      = "QueueOptions";
				TBG_Menu_RightClickMenu_AddMenu(info);
			end

			TBG_Menu_RightClickMenu_AddSpacer();

			info            = {};
			info.text       = TBG.Var.Const.COLOR_BLUE .. TBG.Text.Menu.Titan.SHOW_OPTIONS;
			info.value      = "ShowMainMenu";
			info.func       = TBG_Menu_Toggle;
			TBG_Menu_RightClickMenu_AddOption(info, nil, false);

			-- Hide
			if (this:GetID() == 2) then
				TBG_Menu_RightClickMenu_AddSpacer() ;
				TitanPanelRightClickMenu_AddCommand(TITAN_PANEL_MENU_HIDE, TBG.Var.Const.ADDON_ID, TITAN_PANEL_MENU_FUNC_HIDE);
			end

		-- Second Level Menu
		elseif ( UIDROPDOWNMENU_MENU_LEVEL == 2 ) then
			if ( UIDROPDOWNMENU_MENU_VALUE == "QueueOptions" ) then
				local active_bgs = 0;

				-- Loop through and check on the status of the battlegrounds.
				for i = 1, MAX_BATTLEFIELD_QUEUES do
					local status, name, id, _, _, team_size = GetBattlefieldStatus(i);
					local n                                 = name;

					if (status == TBG.Var.Const.BG_STATUS_CONFIRM or status == TBG.Var.Const.BG_STATUS_QUEUED or status == TBG.Var.Const.BG_STATUS_ACTIVE) then
						active_bgs = active_bgs + 1;

						-- If battlegrounds were listed before this one, insert a spacer.
						if (active_bgs > 1) then
							TBG_Menu_RightClickMenu_AddSpacer(UIDROPDOWNMENU_MENU_LEVEL);
						end

						if (team_size ~= 0) then
							n = n .. " (" .. team_size .. "v" .. team_size .. ")";
						end

						TBG_Menu_RightClickMenu_AddHeader(n, UIDROPDOWNMENU_MENU_LEVEL);
					end

					if (status == TBG.Var.Const.BG_STATUS_CONFIRM) then
						info = {};
						info.text = ENTER_BATTLE;
						info.func = AcceptBattlefieldPort;
						info.arg1 = i;
						info.arg2 = 1;
						UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
						info = {};
						info.text = LEAVE_QUEUE;
						info.func = AcceptBattlefieldPort;
						info.arg1 = i;
						info.arg2 = nil;
						UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);

					elseif (status == TBG.Var.Const.BG_STATUS_QUEUED) then
						if (team_size == 0) then
							info = {};
							info.text = CHANGE_INSTANCE;
							info.func = ShowBattlefieldList;
							info.arg1 = i;
							UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
						end

						info = {};
						info.text = LEAVE_QUEUE;
						info.func = AcceptBattlefieldPort;
						info.arg1 = i;
						info.arg2 = nil;
						UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);

					elseif (status == TBG.Var.Const.BG_STATUS_ACTIVE) then
						if (team_size ~= 0) then
							info.text = LEAVE_ARENA;
						else
							info.text = LEAVE_BATTLEGROUND;
						end

						info.func = LeaveBattlefield;
						info.arg1 = i;
						info.arg2 = nil;
						UIDropDownMenu_AddButton(info, UIDROPDOWNMENU_MENU_LEVEL);
					end
				end
			end
		end

		return;
	end


	-- ## Adds a new drop down menu to the menu.
	function TBG_Menu_RightClickMenu_AddMenu(info, level)
		info.hasArrow = 1;
		UIDropDownMenu_AddButton(info, level);
	end


	-- ## Adds a new header to the menu.
	function TBG_Menu_RightClickMenu_AddHeader(title, level)
		info              = {};
		info.text         = title;
		info.notClickable = 1;
		info.isTitle      = 1;
		UIDropDownMenu_AddButton(info, level);
	end


	-- ## Adds a new option to the menu.
	function TBG_Menu_RightClickMenu_AddOption(info, level, show)
		if (show == nil) then
			info.keepShownOnClick = 1;
		else
			info.keepShownOnClick = show;
		end

		if (TBG_Saved(info.value)) then info.checked = 1; end
		UIDropDownMenu_AddButton(info, level);
	end


	-- ## Adds a spacer to the drop down menu.
	function TBG_Menu_RightClickMenu_AddSpacer(level)
		local info    = {};
		info.disabled = 1;
		UIDropDownMenu_AddButton(info, level);
	end


-- ################################
-- ## DISABLING FUNCTIONS        ##
-- ##     Disable menu elements. ##
-- ################################


	function TBG_Menu_CheckButton_SetDisabled(frame, disabled)
		if (disabled) then
			getglobal(frame .. "_Check"):Disable();
			getglobal(frame .. "_Text"):SetFontObject("GameFontDisable");
		else
			getglobal(frame .. "_Check"):Enable();
			getglobal(frame .. "_Text"):SetFontObject("TBGX_Template_Font_BlueWhite");
		end
	end


	function TBG_Menu_Slider_SetDisabled(frame, disabled)
		if (disabled) then
			getglobal(frame .. "_Slider").disabled = true;
			getglobal(frame .. "_Text"):SetFontObject("GameFontDisable");
			getglobal(frame .. "_SliderLow"):SetFontObject("GameFontDisable");
			getglobal(frame .. "_SliderHigh"):SetFontObject("GameFontDisable");
		else
			getglobal(frame .. "_Slider").disabled = false;
			getglobal(frame .. "_Text"):SetFontObject("TBGX_Template_Font_BlueWhite");
			getglobal(frame .. "_SliderLow"):SetFontObject("GameFontNormal");
			getglobal(frame .. "_SliderHigh"):SetFontObject("GameFontNormal");
		end
	end


	function TBG_Menu_DropDown_SetDisabled(frame, disabled)
		if (disabled) then
			getglobal(frame .. "_Button"):Disable();
			getglobal(frame .. "_Text"):SetFontObject("GameFontDisable");

			if (getglobal(frame .. "_List")) then
				getglobal(frame .. "_List"):Hide();
			end
		else
			getglobal(frame .. "_Button"):Enable();
			getglobal(frame .. "_Text"):SetFontObject("TBGX_Template_Font_BlueWhite");
		end
	end


-- ##################################################
-- ## LINKED ITEM FUNCTIONS                        ##
-- ##     Disable and enable linked menu elements. ##
-- ##################################################


	function TBG_Menu_Linked_AutoJoin()
		if (not TBG_Saved("MGB_AutoJoin")) then
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_2_AutoJoin_NotInArena", true);
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_2_AutoJoin_Always", true);
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_2_AutoJoin_Priority", true);
			TBG_Menu_Slider_SetDisabled("TBGX_Menu_2_AutoJoinTime", true);
			TBG_Menu_DropDown_SetDisabled("TBGX_Menu_2_AutoJoin_PriorityList", true);
		else
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_2_AutoJoin_NotInArena", false);
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_2_AutoJoin_Always", false);
			TBG_Menu_Slider_SetDisabled("TBGX_Menu_2_AutoJoinTime", false);

			if (not TBG_Saved("MGB_AutoJoin_Always")) then
				TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_2_AutoJoin_Priority", true);
				TBG_Menu_DropDown_SetDisabled("TBGX_Menu_2_AutoJoin_PriorityList", true);
			else
				TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_2_AutoJoin_Priority", false);

				if (not TBG_Saved("MGB_AutoJoin_Priority")) then
					TBG_Menu_DropDown_SetDisabled("TBGX_Menu_2_AutoJoin_PriorityList", true);
				else
					TBG_Menu_DropDown_SetDisabled("TBGX_Menu_2_AutoJoin_PriorityList", false);
				end
			end
		end
	end


	function TBG_Menu_Linked_AutoLeave()
		if (not TBG_Saved("MGB_AutoLeave")) then
			TBG_Menu_Slider_SetDisabled("TBGX_Menu_17_AutoLeaveTime", true);
		else
			TBG_Menu_Slider_SetDisabled("TBGX_Menu_17_AutoLeaveTime", false);
		end
	end


	function TBG_Menu_Linked_AutoRelease()
		if (not TBG_Saved("MGB_AutoReleaseGhost")) then
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_17_AutoReleaseCheck", true);
		else
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_17_AutoReleaseCheck", false);
		end
	end


	function TBG_Menu_Linked_BattlegroundReadyPopup()
		if (TBG_Saved("MGI_HideJoinPopup")) then
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_3_ModifyPopupQueueExpire", true);
		else
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_3_ModifyPopupQueueExpire", false);
		end
	end

	function TBG_Menu_Linked_DoNotShow()
		if (TBG_Saved("MGI_BG_DoNotShowLoot") or TBG_Saved("MGI_BG_DoNotShowDeaths") or TBG_Saved("MGI_BG_DoNotShowRaidChanges") or TBG_Saved("MGI_BG_DoNotShowBattlegroundChanges")) then
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_19_BG_DoNotShow_AVOnly", false);
		else
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_19_BG_DoNotShow_AVOnly", true);
		end
	end

	function TBG_Menu_Linked_InQueueSound()
		if (not TBG_Saved("MGI_PlaySoundWhenQueue")) then
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_20_RepeatQueuedSound", true);
		else
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_20_RepeatQueuedSound", false);
		end
	end


	function TBG_Menu_Linked_BattlegroundReadySound()
		if (TBG_Saved("MGI_PlayWhatSoundOnConfirm") == 0) then
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_20_RepeatConfirmSound", true);
		else
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_20_RepeatConfirmSound", false);
		end
	end


	function TBG_Menu_Linked_ScoreFrameMove()
		if (not TBG_Saved("MDB_Other_ScoreFrame_Detach")) then
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_4_ScoreFrame_Lock", true);
		else
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_4_ScoreFrame_Lock", false);
		end
	end


	function TBG_Menu_Linked_LeaderBoardColorNames()
		if (not TBG_Saved("MGI_ScoreFrame_ColorNamesByClass")) then
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_4_ScoreFrame_ColorNamesByClassAll", true);
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_4_ScoreFrame_ColorNamesNotPlayer", true);
		else
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_4_ScoreFrame_ColorNamesByClassAll", false);
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_4_ScoreFrame_ColorNamesNotPlayer", false);
		end
	end


	function TBG_Menu_Linked_ServerPercentage_Button()
		if (not TBG_Saved("MDB_Button_TopServerPercentage")) then
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_6_Button_ServerPercentageColor", true);
		else
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_6_Button_ServerPercentageColor", false);
		end
	end


	function TBG_Menu_Linked_ServerPercentage_Tooltip()
		if (not TBG_Saved("MDB_TT_ServerStats_A") and not TBG_Saved("MDB_TT_ServerStats_H")) then
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_9_TT_ServerStats_Percent", true);
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_9_TT_ServerStats_Top", true);
		else
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_9_TT_ServerStats_Percent", false);
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_9_TT_ServerStats_Top", false);
		end
	end


	function TBG_Menu_Linked_ClassStats()
		if (not TBG_Saved("MDB_TT_ClassStats_A") and not TBG_Saved("MDB_TT_ClassStats_H")) then
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_10_TT_ClassStats_Name", true);
		else
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_10_TT_ClassStats_Name", false);
		end
	end


	function TBG_Menu_Linked_TT_AlwaysShow()
		if (not TBG_Saved("MD_TT_AlwaysShow")) then
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_11_TT_WhenNoQueueHide", true);
		else
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_11_TT_WhenNoQueueHide", false);
		end
	end


	function TBG_Menu_Linked_TT_Detach()
		if (not TBG_Saved("MD_TT_Detach")) then
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_12_TT_Detach_SecondaryButton", true);
			TBG_Menu_DropDown_SetDisabled("TBGX_Menu_12_TT_DetachCorner", true);
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_12_TT_Lock", true);
		else
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_12_TT_Detach_SecondaryButton", false);
			TBG_Menu_DropDown_SetDisabled("TBGX_Menu_12_TT_DetachCorner", false);
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_12_TT_Lock", false);
		end
	end


	function TBG_Menu_Linked_TT_AllowAutoScroll()
		if (not TBG_Saved("MD_TT_AllowAutoScroll")) then
			TBG_Menu_Slider_SetDisabled("TBGX_Menu_18_TT_AutoScrollSpeed", true);
		else
			TBG_Menu_Slider_SetDisabled("TBGX_Menu_18_TT_AutoScrollSpeed", false);
		end
	end


	function TBG_Menu_Linked_Other_CaptureTimers_OnScreen_Display()
		if (not TBG_Saved("MDB_Other_CaptureTimers_OnScreen_Display")) then
			TBG_Menu_Slider_SetDisabled("TBGX_Menu_13_Other_CaptureTimers_OnScreen_DisplayHowMany", true);
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_13_Other_CaptureTimers_OnScreen_Invert", true);
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_13_Other_CaptureTimers_OnScreen_ClickPrint", true);
		else
			TBG_Menu_Slider_SetDisabled("TBGX_Menu_13_Other_CaptureTimers_OnScreen_DisplayHowMany", false);
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_13_Other_CaptureTimers_OnScreen_Invert", false);
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_13_Other_CaptureTimers_OnScreen_ClickPrint", false);
		end
	end


	function TBG_Menu_Linked_Other_MovementTimers_OnScreen_Display()
		if (not TBG_Saved("MDB_Other_MovementTimers_OnScreen_Display")) then
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_13_Other_MovementTimers_OnScreen_ClickPrint", true);
		else
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_13_Other_MovementTimers_OnScreen_ClickPrint", false);
		end
	end


	function TBG_Menu_Linked_Other_PlayerList()
		if (not TBG_Saved("MDB_Other_PlayersList")) then
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_13_Other_PlayersList_PrintClass", true);
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_13_Other_PlayersList_ColorClass", true);
		else
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_13_Other_PlayersList_PrintClass", false);
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_13_Other_PlayersList_ColorClass", false);
		end
	end


	function TBG_Menu_Linked_Other_FlagTracker_OnScreen_Show()
		if (not TBG_Saved("MDB_Other_FlagTracker_OnScreen_Show")) then
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_15_Other_FlagTracker_OnScreen_ColorClass", true);
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_15_Other_FlagTracker_OnScreen_TextClass", true);
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_15_Other_FlagTracker_OnScreen_Invert", true);
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_15_Other_FlagTracker_OnScreen_AttachToScore", true);
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_15_Other_FlagTracker_OnScreen_ClickTarget", true);
		else
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_15_Other_FlagTracker_OnScreen_ColorClass", false);
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_15_Other_FlagTracker_OnScreen_TextClass", false);
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_15_Other_FlagTracker_OnScreen_Invert", false);
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_15_Other_FlagTracker_OnScreen_AttachToScore", false);
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_15_Other_FlagTracker_OnScreen_ClickTarget", false);
		end
	end


	function TBG_Menu_Linked_AutoTurnInQuests()
		if (not TBG_Saved("MGB_AutoTurnInQuests")) then
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_16_AutoTurnInQuests_Warning", true);
		else
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_16_AutoTurnInQuests_Warning", false);
		end
	end


	function TBG_Menu_Linked_AutoQueue()
		if (not TBG_Saved("MGB_AutoQueue")) then
			TBG_Menu_DropDown_SetDisabled("TBGX_Menu_2_AutoQueue_Which", true);
		else
			TBG_Menu_DropDown_SetDisabled("TBGX_Menu_2_AutoQueue_Which", false);
		end
	end


	function TBG_Menu_Linked_Tooltip_BattlegroundWeekend()
		if (not TBG_Saved("MDB_TT_BattlegroundWeekend")) then
			TBG_Menu_DropDown_SetDisabled("TBGX_Menu_8_TT_WeekStartMaintenance", true);
		else
			TBG_Menu_DropDown_SetDisabled("TBGX_Menu_8_TT_WeekStartMaintenance", false);
		end
	end

	function TBG_Menu_Linked_MinimapFlag()
		if (not TBG_Saved("MDB_Other_MinimapFlag_Horde") and not TBG_Saved("MDB_Other_MinimapFlag_Alliance")) then
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_15_Other_MinimapFlag_AllowMouse", true);
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_15_Other_MinimapFlag_AllowOutOfBounds", true);
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_15_Other_MinimapFlag_OutOfBoundsFade", true);
		else
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_15_Other_MinimapFlag_AllowMouse", false);
			TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_15_Other_MinimapFlag_AllowOutOfBounds", false);

			if (not TBG_Saved("MDB_Other_MinimapFlag_AllowOutOfBounds")) then
				TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_15_Other_MinimapFlag_OutOfBoundsFade", true);
			else
				TBG_Menu_CheckButton_SetDisabled("TBGX_Menu_15_Other_MinimapFlag_OutOfBoundsFade", false);
			end
		end
	end


-- #####################################################
-- ## ADVANCED TOGGLE FUNCTIONS                       ##
-- ##     Toggle variables requiring special actions. ##
-- #####################################################


	function TBG_Menu_DropDownInit_Profile()
		local profile = TBG_Saved_GetProfile();

		info       = {};
		info.func  = TBG_Menu_Toggle_ProfileModify;

		for key, value in pairs(TBGSV["Profiles"]) do
			info.text = key;
			info.arg1 = key;
			if (profile == info.text) then info.checked = 1; else info.checked = nil; end
			UIDropDownMenu_AddButton(info);
		end
	end


	function TBG_Menu_DropDownInit_ProfileModify()
		info          = {};
		info.checked  = nil;
		info.func     = function()
			local _, frame = this:GetParent():GetPoint();

			getglobal(frame:GetParent():GetName() .. "_Text"):SetText(TBG.Text.Menu.ITEM_PROFILE .. ": " .. TBG.Var.Const.COLOR_WHITE .. this.arg1);
			frame:GetParent().delete = this.arg1;
		end

		for key, value in pairs(TBGSV["Profiles"]) do
			if (key ~= TBG.Var.Const.ADDON_DEFAULT_PROFILE) then
				info.text = key;
				info.arg1 = key;
				UIDropDownMenu_AddButton(info);
			end
		end

	end


	function TBG_Menu_DropDownInit_AutoQueue_Which()
		info       = {};
		info.func  = TBG_Menu_Toggle_AutoQueue_Which;

		info.text  = TBG.Text.Ref.BG_AB;
		info.value = "MGB_AutoQueue_Which";
		info.arg1  = info.text;
		if (TBG_Saved(info.value)[info.text] == true) then info.checked = 1; else info.checked = nil; end
		UIDropDownMenu_AddButton(info);

		info.text  = TBG.Text.Ref.BG_AV;
		info.value = "MGB_AutoQueue_Which";
		info.arg1  = info.text;
		if (TBG_Saved(info.value)[info.text] == true) then info.checked = 1; else info.checked = nil; end
		UIDropDownMenu_AddButton(info);

		info.text  = TBG.Text.Ref.BG_EOTS;
		info.value = "MGB_AutoQueue_Which";
		info.arg1  = info.text;
		if (TBG_Saved(info.value)[info.text] == true) then info.checked = 1; else info.checked = nil; end
		UIDropDownMenu_AddButton(info);

		info.text  = TBG.Text.Ref.BG_WSG;
		info.value = "MGB_AutoQueue_Which";
		info.arg1  = info.text;
		if (TBG_Saved(info.value)[info.text] == true) then info.checked = 1; else info.checked = nil; end
		UIDropDownMenu_AddButton(info);
	end


	function TBG_Menu_DropDownInit_General_Interface_WhichSound()
		info = {};

		info.text  = NONE;
		info.value = "MGI_PlaySoundOnConfirm";
		info.arg1  = "MGI_PlayWhatSoundOnConfirm";
		info.arg2  = 0;
		info.func  = TBG_Menu_Toggle_ChangeSoundOnReady;
		if (TBG_Saved(info.arg1) == info.arg2) then info.checked = 1; else info.checked = nil; end
		UIDropDownMenu_AddButton(info);

		info.text  = TBG.Var.Const.SOUND_BGWARNING[1].name;
		info.value = "MGI_PlaySoundOnConfirm";
		info.arg1  = "MGI_PlayWhatSoundOnConfirm";
		info.arg2  = 1;
		info.func  = TBG_Menu_Toggle_ChangeSoundOnReady;
		if (TBG_Saved(info.arg1) == info.arg2) then info.checked = 1; else info.checked = nil; end
		UIDropDownMenu_AddButton(info);

		TBG_Menu_RightClickMenu_AddSpacer();

		for i = 2, table.getn(TBG.Var.Const.SOUND_BGWARNING) do
			info.text  = TBG.Var.Const.SOUND_BGWARNING[i].name;
			info.value = "MGI_PlaySoundOnConfirm";
			info.arg1  = "MGI_PlayWhatSoundOnConfirm";
			info.arg2  = i;
			info.func  = TBG_Menu_Toggle_ChangeSoundOnReady;
			if (TBG_Saved(info.arg1) == info.arg2) then info.checked = 1; else info.checked = nil; end

			UIDropDownMenu_AddButton(info);
		end
	end


	function TBG_Menu_DropDownInit_Tooltip_MaintenanceWeekdayStart()
		info       = {};
		info.value = "MDB_TT_WeekStart";
		info.func  = TBG_Menu_Toggle_MaintenanceWeekdayStart;

		info.text  = TBG.Text.Menu.Display.TT_BG_WEEKEND_MONDAY;
		info.arg1  = 1;
		if (TBG_Saved(info.value) == info.arg1) then info.checked = 1; else info.checked = nil; end
		UIDropDownMenu_AddButton(info);

		info.text  = TBG.Text.Menu.Display.TT_BG_WEEKEND_TUESDAY;
		info.arg1  = 2;
		if (TBG_Saved(info.value) == info.arg1) then info.checked = 1; else info.checked = nil; end
		UIDropDownMenu_AddButton(info);

		info.text  = TBG.Text.Menu.Display.TT_BG_WEEKEND_WEDNESDAY;
		info.arg1  = 3;
		if (TBG_Saved(info.value) == info.arg1) then info.checked = 1; else info.checked = nil; end
		UIDropDownMenu_AddButton(info);

		info.text  = TBG.Text.Menu.Display.TT_BG_WEEKEND_THURSDAY;
		info.arg1  = 4;
		if (TBG_Saved(info.value) == info.arg1) then info.checked = 1; else info.checked = nil; end
		UIDropDownMenu_AddButton(info);

		info.text  = TBG.Text.Menu.Display.TT_BG_WEEKEND_FRIDAY;
		info.arg1  = 5;
		if (TBG_Saved(info.value) == info.arg1) then info.checked = 1; else info.checked = nil; end
		UIDropDownMenu_AddButton(info);

		info.text  = TBG.Text.Menu.Display.TT_BG_WEEKEND_SATURDAY;
		info.arg1  = 6;
		if (TBG_Saved(info.value) == info.arg1) then info.checked = 1; else info.checked = nil; end
		UIDropDownMenu_AddButton(info);

		info.text  = TBG.Text.Menu.Display.TT_BG_WEEKEND_SUNDAY;
		info.arg1  = 7;
		if (TBG_Saved(info.value) == info.arg1) then info.checked = 1; else info.checked = nil; end
		UIDropDownMenu_AddButton(info);
	end


	function TBG_Menu_DropDownInit_Display_AttachByWhichCorner()
		info = {};

		info.text  = TBG.Text.Menu.Display.TT_ATTACH_BY_TOPLEFT;
		info.value = "MD_TT_DetachCorner";
		info.arg1  = "TOPLEFT";
		info.func  = TBG_MenuChangeAttachByWhichCorner;
		if (TBG_Saved(info.value) == info.arg1) then info.checked = 1; else info.checked = nil; end
		UIDropDownMenu_AddButton(info);

		info.text  = TBG.Text.Menu.Display.TT_ATTACH_BY_TOPRIGHT;
		info.value = "MD_TT_DetachCorner";
		info.arg1  = "TOPRIGHT";
		info.func  = TBG_MenuChangeAttachByWhichCorner;
		if (TBG_Saved(info.value) == info.arg1) then info.checked = 1; else info.checked = nil; end
		UIDropDownMenu_AddButton(info);

		info.text  = TBG.Text.Menu.Display.TT_ATTACH_BY_BOTTOMLEFT;
		info.value = "MD_TT_DetachCorner";
		info.arg1  = "BOTTOMLEFT";
		info.func  = TBG_MenuChangeAttachByWhichCorner;
		if (TBG_Saved(info.value) == info.arg1) then info.checked = 1; else info.checked = nil; end
		UIDropDownMenu_AddButton(info);

		info.text  = TBG.Text.Menu.Display.TT_ATTACH_BY_BOTTOMRIGHT;
		info.value = "MD_TT_DetachCorner";
		info.arg1  = "BOTTOMRIGHT";
		info.func  = TBG_MenuChangeAttachByWhichCorner;
		if (TBG_Saved(info.value) == info.arg1) then info.checked = 1; else info.checked = nil; end
		UIDropDownMenu_AddButton(info);
	end


	function TBG_Menu_DropDownInit_Display_FrameStrata()
		info = {};

		info.text  = TBG.Text.Menu.Display.TT_FRAMESTRATA_TOOLTIP .. " - " .. TBG.Var.Const.COLOR_RED .. "Buttons will not function at this level.";
		info.value = "MD_TT_FrameStrata";
		info.arg1  = "TOOLTIP";
		info.func  = TBG_Menu_Toggle_TT_FrameStrata;
		if (TBG_Saved(info.value) == info.arg1) then info.checked = 1; else info.checked = nil; end
		UIDropDownMenu_AddButton(info);

		info.text  = TBG.Text.Menu.Display.TT_FRAMESTRATA_FULLSCREEN .. " (" .. TBG.Text.Menu.Display.TT_FRAMESTRATA_DIALOG ..")";
		info.value = "MD_TT_FrameStrata";
		info.arg1  = "FULLSCREEN_DIALOG";
		info.func  = TBG_Menu_Toggle_TT_FrameStrata;
		if (TBG_Saved(info.value) == info.arg1) then info.checked = 1; else info.checked = nil; end
		UIDropDownMenu_AddButton(info);

		info.text  = TBG.Text.Menu.Display.TT_FRAMESTRATA_FULLSCREEN;
		info.value = "MD_TT_FrameStrata";
		info.arg1  = "FULLSCREEN";
		info.func  = TBG_Menu_Toggle_TT_FrameStrata;
		if (TBG_Saved(info.value) == info.arg1) then info.checked = 1; else info.checked = nil; end
		UIDropDownMenu_AddButton(info);

		info.text  = TBG.Text.Menu.Display.TT_FRAMESTRATA_DIALOG;
		info.value = "MD_TT_FrameStrata";
		info.arg1  = "DIALOG";
		info.func  = TBG_Menu_Toggle_TT_FrameStrata;
		if (TBG_Saved(info.value) == info.arg1) then info.checked = 1; else info.checked = nil; end
		UIDropDownMenu_AddButton(info);

		info.text  = HIGH;
		info.value = "MD_TT_FrameStrata";
		info.arg1  = "HIGH";
		info.func  = TBG_Menu_Toggle_TT_FrameStrata;
		if (TBG_Saved(info.value) == info.arg1) then info.checked = 1; else info.checked = nil; end
		UIDropDownMenu_AddButton(info);

		info.text  = AUCTION_TIME_LEFT2;
		info.value = "MD_TT_FrameStrata";
		info.arg1  = "MEDIUM";
		info.func  = TBG_Menu_Toggle_TT_FrameStrata;
		if (TBG_Saved(info.value) == info.arg1) then info.checked = 1; else info.checked = nil; end
		UIDropDownMenu_AddButton(info);

		info.text  = LOW;
		info.value = "MD_TT_FrameStrata";
		info.arg1  = "LOW";
		info.func  = TBG_Menu_Toggle_TT_FrameStrata;
		if (TBG_Saved(info.value) == info.arg1) then info.checked = 1; else info.checked = nil; end
		UIDropDownMenu_AddButton(info);

		info.text  = BACKGROUND .. " - " .. TBG.Var.Const.COLOR_RED .. TBG.Text.Menu.Display.TT_FRAMESTRATA_NOBUTTONS;
		info.value = "MD_TT_FrameStrata";
		info.arg1  = "BACKGROUND";
		info.func  = TBG_Menu_Toggle_TT_FrameStrata;
		if (TBG_Saved(info.value) == info.arg1) then info.checked = 1; else info.checked = nil; end
		UIDropDownMenu_AddButton(info);
	end


	function TBG_Menu_DropDownInit_Tooltip_Battleground_ItemsSort()
		info       = {};
		info.value = "MDB_TT_BattlegroundItemsSort";
		info.func  = TBG_Menu_Toggle_TT_Battleground_ItemsSort;

		info.text  = TBG.Text.Menu.Display.TT_BGITEMS_SORT_NAME;
		info.arg1  = "NAME";
		if (TBG_Saved(info.value) == info.arg1) then info.checked = 1; else info.checked = nil; end
		UIDropDownMenu_AddButton(info);

		info.text  = TBG.Text.Menu.Display.TT_BGITEMS_SORT_AMOUNT;
		info.arg1  = "AMOUNT";
		if (TBG_Saved(info.value) == info.arg1) then info.checked = 1; else info.checked = nil; end
		UIDropDownMenu_AddButton(info);
	end


	function TBG_Menu_DropDownInit_AutoDisableKey()
		info       = {};
		info.value = "MGB_AutoDisableKey";
		info.func  = TBG_Menu_DropDown_Var;

		info.text  = "Alt";
		info.arg1  = "ALT";
		if (TBG_Saved(info.value) == info.arg1) then info.checked = 1; else info.checked = nil; end
		UIDropDownMenu_AddButton(info);

		info.text  = "Ctrl";
		info.arg1  = "CTRL";
		if (TBG_Saved(info.value) == info.arg1) then info.checked = 1; else info.checked = nil; end
		UIDropDownMenu_AddButton(info);

		info.text  = "Shift";
		info.arg1  = "SHIFT";
		if (TBG_Saved(info.value) == info.arg1) then info.checked = 1; else info.checked = nil; end
		UIDropDownMenu_AddButton(info);
	end


	function TBG_Menu_Toggle_TT_Battleground_ItemsSort()
		TBG_Menu_DropDown_Var();
		TBG_Battleground_ItemsScan();
	end


	function TBG_Menu_Toggle_AutoJoin()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_Menu_Linked_AutoJoin();
		TBG_AutoReset(TBG.Var.Const.AUTO_JOIN);
	end


	function TBG_Menu_Toggle_AutoJoin_Time()
		TBG_Menu_Slider_Change((this:GetParent()).var);
		TBG_AutoReset(TBG.Var.Const.AUTO_JOIN);
	end


	function TBG_Menu_Toggle_AutoJoin_PriorityList()
		local list = getglobal(this:GetParent():GetName() .. "_List");

		if (list:IsVisible()) then
			list:Hide();
		else
			list:Show();
		end
	end


	function TBG_Menu_Toggle_AutoLeave()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_Menu_Linked_AutoLeave();
		TBG_AutoReset(TBG.Var.Const.AUTO_LEAVE);
	end


	function TBG_Menu_Toggle_AutoLeave_Time()
		TBG_Menu_Slider_Change((this:GetParent()).var);
		TBG_AutoReset(TBG.Var.Const.AUTO_LEAVE);
	end


	function TBG_Menu_Toggle_AutoReleaseGhost()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_Menu_Linked_AutoRelease();
	end


	function TBG_Menu_Toggle_HideMinimapButton()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_ToggleMiniMapIcon();
	end


	function TBG_Menu_Toggle_HideJoinPopup()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_Menu_Linked_BattlegroundReadyPopup();
	end


	function TBG_Menu_Toggle_AutoShowMinimap()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		WorldStateFrame_ToggleMinimap();
	end


	function TBG_Menu_Toggle_ScoreFrame_Hide()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_ToggleScoreFrameVisible(true);
	end


	function TBG_Menu_Toggle_ScoreFrame_Detach()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_Menu_Linked_ScoreFrameMove();
		ReloadUI();
	end


	function TBG_Menu_Toggle_ScoreFrame_Lock()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_ToggleScoreFrameLock();
	end


	function TBG_Menu_Toggle_AutoShowMinimap()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		WorldStateFrame_ToggleMinimap();
	end


	function TBG_Menu_Toggle_ScoreFrame_ColorNamesByClass()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_Menu_Linked_LeaderBoardColorNames();

		if (WorldStateScoreFrame:IsVisible() or GetBattlefieldWinner()) then
			WorldStateScoreFrame_Resize();
			WorldStateScoreFrame_Update();
		end
	end


	function TBG_Menu_Toggle_ServerPercentage_Button()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_Menu_Linked_ServerPercentage_Button();
		TBG_LeaderBoard_GetPlayerData(true);
	end


	function TBG_Menu_Toggle_TT_DisplayOrder()
		local list = getglobal(this:GetParent():GetName() .. "_List");

		if (list:IsVisible()) then
			list:Hide();
		else
			list:Show();
		end
	end


	function TBG_Menu_Toggle_ServerPercentage_Tooltip()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_Menu_Linked_ServerPercentage_Tooltip();
		TBG_LeaderBoard_GetPlayerData(true);
	end


	function TBG_Menu_Toggle_ServerPercentageDisableInAV()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_LeaderBoard_GetPlayerData(true);
	end


	function TBG_Menu_Toggle_ClassStats()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_Menu_Linked_ClassStats();
	end


	function TBG_Menu_Toggle_TT_AlwaysShow()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_Menu_Linked_TT_AlwaysShow();

		TBG_Tooltip_AlwaysShow();
		TBG_Tooltip_Load();
	end


	function TBG_Menu_Toggle_TT_Detach()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_Menu_Linked_TT_Detach();
		TBG_Tooltip_SetTooltipPosition();
	end


	function TBG_Menu_Toggle_TT_DetachCorner()
		TBG_Menu_DropDown_Var();
		TBG_Tooltip_ChangeTooltipAttachment(TBG_Saved(this.value));
	end


	function TBG_Menu_Toggle_TT_Lock()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_Tooltip_LockTooltip();
	end


	function TBG_Menu_Toggle_TT_AllowAutoScroll()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_Menu_Linked_TT_AllowAutoScroll();
	end


	function TBG_Menu_Toggle_Other_LockOnScreenDisplay()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_ToggleLockCaptures();
	end


	function TBG_Menu_Toggle_Other_CaptureTimers_OnScreen_Invert()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_ToggleInvertCaptureTimers();
	end


	function TBG_Menu_Toggle_Other_CaptureTimers_OnScreen_ClickPrint()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_ToggleClickCaptureTimer();
	end


	function TBG_Menu_Toggle_Other_CaptureTimers_OnScreen_Display()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_Menu_Linked_Other_CaptureTimers_OnScreen_Display();
	end


	function TBG_Menu_Toggle_Other_MovementTimers_OnScreen_Display()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_Menu_Linked_Other_MovementTimers_OnScreen_Display();
	end


	function TBG_Menu_Toggle_Other_PlayerList()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_Menu_Linked_Other_PlayerList();
	end


	function TBG_Menu_Toggle_Other_MovementTimers_OnScreen_ClickPrint()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_ToggleClickMovementTimer();
	end


	function TBG_Menu_Toggle_Other_FlagTracker_OnScreen_Show()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_Menu_Linked_Other_FlagTracker_OnScreen_Show();
	end


	function TBG_Menu_Toggle_Other_MovementTimers_OnScreen_ClickPrint()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_ToggleClickFlagRunner();
	end


	function TBG_Menu_Toggle_Other_FlagTracker_OnScreen_Invert()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_InvertFlagTracker();
	end


	function TBG_Menu_Toggle_Other_FlagTracker_OnScreen_AttachToScore()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_ChangeAttachFlagTracker();
	end


	function TBG_Menu_Toggle_DoNotShow()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_Menu_Linked_DoNotShow();
	end


	function TBG_Menu_Toggle_PlaySoundWhileInQueue()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_Menu_Linked_InQueueSound();
	end


	function TBG_Menu_Toggle_ChangeSoundOnReady()
		TBG_Saved_Set(this.arg1, this.arg2);

		if (this.arg2 > 0) then
			if (TBG_Saved(this.arg1) == 1) then
				PlaySound("PVPTHROUGHQUEUE", true);
			else
				PlaySoundFile(TBG.Var.Const.SOUND_BGWARNING[this.arg2].file);
			end
		end

		TBG_Menu_Linked_BattlegroundReadySound();
	end


	function TBG_Menu_Toggle_TT_FrameStrata()
		TBG_Menu_DropDown_Var();
		TBG_Tooltip_FrameStrata();
	end


	function TBG_Menu_Toggle_AutoTurnInQuests()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_Menu_Linked_AutoTurnInQuests();
	end


	function TBG_Menu_Toggle_AutoQueue()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_Menu_Linked_AutoQueue();
	end


	function TBG_Menu_Toggle_AutoQueue_Which()
		if (TBG_Saved(this.value)[this.arg1]) then
			TBG_Saved(this.value)[this.arg1] = false;
		else
			TBG_Saved(this.value)[this.arg1] = true;
		end
	end


	function TBG_Menu_Toggle_MaintenanceWeekdayStart()
		TBG_Menu_DropDown_Var();
		TBG_GetBattlegroundWeekend();
	end


	function TBG_Menu_Toggle_BattlegroundWeekend()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_Menu_Linked_Tooltip_BattlegroundWeekend();
	end


	function TBG_Menu_Toggle_LeaderBoard_UseCustomLeaderBoard()
		HideUIPanel(WorldStateScoreFrame);
		TBG_Menu_ToggleVar((this:GetParent()).var);
		SetBattlefieldScoreFaction(nil);
		ShowUIPanel(WorldStateScoreFrame);
	end


	function TBG_Menu_Toggle_MaxCameraDistanceIncrease()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_ToggleMaxCameraDistanceIncrease();
	end


	function TBG_Menu_Toggle_PvPFrame_DisplayPoints()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		PVPTeam_Update();
	end


	function TBG_Menu_Toggle_MinimapFlag()
		TBG_Menu_ToggleVar((this:GetParent()).var);
		TBG_Menu_Linked_MinimapFlag();
	end

	function TBG_Menu_Toggle_MinimapFlag_AllowMouse()
		TBG_Menu_ToggleVar((this:GetParent()).var);

		if (TBG_Saved("MDB_Other_MinimapFlag_AllowMouse")) then
			TBGX_Display_MinimapFlags_1:EnableMouse(true);
			TBGX_Display_MinimapFlags_2:EnableMouse(true);
		else
			TBGX_Display_MinimapFlags_1:EnableMouse(false);
			TBGX_Display_MinimapFlags_2:EnableMouse(false);
		end
	end


	function TBG_Menu_Toggle_ProfileModify()
		TBG_Settings_ModifyProfile(this.arg1);
	end


	function TBG_Menu_Toggle_ProfileCreate()
		local parent  = this:GetParent();
		local text    = getglobal(parent:GetName() .. "_EditBox"):GetText();
		local pattern = "^([%w _-]+)$";

		if (string.len(text) >= 5 and string.len(text) <= 25 and string.find(text, pattern)) then
			if (TBGSV["Profiles"][text] == nil) then
				TBG.Var.Addon.LOADED = false;

				TBGSV["Profiles"][text] = TBGSV["Profiles"][TBG_Saved_GetProfile()];
				TBG_Saved_SetProfile(text);
				TBG_Init_CreateSavedVariables();

				TBG.Var.Addon.LOADED = true;

				getglobal(parent:GetName() .. "_EditBox"):SetText("");
				getglobal(parent:GetName() .. "_EditBox"):ClearFocus();
				TBG_Menu_SetTab(-1);
				TBG_Menu_SetTab(1);

				StaticPopup_Hide(TBG.Var.Const.DIALOG_PROFILE);
				StaticPopupDialogs[TBG.Var.Const.DIALOG_PROFILE].text = TBG.Text.Message.DIALOG_PROFILE_NAME_CREATED;
				StaticPopup_Show(TBG.Var.Const.DIALOG_PROFILE);

			else
				StaticPopup_Hide(TBG.Var.Const.DIALOG_PROFILE);
				StaticPopupDialogs[TBG.Var.Const.DIALOG_PROFILE].text = TBG.Text.Message.DIALOG_PROFILE_NAME_EXISTS;
				StaticPopup_Show(TBG.Var.Const.DIALOG_PROFILE);
			end
		else
			StaticPopup_Hide(TBG.Var.Const.DIALOG_PROFILE);
			StaticPopupDialogs[TBG.Var.Const.DIALOG_PROFILE].text = TBG.Text.Message.DIALOG_PROFILE_NAME_INCORRECT;
			StaticPopup_Show(TBG.Var.Const.DIALOG_PROFILE);
		end
	end


	function TBG_Menu_Toggle_ProfileDelete()
		local profile = getglobal(this:GetParent():GetName() .. "_ProfileModify").delete;

		if (profile and profile ~= TBG.Var.Const.ADDON_DEFAULT_PROFILE and TBGSV["Profiles"][profile]) then

			-- Loop through and find any players using this profile.
			for skey, svalue in pairs(TBGSV["List"]) do
				for ckey, cvalue in pairs(TBGSV["List"][skey]) do
					if (TBGSV["List"][skey][ckey]["Profile"] == profile) then

						-- If this is he current player, then update their profile.
						if (skey == TBG.Var.Player.realm and ckey == TBG.Var.Player.name) then
							TBG_Settings_ModifyProfile(TBG.Var.Const.ADDON_DEFAULT_PROFILE);

						else
							TBGSV["List"][skey][ckey]["Profile"] = TBG.Var.Const.ADDON_DEFAULT_PROFILE;
						end
					end
				end
			end

			-- Delete this profile.
			TBGSV["Profiles"][profile] = nil;
			TBG_Menu_SetTab(-1);
			TBG_Menu_SetTab(1);

			StaticPopup_Hide(TBG.Var.Const.DIALOG_PROFILE);
			StaticPopupDialogs[TBG.Var.Const.DIALOG_PROFILE].text = TBG.Text.Message.DIALOG_PROFILE_NAME_DELETED;
			StaticPopup_Show(TBG.Var.Const.DIALOG_PROFILE);
		end
	end